import {bitfinex as Type} from 'ccxt';
export interface bitfinexRestApiType extends Type {
	v2GetPlatformStatus: (params:{}, context?:{}) => Promise<any>;
	v2GetTickers: (params:{}, context?:{}) => Promise<any>;
	v2GetTickerSymbol: (params:{}, context?:{}) => Promise<any>;
	v2GetTickersHist: (params:{}, context?:{}) => Promise<any>;
	v2GetTradesSymbolHist: (params:{}, context?:{}) => Promise<any>;
	v2GetBookSymbolPrecision: (params:{}, context?:{}) => Promise<any>;
	v2GetBookSymbolP0: (params:{}, context?:{}) => Promise<any>;
	v2GetBookSymbolP1: (params:{}, context?:{}) => Promise<any>;
	v2GetBookSymbolP2: (params:{}, context?:{}) => Promise<any>;
	v2GetBookSymbolP3: (params:{}, context?:{}) => Promise<any>;
	v2GetBookSymbolR0: (params:{}, context?:{}) => Promise<any>;
	v2GetStats1KeySizeSymbolSideSection: (params:{}, context?:{}) => Promise<any>;
	v2GetStats1KeySizeSymbolSection: (params:{}, context?:{}) => Promise<any>;
	v2GetStats1KeySizeSymbolLongLast: (params:{}, context?:{}) => Promise<any>;
	v2GetStats1KeySizeSymbolLongHist: (params:{}, context?:{}) => Promise<any>;
	v2GetStats1KeySizeSymbolShortLast: (params:{}, context?:{}) => Promise<any>;
	v2GetStats1KeySizeSymbolShortHist: (params:{}, context?:{}) => Promise<any>;
	v2GetCandlesTradeTimeframeSymbolSection: (params:{}, context?:{}) => Promise<any>;
	v2GetCandlesTradeTimeframeSymbolLast: (params:{}, context?:{}) => Promise<any>;
	v2GetCandlesTradeTimeframeSymbolHist: (params:{}, context?:{}) => Promise<any>;
	publicGetBookSymbol: (params:{}, context?:{}) => Promise<any>;
	publicGetLendbookCurrency: (params:{}, context?:{}) => Promise<any>;
	publicGetLendsCurrency: (params:{}, context?:{}) => Promise<any>;
	publicGetPubtickerSymbol: (params:{}, context?:{}) => Promise<any>;
	publicGetStatsSymbol: (params:{}, context?:{}) => Promise<any>;
	publicGetSymbols: (params:{}, context?:{}) => Promise<any>;
	publicGetSymbolsDetails: (params:{}, context?:{}) => Promise<any>;
	publicGetTickers: (params:{}, context?:{}) => Promise<any>;
	publicGetTradesSymbol: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountFees: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountInfos: (params:{}, context?:{}) => Promise<any>;
	privatePostBalances: (params:{}, context?:{}) => Promise<any>;
	privatePostBasketManage: (params:{}, context?:{}) => Promise<any>;
	privatePostCredits: (params:{}, context?:{}) => Promise<any>;
	privatePostDepositNew: (params:{}, context?:{}) => Promise<any>;
	privatePostFundingClose: (params:{}, context?:{}) => Promise<any>;
	privatePostHistory: (params:{}, context?:{}) => Promise<any>;
	privatePostHistoryMovements: (params:{}, context?:{}) => Promise<any>;
	privatePostKeyInfo: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginInfos: (params:{}, context?:{}) => Promise<any>;
	privatePostMytrades: (params:{}, context?:{}) => Promise<any>;
	privatePostMytradesFunding: (params:{}, context?:{}) => Promise<any>;
	privatePostOfferCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostOfferNew: (params:{}, context?:{}) => Promise<any>;
	privatePostOfferStatus: (params:{}, context?:{}) => Promise<any>;
	privatePostOffers: (params:{}, context?:{}) => Promise<any>;
	privatePostOffersHist: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderCancelAll: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderCancelMulti: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderCancelReplace: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderNew: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderNewMulti: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderStatus: (params:{}, context?:{}) => Promise<any>;
	privatePostOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostOrdersHist: (params:{}, context?:{}) => Promise<any>;
	privatePostPositionClaim: (params:{}, context?:{}) => Promise<any>;
	privatePostPositionClose: (params:{}, context?:{}) => Promise<any>;
	privatePostPositions: (params:{}, context?:{}) => Promise<any>;
	privatePostSummary: (params:{}, context?:{}) => Promise<any>;
	privatePostTakenFunds: (params:{}, context?:{}) => Promise<any>;
	privatePostTotalTakenFunds: (params:{}, context?:{}) => Promise<any>;
	privatePostTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostUnusedTakenFunds: (params:{}, context?:{}) => Promise<any>;
	privatePostWithdraw: (params:{}, context?:{}) => Promise<any>;
}