import {bitfinex2 as Type} from 'ccxt';
export interface bitfinex2RestApiType extends Type {
	publicGetConfConfig: (params:{}, context?:{}) => Promise<any>;
	publicGetConfPubActionObject: (params:{}, context?:{}) => Promise<any>;
	publicGetConfPubActionObjectDetail: (params:{}, context?:{}) => Promise<any>;
	publicGetConfPubMapObject: (params:{}, context?:{}) => Promise<any>;
	publicGetConfPubMapObjectDetail: (params:{}, context?:{}) => Promise<any>;
	publicGetConfPubMapCurrencyDetail: (params:{}, context?:{}) => Promise<any>;
	publicGetConfPubMapCurrencySym: (params:{}, context?:{}) => Promise<any>;
	publicGetConfPubMapCurrencyLabel: (params:{}, context?:{}) => Promise<any>;
	publicGetConfPubMapCurrencyUnit: (params:{}, context?:{}) => Promise<any>;
	publicGetConfPubMapCurrencyUndl: (params:{}, context?:{}) => Promise<any>;
	publicGetConfPubMapCurrencyPool: (params:{}, context?:{}) => Promise<any>;
	publicGetConfPubMapCurrencyExplorer: (params:{}, context?:{}) => Promise<any>;
	publicGetConfPubMapCurrencyTxFee: (params:{}, context?:{}) => Promise<any>;
	publicGetConfPubMapTxMethod: (params:{}, context?:{}) => Promise<any>;
	publicGetConfPubListObject: (params:{}, context?:{}) => Promise<any>;
	publicGetConfPubListObjectDetail: (params:{}, context?:{}) => Promise<any>;
	publicGetConfPubListCurrency: (params:{}, context?:{}) => Promise<any>;
	publicGetConfPubListPairExchange: (params:{}, context?:{}) => Promise<any>;
	publicGetConfPubListPairMargin: (params:{}, context?:{}) => Promise<any>;
	publicGetConfPubListPairFutures: (params:{}, context?:{}) => Promise<any>;
	publicGetConfPubListCompetitions: (params:{}, context?:{}) => Promise<any>;
	publicGetConfPubInfoObject: (params:{}, context?:{}) => Promise<any>;
	publicGetConfPubInfoObjectDetail: (params:{}, context?:{}) => Promise<any>;
	publicGetConfPubInfoPair: (params:{}, context?:{}) => Promise<any>;
	publicGetConfPubInfoPairFutures: (params:{}, context?:{}) => Promise<any>;
	publicGetConfPubInfoTxStatus: (params:{}, context?:{}) => Promise<any>;
	publicGetConfPubFees: (params:{}, context?:{}) => Promise<any>;
	publicGetPlatformStatus: (params:{}, context?:{}) => Promise<any>;
	publicGetTickers: (params:{}, context?:{}) => Promise<any>;
	publicGetTickerSymbol: (params:{}, context?:{}) => Promise<any>;
	publicGetTickersHist: (params:{}, context?:{}) => Promise<any>;
	publicGetTradesSymbolHist: (params:{}, context?:{}) => Promise<any>;
	publicGetBookSymbolPrecision: (params:{}, context?:{}) => Promise<any>;
	publicGetBookSymbolP0: (params:{}, context?:{}) => Promise<any>;
	publicGetBookSymbolP1: (params:{}, context?:{}) => Promise<any>;
	publicGetBookSymbolP2: (params:{}, context?:{}) => Promise<any>;
	publicGetBookSymbolP3: (params:{}, context?:{}) => Promise<any>;
	publicGetBookSymbolR0: (params:{}, context?:{}) => Promise<any>;
	publicGetStats1KeySizeSymbolSideSection: (params:{}, context?:{}) => Promise<any>;
	publicGetStats1KeySizeSymbolSideLast: (params:{}, context?:{}) => Promise<any>;
	publicGetStats1KeySizeSymbolSideHist: (params:{}, context?:{}) => Promise<any>;
	publicGetStats1KeySizeSymbolSection: (params:{}, context?:{}) => Promise<any>;
	publicGetStats1KeySizeSymbolLast: (params:{}, context?:{}) => Promise<any>;
	publicGetStats1KeySizeSymbolHist: (params:{}, context?:{}) => Promise<any>;
	publicGetStats1KeySizeSymbolLongLast: (params:{}, context?:{}) => Promise<any>;
	publicGetStats1KeySizeSymbolLongHist: (params:{}, context?:{}) => Promise<any>;
	publicGetStats1KeySizeSymbolShortLast: (params:{}, context?:{}) => Promise<any>;
	publicGetStats1KeySizeSymbolShortHist: (params:{}, context?:{}) => Promise<any>;
	publicGetCandlesTradeTimeframeSymbolPeriodSection: (params:{}, context?:{}) => Promise<any>;
	publicGetCandlesTradeTimeframeSymbolSection: (params:{}, context?:{}) => Promise<any>;
	publicGetCandlesTradeTimeframeSymbolLast: (params:{}, context?:{}) => Promise<any>;
	publicGetCandlesTradeTimeframeSymbolHist: (params:{}, context?:{}) => Promise<any>;
	publicGetStatusType: (params:{}, context?:{}) => Promise<any>;
	publicGetStatusDeriv: (params:{}, context?:{}) => Promise<any>;
	publicGetLiquidationsHist: (params:{}, context?:{}) => Promise<any>;
	publicGetRankingsKeyTimeframeSymbolSection: (params:{}, context?:{}) => Promise<any>;
	publicGetRankingsKeyTimeframeSymbolHist: (params:{}, context?:{}) => Promise<any>;
	publicGetPulseHist: (params:{}, context?:{}) => Promise<any>;
	publicGetPulseProfileNickname: (params:{}, context?:{}) => Promise<any>;
	publicGetFundingStatsSymbolHist: (params:{}, context?:{}) => Promise<any>;
	publicPostCalcTradeAvg: (params:{}, context?:{}) => Promise<any>;
	publicPostCalcFx: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRWallets: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRWalletsHist: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthROrders: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthROrdersSymbol: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthWOrderSubmit: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthWOrderUpdate: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthWOrderCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthWOrderMulti: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthWOrderCancelMulti: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthROrdersSymbolHist: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthROrdersHist: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthROrderSymbolIdTrades: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRTradesSymbolHist: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRTradesHist: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRLedgersCurrencyHist: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRLedgersHist: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRInfoMarginKey: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRInfoMarginBase: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRInfoMarginSymAll: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRPositions: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthWPositionClaim: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthWPositionIncrease: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRPositionIncreaseInfo: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRPositionsHist: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRPositionsAudit: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRPositionsSnap: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthWDerivCollateralSet: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthWDerivCollateralLimits: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRFundingOffers: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRFundingOffersSymbol: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthWFundingOfferSubmit: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthWFundingOfferCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthWFundingOfferCancelAll: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthWFundingClose: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthWFundingAuto: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthWFundingKeep: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRFundingOffersSymbolHist: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRFundingOffersHist: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRFundingLoans: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRFundingLoansHist: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRFundingLoansSymbol: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRFundingLoansSymbolHist: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRFundingCredits: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRFundingCreditsHist: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRFundingCreditsSymbol: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRFundingCreditsSymbolHist: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRFundingTradesSymbolHist: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRFundingTradesHist: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRInfoFundingKey: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRInfoUser: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRSummary: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRLoginsHist: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRPermissions: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthWToken: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRAuditHist: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthWTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthWDepositAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthWDepositInvoice: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthWWithdraw: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRMovementsCurrencyHist: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRMovementsHist: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRAlerts: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthWAlertSet: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthWAlertPriceSymbolPriceDel: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthWAlertTypeSymbolPriceDel: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthCalcOrderAvail: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthWSettingsSet: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRSettings: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthWSettingsDel: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthRPulseHist: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthWPulseAdd: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthWPulseDel: (params:{}, context?:{}) => Promise<any>;
}