import {bitget as Type} from 'ccxt';
export interface bitgetRestApiType extends Type {
	publicSpotGetPublicTime: (params:{}, context?:{}) => Promise<any>;
	publicSpotGetPublicCurrencies: (params:{}, context?:{}) => Promise<any>;
	publicSpotGetPublicProducts: (params:{}, context?:{}) => Promise<any>;
	publicSpotGetPublicProduct: (params:{}, context?:{}) => Promise<any>;
	publicSpotGetMarketTicker: (params:{}, context?:{}) => Promise<any>;
	publicSpotGetMarketTickers: (params:{}, context?:{}) => Promise<any>;
	publicSpotGetMarketFills: (params:{}, context?:{}) => Promise<any>;
	publicSpotGetMarketCandles: (params:{}, context?:{}) => Promise<any>;
	publicSpotGetMarketDepth: (params:{}, context?:{}) => Promise<any>;
	publicSpotGetMarketSpotVipLevel: (params:{}, context?:{}) => Promise<any>;
	publicMixGetMarketContracts: (params:{}, context?:{}) => Promise<any>;
	publicMixGetMarketDepth: (params:{}, context?:{}) => Promise<any>;
	publicMixGetMarketTicker: (params:{}, context?:{}) => Promise<any>;
	publicMixGetMarketTickers: (params:{}, context?:{}) => Promise<any>;
	publicMixGetMarketFills: (params:{}, context?:{}) => Promise<any>;
	publicMixGetMarketCandles: (params:{}, context?:{}) => Promise<any>;
	publicMixGetMarketIndex: (params:{}, context?:{}) => Promise<any>;
	publicMixGetMarketFundingTime: (params:{}, context?:{}) => Promise<any>;
	publicMixGetMarketHistoryFundRate: (params:{}, context?:{}) => Promise<any>;
	publicMixGetMarketCurrentFundRate: (params:{}, context?:{}) => Promise<any>;
	publicMixGetMarketOpenInterest: (params:{}, context?:{}) => Promise<any>;
	publicMixGetMarketMarkPrice: (params:{}, context?:{}) => Promise<any>;
	publicMixGetMarketSymbolLeverage: (params:{}, context?:{}) => Promise<any>;
	publicMixGetMarketContractVipLevel: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetAccountGetInfo: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetAccountAssets: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetAccountTransferRecords: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetWalletDepositAddress: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetWalletWithdrawalInner: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetWalletWithdrawalList: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetWalletDepositList: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostAccountBills: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostAccountSubAccountSpotAssets: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostTradeOrders: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostTradeBatchOrders: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostTradeCancelOrder: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostTradeCancelBatchOrders: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostTradeOrderInfo: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostTradeOpenOrders: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostTradeHistory: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostTradeFills: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostWalletTransfer: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostWalletWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostWalletSubTransfer: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostPlanPlacePlan: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostPlanModifyPlan: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostPlanCancelPlan: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostPlanCurrentPlan: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostPlanHistoryPlan: (params:{}, context?:{}) => Promise<any>;
	privateMixGetAccountAccount: (params:{}, context?:{}) => Promise<any>;
	privateMixGetAccountAccounts: (params:{}, context?:{}) => Promise<any>;
	privateMixGetAccountAccountBill: (params:{}, context?:{}) => Promise<any>;
	privateMixGetAccountAccountBusinessBill: (params:{}, context?:{}) => Promise<any>;
	privateMixGetAccountOpenCount: (params:{}, context?:{}) => Promise<any>;
	privateMixGetOrderCurrent: (params:{}, context?:{}) => Promise<any>;
	privateMixGetOrderHistory: (params:{}, context?:{}) => Promise<any>;
	privateMixGetOrderDetail: (params:{}, context?:{}) => Promise<any>;
	privateMixGetOrderFills: (params:{}, context?:{}) => Promise<any>;
	privateMixGetOrderHistoryProductType: (params:{}, context?:{}) => Promise<any>;
	privateMixGetOrderAllFills: (params:{}, context?:{}) => Promise<any>;
	privateMixGetPlanCurrentPlan: (params:{}, context?:{}) => Promise<any>;
	privateMixGetPlanHistoryPlan: (params:{}, context?:{}) => Promise<any>;
	privateMixGetPositionSinglePosition: (params:{}, context?:{}) => Promise<any>;
	privateMixGetPositionAllPosition: (params:{}, context?:{}) => Promise<any>;
	privateMixGetTraceCurrentTrack: (params:{}, context?:{}) => Promise<any>;
	privateMixGetTraceFollowerOrder: (params:{}, context?:{}) => Promise<any>;
	privateMixGetTraceHistoryTrack: (params:{}, context?:{}) => Promise<any>;
	privateMixGetTraceSummary: (params:{}, context?:{}) => Promise<any>;
	privateMixGetTraceProfitSettleTokenIdGroup: (params:{}, context?:{}) => Promise<any>;
	privateMixGetTraceProfitDateGroupList: (params:{}, context?:{}) => Promise<any>;
	privateMixGetTradeProfitDateList: (params:{}, context?:{}) => Promise<any>;
	privateMixGetTraceWaitProfitDateList: (params:{}, context?:{}) => Promise<any>;
	privateMixGetTraceTraderSymbols: (params:{}, context?:{}) => Promise<any>;
	privateMixGetOrderMarginCoinCurrent: (params:{}, context?:{}) => Promise<any>;
	privateMixPostAccountSetLeverage: (params:{}, context?:{}) => Promise<any>;
	privateMixPostAccountSetMargin: (params:{}, context?:{}) => Promise<any>;
	privateMixPostAccountSetMarginMode: (params:{}, context?:{}) => Promise<any>;
	privateMixPostAccountSetPositionMode: (params:{}, context?:{}) => Promise<any>;
	privateMixPostOrderPlaceOrder: (params:{}, context?:{}) => Promise<any>;
	privateMixPostOrderBatchOrders: (params:{}, context?:{}) => Promise<any>;
	privateMixPostOrderCancelOrder: (params:{}, context?:{}) => Promise<any>;
	privateMixPostOrderCancelAllOrders: (params:{}, context?:{}) => Promise<any>;
	privateMixPostOrderCancelBatchOrders: (params:{}, context?:{}) => Promise<any>;
	privateMixPostPlanPlacePlan: (params:{}, context?:{}) => Promise<any>;
	privateMixPostPlanModifyPlan: (params:{}, context?:{}) => Promise<any>;
	privateMixPostPlanModifyPlanPreset: (params:{}, context?:{}) => Promise<any>;
	privateMixPostPlanPlaceTPSL: (params:{}, context?:{}) => Promise<any>;
	privateMixPostPlanPlaceTrailStop: (params:{}, context?:{}) => Promise<any>;
	privateMixPostPlanPlacePositionsTPSL: (params:{}, context?:{}) => Promise<any>;
	privateMixPostPlanModifyTPSLPlan: (params:{}, context?:{}) => Promise<any>;
	privateMixPostPlanCancelPlan: (params:{}, context?:{}) => Promise<any>;
	privateMixPostPlanCancelAllPlan: (params:{}, context?:{}) => Promise<any>;
	privateMixPostTraceCloseTrackOrder: (params:{}, context?:{}) => Promise<any>;
	privateMixPostTraceSetUpCopySymbols: (params:{}, context?:{}) => Promise<any>;
}