import {bitmex as Type} from 'ccxt';
export interface bitmexRestApiType extends Type {
	publicGetAnnouncement: (params:{}, context?:{}) => Promise<any>;
	publicGetAnnouncementUrgent: (params:{}, context?:{}) => Promise<any>;
	publicGetFunding: (params:{}, context?:{}) => Promise<any>;
	publicGetInstrument: (params:{}, context?:{}) => Promise<any>;
	publicGetInstrumentActive: (params:{}, context?:{}) => Promise<any>;
	publicGetInstrumentActiveAndIndices: (params:{}, context?:{}) => Promise<any>;
	publicGetInstrumentActiveIntervals: (params:{}, context?:{}) => Promise<any>;
	publicGetInstrumentCompositeIndex: (params:{}, context?:{}) => Promise<any>;
	publicGetInstrumentIndices: (params:{}, context?:{}) => Promise<any>;
	publicGetInsurance: (params:{}, context?:{}) => Promise<any>;
	publicGetLeaderboard: (params:{}, context?:{}) => Promise<any>;
	publicGetLiquidation: (params:{}, context?:{}) => Promise<any>;
	publicGetOrderBook: (params:{}, context?:{}) => Promise<any>;
	publicGetOrderBookL2: (params:{}, context?:{}) => Promise<any>;
	publicGetQuote: (params:{}, context?:{}) => Promise<any>;
	publicGetQuoteBucketed: (params:{}, context?:{}) => Promise<any>;
	publicGetSchema: (params:{}, context?:{}) => Promise<any>;
	publicGetSchemaWebsocketHelp: (params:{}, context?:{}) => Promise<any>;
	publicGetSettlement: (params:{}, context?:{}) => Promise<any>;
	publicGetStats: (params:{}, context?:{}) => Promise<any>;
	publicGetStatsHistory: (params:{}, context?:{}) => Promise<any>;
	publicGetTrade: (params:{}, context?:{}) => Promise<any>;
	publicGetTradeBucketed: (params:{}, context?:{}) => Promise<any>;
	publicGetWalletAssets: (params:{}, context?:{}) => Promise<any>;
	publicGetWalletNetworks: (params:{}, context?:{}) => Promise<any>;
	privateGetApiKey: (params:{}, context?:{}) => Promise<any>;
	privateGetChat: (params:{}, context?:{}) => Promise<any>;
	privateGetChatChannels: (params:{}, context?:{}) => Promise<any>;
	privateGetChatConnected: (params:{}, context?:{}) => Promise<any>;
	privateGetExecution: (params:{}, context?:{}) => Promise<any>;
	privateGetExecutionTradeHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetNotification: (params:{}, context?:{}) => Promise<any>;
	privateGetOrder: (params:{}, context?:{}) => Promise<any>;
	privateGetPosition: (params:{}, context?:{}) => Promise<any>;
	privateGetUser: (params:{}, context?:{}) => Promise<any>;
	privateGetUserAffiliateStatus: (params:{}, context?:{}) => Promise<any>;
	privateGetUserCheckReferralCode: (params:{}, context?:{}) => Promise<any>;
	privateGetUserCommission: (params:{}, context?:{}) => Promise<any>;
	privateGetUserDepositAddress: (params:{}, context?:{}) => Promise<any>;
	privateGetUserExecutionHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetUserMargin: (params:{}, context?:{}) => Promise<any>;
	privateGetUserMinWithdrawalFee: (params:{}, context?:{}) => Promise<any>;
	privateGetUserWallet: (params:{}, context?:{}) => Promise<any>;
	privateGetUserWalletHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetUserWalletSummary: (params:{}, context?:{}) => Promise<any>;
	privateGetWalletAssets: (params:{}, context?:{}) => Promise<any>;
	privateGetWalletNetworks: (params:{}, context?:{}) => Promise<any>;
	privateGetUserEvent: (params:{}, context?:{}) => Promise<any>;
	privatePostApiKey: (params:{}, context?:{}) => Promise<any>;
	privatePostApiKeyDisable: (params:{}, context?:{}) => Promise<any>;
	privatePostApiKeyEnable: (params:{}, context?:{}) => Promise<any>;
	privatePostChat: (params:{}, context?:{}) => Promise<any>;
	privatePostOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderBulk: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderCancelAllAfter: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderClosePosition: (params:{}, context?:{}) => Promise<any>;
	privatePostPositionIsolate: (params:{}, context?:{}) => Promise<any>;
	privatePostPositionLeverage: (params:{}, context?:{}) => Promise<any>;
	privatePostPositionRiskLimit: (params:{}, context?:{}) => Promise<any>;
	privatePostPositionTransferMargin: (params:{}, context?:{}) => Promise<any>;
	privatePostUserCancelWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostUserConfirmEmail: (params:{}, context?:{}) => Promise<any>;
	privatePostUserConfirmEnableTFA: (params:{}, context?:{}) => Promise<any>;
	privatePostUserConfirmWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostUserDisableTFA: (params:{}, context?:{}) => Promise<any>;
	privatePostUserLogout: (params:{}, context?:{}) => Promise<any>;
	privatePostUserLogoutAll: (params:{}, context?:{}) => Promise<any>;
	privatePostUserPreferences: (params:{}, context?:{}) => Promise<any>;
	privatePostUserRequestEnableTFA: (params:{}, context?:{}) => Promise<any>;
	privatePostUserRequestWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePutOrder: (params:{}, context?:{}) => Promise<any>;
	privatePutOrderBulk: (params:{}, context?:{}) => Promise<any>;
	privatePutUser: (params:{}, context?:{}) => Promise<any>;
	privateDeleteApiKey: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrder: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrderAll: (params:{}, context?:{}) => Promise<any>;
}