import {bitso as Type} from 'ccxt';
export interface bitsoRestApiType extends Type {
	publicGetAvailableBooks: (params:{}, context?:{}) => Promise<any>;
	publicGetTicker: (params:{}, context?:{}) => Promise<any>;
	publicGetOrderBook: (params:{}, context?:{}) => Promise<any>;
	publicGetTrades: (params:{}, context?:{}) => Promise<any>;
	publicGetOhlc: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountStatus: (params:{}, context?:{}) => Promise<any>;
	privateGetBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetFees: (params:{}, context?:{}) => Promise<any>;
	privateGetFundings: (params:{}, context?:{}) => Promise<any>;
	privateGetFundingsFid: (params:{}, context?:{}) => Promise<any>;
	privateGetFundingDestination: (params:{}, context?:{}) => Promise<any>;
	privateGetKycDocuments: (params:{}, context?:{}) => Promise<any>;
	privateGetLedger: (params:{}, context?:{}) => Promise<any>;
	privateGetLedgerTrades: (params:{}, context?:{}) => Promise<any>;
	privateGetLedgerFees: (params:{}, context?:{}) => Promise<any>;
	privateGetLedgerFundings: (params:{}, context?:{}) => Promise<any>;
	privateGetLedgerWithdrawals: (params:{}, context?:{}) => Promise<any>;
	privateGetMxBankCodes: (params:{}, context?:{}) => Promise<any>;
	privateGetOpenOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetOrderTradesOid: (params:{}, context?:{}) => Promise<any>;
	privateGetOrdersOid: (params:{}, context?:{}) => Promise<any>;
	privateGetUserTrades: (params:{}, context?:{}) => Promise<any>;
	privateGetUserTradesTid: (params:{}, context?:{}) => Promise<any>;
	privateGetWithdrawals: (params:{}, context?:{}) => Promise<any>;
	privateGetWithdrawalsWid: (params:{}, context?:{}) => Promise<any>;
	privatePostBitcoinWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostDebitCardWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostEtherWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostPhoneNumber: (params:{}, context?:{}) => Promise<any>;
	privatePostPhoneVerification: (params:{}, context?:{}) => Promise<any>;
	privatePostPhoneWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostSpeiWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostRippleWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostBcashWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostLitecoinWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrders: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrdersOid: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrdersAll: (params:{}, context?:{}) => Promise<any>;
}