import {coinbase as Type} from 'ccxt';
export interface coinbaseRestApiType extends Type {
	v2PublicGetCurrencies: (params:{}, context?:{}) => Promise<any>;
	v2PublicGetTime: (params:{}, context?:{}) => Promise<any>;
	v2PublicGetExchangeRates: (params:{}, context?:{}) => Promise<any>;
	v2PublicGetUsersUserId: (params:{}, context?:{}) => Promise<any>;
	v2PublicGetPricesSymbolBuy: (params:{}, context?:{}) => Promise<any>;
	v2PublicGetPricesSymbolSell: (params:{}, context?:{}) => Promise<any>;
	v2PublicGetPricesSymbolSpot: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAccounts: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAccountsAccountId: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAccountsAccountIdAddresses: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAccountsAccountIdAddressesAddressId: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAccountsAccountIdAddressesAddressIdTransactions: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAccountsAccountIdTransactions: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAccountsAccountIdTransactionsTransactionId: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAccountsAccountIdBuys: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAccountsAccountIdBuysBuyId: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAccountsAccountIdSells: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAccountsAccountIdSellsSellId: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAccountsAccountIdDeposits: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAccountsAccountIdDepositsDepositId: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAccountsAccountIdWithdrawals: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAccountsAccountIdWithdrawalsWithdrawalId: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetPaymentMethods: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetPaymentMethodsPaymentMethodId: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetUser: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetUserAuth: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostAccounts: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostAccountsAccountIdPrimary: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostAccountsAccountIdAddresses: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostAccountsAccountIdTransactions: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostAccountsAccountIdTransactionsTransactionIdComplete: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostAccountsAccountIdTransactionsTransactionIdResend: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostAccountsAccountIdBuys: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostAccountsAccountIdBuysBuyIdCommit: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostAccountsAccountIdSells: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostAccountsAccountIdSellsSellIdCommit: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostAccountsAccountIdDeposits: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostAccountsAccountIdDepositsDepositIdCommit: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostAccountsAccountIdWithdrawals: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostAccountsAccountIdWithdrawalsWithdrawalIdCommit: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePutAccountsAccountId: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePutUser: (params:{}, context?:{}) => Promise<any>;
	v2PrivateDeleteAccountsId: (params:{}, context?:{}) => Promise<any>;
	v2PrivateDeleteAccountsAccountIdTransactionsTransactionId: (params:{}, context?:{}) => Promise<any>;
	v3PrivateGetBrokerageAccounts: (params:{}, context?:{}) => Promise<any>;
	v3PrivateGetBrokerageAccountsAccountUuid: (params:{}, context?:{}) => Promise<any>;
	v3PrivateGetBrokerageOrdersHistoricalBatch: (params:{}, context?:{}) => Promise<any>;
	v3PrivateGetBrokerageOrdersHistoricalFills: (params:{}, context?:{}) => Promise<any>;
	v3PrivateGetBrokerageOrdersHistoricalOrderId: (params:{}, context?:{}) => Promise<any>;
	v3PrivateGetBrokerageProducts: (params:{}, context?:{}) => Promise<any>;
	v3PrivateGetBrokerageProductsProductId: (params:{}, context?:{}) => Promise<any>;
	v3PrivateGetBrokerageProductsProductIdCandles: (params:{}, context?:{}) => Promise<any>;
	v3PrivateGetBrokerageProductsProductIdTicker: (params:{}, context?:{}) => Promise<any>;
	v3PrivateGetBrokerageTransactionSummary: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostBrokerageOrders: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostBrokerageOrdersBatchCancel: (params:{}, context?:{}) => Promise<any>;
}