import {coinbaseprime as Type} from 'ccxt';
export interface coinbaseprimeRestApiType extends Type {
	publicGetCurrencies: (params:{}, context?:{}) => Promise<any>;
	publicGetProducts: (params:{}, context?:{}) => Promise<any>;
	publicGetProductsId: (params:{}, context?:{}) => Promise<any>;
	publicGetProductsIdBook: (params:{}, context?:{}) => Promise<any>;
	publicGetProductsIdCandles: (params:{}, context?:{}) => Promise<any>;
	publicGetProductsIdStats: (params:{}, context?:{}) => Promise<any>;
	publicGetProductsIdTicker: (params:{}, context?:{}) => Promise<any>;
	publicGetProductsIdTrades: (params:{}, context?:{}) => Promise<any>;
	publicGetTime: (params:{}, context?:{}) => Promise<any>;
	publicGetProductsSparkLines: (params:{}, context?:{}) => Promise<any>;
	privateGetAccounts: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountsId: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountsIdHolds: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountsIdLedger: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountsIdTransfers: (params:{}, context?:{}) => Promise<any>;
	privateGetCoinbaseAccounts: (params:{}, context?:{}) => Promise<any>;
	privateGetFills: (params:{}, context?:{}) => Promise<any>;
	privateGetFunding: (params:{}, context?:{}) => Promise<any>;
	privateGetFees: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginProfileInformation: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginBuyingPower: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginWithdrawalPower: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginWithdrawalPowerAll: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginExitPlan: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginLiquidationHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginPositionRefreshAmounts: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginStatus: (params:{}, context?:{}) => Promise<any>;
	privateGetOracle: (params:{}, context?:{}) => Promise<any>;
	privateGetOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetOrdersId: (params:{}, context?:{}) => Promise<any>;
	privateGetOrdersClientClientOid: (params:{}, context?:{}) => Promise<any>;
	privateGetOtcOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetPaymentMethods: (params:{}, context?:{}) => Promise<any>;
	privateGetPosition: (params:{}, context?:{}) => Promise<any>;
	privateGetProfiles: (params:{}, context?:{}) => Promise<any>;
	privateGetProfilesId: (params:{}, context?:{}) => Promise<any>;
	privateGetReportsReportId: (params:{}, context?:{}) => Promise<any>;
	privateGetTransfers: (params:{}, context?:{}) => Promise<any>;
	privateGetTransfersTransferId: (params:{}, context?:{}) => Promise<any>;
	privateGetUsersSelfExchangeLimits: (params:{}, context?:{}) => Promise<any>;
	privateGetUsersSelfHoldBalances: (params:{}, context?:{}) => Promise<any>;
	privateGetUsersSelfTrailingVolume: (params:{}, context?:{}) => Promise<any>;
	privateGetWithdrawalsFeeEstimate: (params:{}, context?:{}) => Promise<any>;
	privateGetConversionsConversionId: (params:{}, context?:{}) => Promise<any>;
	privatePostConversions: (params:{}, context?:{}) => Promise<any>;
	privatePostDepositsCoinbaseAccount: (params:{}, context?:{}) => Promise<any>;
	privatePostDepositsPaymentMethod: (params:{}, context?:{}) => Promise<any>;
	privatePostCoinbaseAccountsIdAddresses: (params:{}, context?:{}) => Promise<any>;
	privatePostFundingRepay: (params:{}, context?:{}) => Promise<any>;
	privatePostOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostPositionClose: (params:{}, context?:{}) => Promise<any>;
	privatePostProfilesMarginTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostProfilesTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostReports: (params:{}, context?:{}) => Promise<any>;
	privatePostWithdrawalsCoinbase: (params:{}, context?:{}) => Promise<any>;
	privatePostWithdrawalsCoinbaseAccount: (params:{}, context?:{}) => Promise<any>;
	privatePostWithdrawalsCrypto: (params:{}, context?:{}) => Promise<any>;
	privatePostWithdrawalsPaymentMethod: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrders: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrdersClientClientOid: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrdersId: (params:{}, context?:{}) => Promise<any>;
}