import {coinex as Type} from 'ccxt';
export interface coinexRestApiType extends Type {
	publicGetAmmMarket: (params:{}, context?:{}) => Promise<any>;
	publicGetCommonCurrencyRate: (params:{}, context?:{}) => Promise<any>;
	publicGetCommonAssetConfig: (params:{}, context?:{}) => Promise<any>;
	publicGetCommonMaintainInfo: (params:{}, context?:{}) => Promise<any>;
	publicGetCommonTempMaintainInfo: (params:{}, context?:{}) => Promise<any>;
	publicGetMarginMarket: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketInfo: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketList: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketTicker: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketTickerAll: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketDepth: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketDeals: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketKline: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketDetail: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountAmmBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountInvestmentBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountBalanceHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountMarketFee: (params:{}, context?:{}) => Promise<any>;
	privateGetBalanceCoinDeposit: (params:{}, context?:{}) => Promise<any>;
	privateGetBalanceCoinWithdraw: (params:{}, context?:{}) => Promise<any>;
	privateGetBalanceInfo: (params:{}, context?:{}) => Promise<any>;
	privateGetBalanceDepositAddressCoinType: (params:{}, context?:{}) => Promise<any>;
	privateGetContractTransferHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetCreditInfo: (params:{}, context?:{}) => Promise<any>;
	privateGetCreditBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetInvestmentTransferHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginAccount: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginConfig: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginLoanHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginTransferHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetOrderDeals: (params:{}, context?:{}) => Promise<any>;
	privateGetOrderFinished: (params:{}, context?:{}) => Promise<any>;
	privateGetOrderPending: (params:{}, context?:{}) => Promise<any>;
	privateGetOrderStatus: (params:{}, context?:{}) => Promise<any>;
	privateGetOrderStatusBatch: (params:{}, context?:{}) => Promise<any>;
	privateGetOrderUserDeals: (params:{}, context?:{}) => Promise<any>;
	privateGetOrderStopFinished: (params:{}, context?:{}) => Promise<any>;
	privateGetOrderStopPending: (params:{}, context?:{}) => Promise<any>;
	privateGetOrderUserTradeFee: (params:{}, context?:{}) => Promise<any>;
	privateGetOrderMarketTradeInfo: (params:{}, context?:{}) => Promise<any>;
	privateGetSubAccountBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetSubAccountTransferHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetSubAccountAuthApiUserAuthId: (params:{}, context?:{}) => Promise<any>;
	privatePostBalanceCoinWithdraw: (params:{}, context?:{}) => Promise<any>;
	privatePostContractBalanceTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginFlat: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginLoan: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderLimitBatch: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderIoc: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderLimit: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderMarket: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderModify: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderStopLimit: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderStopMarket: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderStopModify: (params:{}, context?:{}) => Promise<any>;
	privatePostSubAccountTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostSubAccountRegister: (params:{}, context?:{}) => Promise<any>;
	privatePostSubAccountUnfrozen: (params:{}, context?:{}) => Promise<any>;
	privatePostSubAccountFrozen: (params:{}, context?:{}) => Promise<any>;
	privatePostSubAccountAuthApi: (params:{}, context?:{}) => Promise<any>;
	privatePutBalanceDepositAddressCoinType: (params:{}, context?:{}) => Promise<any>;
	privatePutSubAccountAuthApiUserAuthId: (params:{}, context?:{}) => Promise<any>;
	privatePutV1AccountSettings: (params:{}, context?:{}) => Promise<any>;
	privateDeleteBalanceCoinWithdraw: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrderPendingBatch: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrderPending: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrderStopPending: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrderStopPendingId: (params:{}, context?:{}) => Promise<any>;
	privateDeleteSubAccountAuthApiUserAuthId: (params:{}, context?:{}) => Promise<any>;
	perpetualPublicGetPing: (params:{}, context?:{}) => Promise<any>;
	perpetualPublicGetTime: (params:{}, context?:{}) => Promise<any>;
	perpetualPublicGetMarketList: (params:{}, context?:{}) => Promise<any>;
	perpetualPublicGetMarketLimitConfig: (params:{}, context?:{}) => Promise<any>;
	perpetualPublicGetMarketTicker: (params:{}, context?:{}) => Promise<any>;
	perpetualPublicGetMarketTickerAll: (params:{}, context?:{}) => Promise<any>;
	perpetualPublicGetMarketDepth: (params:{}, context?:{}) => Promise<any>;
	perpetualPublicGetMarketDeals: (params:{}, context?:{}) => Promise<any>;
	perpetualPublicGetMarketFundingHistory: (params:{}, context?:{}) => Promise<any>;
	perpetualPublicGetMarketUserDeals: (params:{}, context?:{}) => Promise<any>;
	perpetualPublicGetMarketKline: (params:{}, context?:{}) => Promise<any>;
	perpetualPrivateGetAssetQuery: (params:{}, context?:{}) => Promise<any>;
	perpetualPrivateGetOrderPending: (params:{}, context?:{}) => Promise<any>;
	perpetualPrivateGetOrderFinished: (params:{}, context?:{}) => Promise<any>;
	perpetualPrivateGetOrderStopFinished: (params:{}, context?:{}) => Promise<any>;
	perpetualPrivateGetOrderStopPending: (params:{}, context?:{}) => Promise<any>;
	perpetualPrivateGetOrderStatus: (params:{}, context?:{}) => Promise<any>;
	perpetualPrivateGetOrderStopStatus: (params:{}, context?:{}) => Promise<any>;
	perpetualPrivateGetPositionPending: (params:{}, context?:{}) => Promise<any>;
	perpetualPrivateGetPositionFunding: (params:{}, context?:{}) => Promise<any>;
	perpetualPrivatePostMarketAdjustLeverage: (params:{}, context?:{}) => Promise<any>;
	perpetualPrivatePostMarketPositionExpect: (params:{}, context?:{}) => Promise<any>;
	perpetualPrivatePostOrderPutLimit: (params:{}, context?:{}) => Promise<any>;
	perpetualPrivatePostOrderPutMarket: (params:{}, context?:{}) => Promise<any>;
	perpetualPrivatePostOrderPutStopLimit: (params:{}, context?:{}) => Promise<any>;
	perpetualPrivatePostOrderPutStopMarket: (params:{}, context?:{}) => Promise<any>;
	perpetualPrivatePostOrderModify: (params:{}, context?:{}) => Promise<any>;
	perpetualPrivatePostOrderModifyStop: (params:{}, context?:{}) => Promise<any>;
	perpetualPrivatePostOrderCancel: (params:{}, context?:{}) => Promise<any>;
	perpetualPrivatePostOrderCancelAll: (params:{}, context?:{}) => Promise<any>;
	perpetualPrivatePostOrderCancelBatch: (params:{}, context?:{}) => Promise<any>;
	perpetualPrivatePostOrderCancelStop: (params:{}, context?:{}) => Promise<any>;
	perpetualPrivatePostOrderCancelStopAll: (params:{}, context?:{}) => Promise<any>;
	perpetualPrivatePostOrderCloseLimit: (params:{}, context?:{}) => Promise<any>;
	perpetualPrivatePostOrderCloseMarket: (params:{}, context?:{}) => Promise<any>;
	perpetualPrivatePostPositionAdjustMargin: (params:{}, context?:{}) => Promise<any>;
	perpetualPrivatePostPositionStopLoss: (params:{}, context?:{}) => Promise<any>;
	perpetualPrivatePostPositionTakeProfit: (params:{}, context?:{}) => Promise<any>;
	perpetualPrivatePostPositionMarketClose: (params:{}, context?:{}) => Promise<any>;
}