import {deribit as Type} from 'ccxt';
export interface deribitRestApiType extends Type {
	publicGetAuth: (params:{}, context?:{}) => Promise<any>;
	publicGetExchangeToken: (params:{}, context?:{}) => Promise<any>;
	publicGetForkToken: (params:{}, context?:{}) => Promise<any>;
	publicGetSetHeartbeat: (params:{}, context?:{}) => Promise<any>;
	publicGetDisableHeartbeat: (params:{}, context?:{}) => Promise<any>;
	publicGetGetTime: (params:{}, context?:{}) => Promise<any>;
	publicGetHello: (params:{}, context?:{}) => Promise<any>;
	publicGetStatus: (params:{}, context?:{}) => Promise<any>;
	publicGetTest: (params:{}, context?:{}) => Promise<any>;
	publicGetSubscribe: (params:{}, context?:{}) => Promise<any>;
	publicGetUnsubscribe: (params:{}, context?:{}) => Promise<any>;
	publicGetUnsubscribeAll: (params:{}, context?:{}) => Promise<any>;
	publicGetGetAnnouncements: (params:{}, context?:{}) => Promise<any>;
	publicGetGetBookSummaryByCurrency: (params:{}, context?:{}) => Promise<any>;
	publicGetGetBookSummaryByInstrument: (params:{}, context?:{}) => Promise<any>;
	publicGetGetContractSize: (params:{}, context?:{}) => Promise<any>;
	publicGetGetCurrencies: (params:{}, context?:{}) => Promise<any>;
	publicGetGetDeliveryPrices: (params:{}, context?:{}) => Promise<any>;
	publicGetGetFundingChartData: (params:{}, context?:{}) => Promise<any>;
	publicGetGetFundingRateHistory: (params:{}, context?:{}) => Promise<any>;
	publicGetGetFundingRateValue: (params:{}, context?:{}) => Promise<any>;
	publicGetGetHistoricalVolatility: (params:{}, context?:{}) => Promise<any>;
	publicGetGetIndex: (params:{}, context?:{}) => Promise<any>;
	publicGetGetIndexPrice: (params:{}, context?:{}) => Promise<any>;
	publicGetGetIndexPriceNames: (params:{}, context?:{}) => Promise<any>;
	publicGetGetInstrument: (params:{}, context?:{}) => Promise<any>;
	publicGetGetInstruments: (params:{}, context?:{}) => Promise<any>;
	publicGetGetLastSettlementsByCurrency: (params:{}, context?:{}) => Promise<any>;
	publicGetGetLastSettlementsByInstrument: (params:{}, context?:{}) => Promise<any>;
	publicGetGetLastTradesByCurrency: (params:{}, context?:{}) => Promise<any>;
	publicGetGetLastTradesByCurrencyAndTime: (params:{}, context?:{}) => Promise<any>;
	publicGetGetLastTradesByInstrument: (params:{}, context?:{}) => Promise<any>;
	publicGetGetLastTradesByInstrumentAndTime: (params:{}, context?:{}) => Promise<any>;
	publicGetGetMarkPriceHistory: (params:{}, context?:{}) => Promise<any>;
	publicGetGetOrderBook: (params:{}, context?:{}) => Promise<any>;
	publicGetGetTradeVolumes: (params:{}, context?:{}) => Promise<any>;
	publicGetGetTradingviewChartData: (params:{}, context?:{}) => Promise<any>;
	publicGetGetVolatilityIndexData: (params:{}, context?:{}) => Promise<any>;
	publicGetTicker: (params:{}, context?:{}) => Promise<any>;
	privateGetLogout: (params:{}, context?:{}) => Promise<any>;
	privateGetEnableCancelOnDisconnect: (params:{}, context?:{}) => Promise<any>;
	privateGetDisableCancelOnDisconnect: (params:{}, context?:{}) => Promise<any>;
	privateGetGetCancelOnDisconnect: (params:{}, context?:{}) => Promise<any>;
	privateGetSubscribe: (params:{}, context?:{}) => Promise<any>;
	privateGetUnsubscribe: (params:{}, context?:{}) => Promise<any>;
	privateGetUnsubscribeAll: (params:{}, context?:{}) => Promise<any>;
	privateGetChangeApiKeyName: (params:{}, context?:{}) => Promise<any>;
	privateGetChangeScopeInApiKey: (params:{}, context?:{}) => Promise<any>;
	privateGetChangeSubaccountName: (params:{}, context?:{}) => Promise<any>;
	privateGetCreateApiKey: (params:{}, context?:{}) => Promise<any>;
	privateGetCreateSubaccount: (params:{}, context?:{}) => Promise<any>;
	privateGetDisableApiKey: (params:{}, context?:{}) => Promise<any>;
	privateGetDisableTfaForSubaccount: (params:{}, context?:{}) => Promise<any>;
	privateGetEnableAffiliateProgram: (params:{}, context?:{}) => Promise<any>;
	privateGetEnableApiKey: (params:{}, context?:{}) => Promise<any>;
	privateGetGetAccessLog: (params:{}, context?:{}) => Promise<any>;
	privateGetGetAccountSummary: (params:{}, context?:{}) => Promise<any>;
	privateGetGetAffiliateProgramInfo: (params:{}, context?:{}) => Promise<any>;
	privateGetGetEmailLanguage: (params:{}, context?:{}) => Promise<any>;
	privateGetGetNewAnnouncements: (params:{}, context?:{}) => Promise<any>;
	privateGetGetPortfolioMargins: (params:{}, context?:{}) => Promise<any>;
	privateGetGetPosition: (params:{}, context?:{}) => Promise<any>;
	privateGetGetPositions: (params:{}, context?:{}) => Promise<any>;
	privateGetGetSubaccounts: (params:{}, context?:{}) => Promise<any>;
	privateGetGetSubaccountsDetails: (params:{}, context?:{}) => Promise<any>;
	privateGetGetTransactionLog: (params:{}, context?:{}) => Promise<any>;
	privateGetListApiKeys: (params:{}, context?:{}) => Promise<any>;
	privateGetRemoveApiKey: (params:{}, context?:{}) => Promise<any>;
	privateGetRemoveSubaccount: (params:{}, context?:{}) => Promise<any>;
	privateGetResetApiKey: (params:{}, context?:{}) => Promise<any>;
	privateGetSetAnnouncementAsRead: (params:{}, context?:{}) => Promise<any>;
	privateGetSetApiKeyAsDefault: (params:{}, context?:{}) => Promise<any>;
	privateGetSetEmailForSubaccount: (params:{}, context?:{}) => Promise<any>;
	privateGetSetEmailLanguage: (params:{}, context?:{}) => Promise<any>;
	privateGetSetPasswordForSubaccount: (params:{}, context?:{}) => Promise<any>;
	privateGetToggleNotificationsFromSubaccount: (params:{}, context?:{}) => Promise<any>;
	privateGetToggleSubaccountLogin: (params:{}, context?:{}) => Promise<any>;
	privateGetExecuteBlockTrade: (params:{}, context?:{}) => Promise<any>;
	privateGetGetBlockTrade: (params:{}, context?:{}) => Promise<any>;
	privateGetGetLastBlockTradesByCurrency: (params:{}, context?:{}) => Promise<any>;
	privateGetInvalidateBlockTradeSignature: (params:{}, context?:{}) => Promise<any>;
	privateGetVerifyBlockTrade: (params:{}, context?:{}) => Promise<any>;
	privateGetBuy: (params:{}, context?:{}) => Promise<any>;
	privateGetSell: (params:{}, context?:{}) => Promise<any>;
	privateGetEdit: (params:{}, context?:{}) => Promise<any>;
	privateGetEditByLabel: (params:{}, context?:{}) => Promise<any>;
	privateGetCancel: (params:{}, context?:{}) => Promise<any>;
	privateGetCancelAll: (params:{}, context?:{}) => Promise<any>;
	privateGetCancelAllByCurrency: (params:{}, context?:{}) => Promise<any>;
	privateGetCancelAllByInstrument: (params:{}, context?:{}) => Promise<any>;
	privateGetCancelByLabel: (params:{}, context?:{}) => Promise<any>;
	privateGetClosePosition: (params:{}, context?:{}) => Promise<any>;
	privateGetGetMargins: (params:{}, context?:{}) => Promise<any>;
	privateGetGetMmpConfig: (params:{}, context?:{}) => Promise<any>;
	privateGetGetOpenOrdersByCurrency: (params:{}, context?:{}) => Promise<any>;
	privateGetGetOpenOrdersByInstrument: (params:{}, context?:{}) => Promise<any>;
	privateGetGetOrderHistoryByCurrency: (params:{}, context?:{}) => Promise<any>;
	privateGetGetOrderHistoryByInstrument: (params:{}, context?:{}) => Promise<any>;
	privateGetGetOrderMarginByIds: (params:{}, context?:{}) => Promise<any>;
	privateGetGetOrderState: (params:{}, context?:{}) => Promise<any>;
	privateGetGetStopOrderHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetGetTriggerOrderHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetGetUserTradesByCurrency: (params:{}, context?:{}) => Promise<any>;
	privateGetGetUserTradesByCurrencyAndTime: (params:{}, context?:{}) => Promise<any>;
	privateGetGetUserTradesByInstrument: (params:{}, context?:{}) => Promise<any>;
	privateGetGetUserTradesByInstrumentAndTime: (params:{}, context?:{}) => Promise<any>;
	privateGetGetUserTradesByOrder: (params:{}, context?:{}) => Promise<any>;
	privateGetResetMmp: (params:{}, context?:{}) => Promise<any>;
	privateGetSetMmpConfig: (params:{}, context?:{}) => Promise<any>;
	privateGetGetSettlementHistoryByInstrument: (params:{}, context?:{}) => Promise<any>;
	privateGetGetSettlementHistoryByCurrency: (params:{}, context?:{}) => Promise<any>;
	privateGetCancelTransferById: (params:{}, context?:{}) => Promise<any>;
	privateGetCancelWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privateGetCreateDepositAddress: (params:{}, context?:{}) => Promise<any>;
	privateGetGetCurrentDepositAddress: (params:{}, context?:{}) => Promise<any>;
	privateGetGetDeposits: (params:{}, context?:{}) => Promise<any>;
	privateGetGetTransfers: (params:{}, context?:{}) => Promise<any>;
	privateGetGetWithdrawals: (params:{}, context?:{}) => Promise<any>;
	privateGetSubmitTransferToSubaccount: (params:{}, context?:{}) => Promise<any>;
	privateGetSubmitTransferToUser: (params:{}, context?:{}) => Promise<any>;
	privateGetWithdraw: (params:{}, context?:{}) => Promise<any>;
}