import {exmo as Type} from 'ccxt';
export interface exmoRestApiType extends Type {
	webGetCtrlFeesAndLimits: (params:{}, context?:{}) => Promise<any>;
	webGetEnDocsFees: (params:{}, context?:{}) => Promise<any>;
	publicGetCurrency: (params:{}, context?:{}) => Promise<any>;
	publicGetCurrencyListExtended: (params:{}, context?:{}) => Promise<any>;
	publicGetOrderBook: (params:{}, context?:{}) => Promise<any>;
	publicGetPairSettings: (params:{}, context?:{}) => Promise<any>;
	publicGetTicker: (params:{}, context?:{}) => Promise<any>;
	publicGetTrades: (params:{}, context?:{}) => Promise<any>;
	publicGetCandlesHistory: (params:{}, context?:{}) => Promise<any>;
	publicGetRequiredAmount: (params:{}, context?:{}) => Promise<any>;
	publicGetPaymentsProvidersCryptoList: (params:{}, context?:{}) => Promise<any>;
	privatePostUserInfo: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderCreate: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostStopMarketOrderCreate: (params:{}, context?:{}) => Promise<any>;
	privatePostStopMarketOrderCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostUserOpenOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostUserTrades: (params:{}, context?:{}) => Promise<any>;
	privatePostUserCancelledOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderTrades: (params:{}, context?:{}) => Promise<any>;
	privatePostDepositAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostWithdrawCrypt: (params:{}, context?:{}) => Promise<any>;
	privatePostWithdrawGetTxid: (params:{}, context?:{}) => Promise<any>;
	privatePostExcodeCreate: (params:{}, context?:{}) => Promise<any>;
	privatePostExcodeLoad: (params:{}, context?:{}) => Promise<any>;
	privatePostCodeCheck: (params:{}, context?:{}) => Promise<any>;
	privatePostWalletHistory: (params:{}, context?:{}) => Promise<any>;
	privatePostWalletOperations: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginUserOrderCreate: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginUserOrderUpdate: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginUserOrderCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginUserPositionClose: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginUserPositionMarginAdd: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginUserPositionMarginRemove: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginCurrencyList: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginPairList: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginSettings: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginFundingList: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginUserInfo: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginUserOrderList: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginUserOrderHistory: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginUserOrderTrades: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginUserOrderMaxQuantity: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginUserPositionList: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginUserPositionMarginRemoveInfo: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginUserPositionMarginAddInfo: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginUserWalletList: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginUserWalletHistory: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginUserTradeList: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginTrades: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginLiquidationFeed: (params:{}, context?:{}) => Promise<any>;
}