import {gateio as Type} from 'ccxt';
export interface gateioRestApiType extends Type {
	publicWalletGetCurrencyChains: (params:{}, context?:{}) => Promise<any>;
	publicSpotGetCurrencies: (params:{}, context?:{}) => Promise<any>;
	publicSpotGetCurrenciesCurrency: (params:{}, context?:{}) => Promise<any>;
	publicSpotGetCurrencyPairs: (params:{}, context?:{}) => Promise<any>;
	publicSpotGetCurrencyPairsCurrencyPair: (params:{}, context?:{}) => Promise<any>;
	publicSpotGetTickers: (params:{}, context?:{}) => Promise<any>;
	publicSpotGetOrderBook: (params:{}, context?:{}) => Promise<any>;
	publicSpotGetTrades: (params:{}, context?:{}) => Promise<any>;
	publicSpotGetCandlesticks: (params:{}, context?:{}) => Promise<any>;
	publicMarginGetCurrencyPairs: (params:{}, context?:{}) => Promise<any>;
	publicMarginGetCurrencyPairsCurrencyPair: (params:{}, context?:{}) => Promise<any>;
	publicMarginGetCrossCurrencies: (params:{}, context?:{}) => Promise<any>;
	publicMarginGetCrossCurrenciesCurrency: (params:{}, context?:{}) => Promise<any>;
	publicMarginGetFundingBook: (params:{}, context?:{}) => Promise<any>;
	publicFuturesGetSettleContracts: (params:{}, context?:{}) => Promise<any>;
	publicFuturesGetSettleContractsContract: (params:{}, context?:{}) => Promise<any>;
	publicFuturesGetSettleOrderBook: (params:{}, context?:{}) => Promise<any>;
	publicFuturesGetSettleTrades: (params:{}, context?:{}) => Promise<any>;
	publicFuturesGetSettleCandlesticks: (params:{}, context?:{}) => Promise<any>;
	publicFuturesGetSettleTickers: (params:{}, context?:{}) => Promise<any>;
	publicFuturesGetSettleFundingRate: (params:{}, context?:{}) => Promise<any>;
	publicFuturesGetSettleInsurance: (params:{}, context?:{}) => Promise<any>;
	publicFuturesGetSettleContractStats: (params:{}, context?:{}) => Promise<any>;
	publicFuturesGetSettleLiqOrders: (params:{}, context?:{}) => Promise<any>;
	publicDeliveryGetSettleContracts: (params:{}, context?:{}) => Promise<any>;
	publicDeliveryGetSettleContractsContract: (params:{}, context?:{}) => Promise<any>;
	publicDeliveryGetSettleOrderBook: (params:{}, context?:{}) => Promise<any>;
	publicDeliveryGetSettleTrades: (params:{}, context?:{}) => Promise<any>;
	publicDeliveryGetSettleCandlesticks: (params:{}, context?:{}) => Promise<any>;
	publicDeliveryGetSettleTickers: (params:{}, context?:{}) => Promise<any>;
	publicDeliveryGetSettleInsurance: (params:{}, context?:{}) => Promise<any>;
	publicOptionsGetUnderlyings: (params:{}, context?:{}) => Promise<any>;
	publicOptionsGetExpirations: (params:{}, context?:{}) => Promise<any>;
	publicOptionsGetContracts: (params:{}, context?:{}) => Promise<any>;
	publicOptionsGetContractsContract: (params:{}, context?:{}) => Promise<any>;
	publicOptionsGetSettlements: (params:{}, context?:{}) => Promise<any>;
	publicOptionsGetSettlementsContract: (params:{}, context?:{}) => Promise<any>;
	publicOptionsGetOrderBook: (params:{}, context?:{}) => Promise<any>;
	publicOptionsGetTickers: (params:{}, context?:{}) => Promise<any>;
	publicOptionsGetUnderlyingTickersUnderlying: (params:{}, context?:{}) => Promise<any>;
	publicOptionsGetCandlesticks: (params:{}, context?:{}) => Promise<any>;
	publicOptionsGetUnderlyingCandlesticks: (params:{}, context?:{}) => Promise<any>;
	publicOptionsGetTrades: (params:{}, context?:{}) => Promise<any>;
	publicEarnGetUniCurrencies: (params:{}, context?:{}) => Promise<any>;
	publicEarnGetUniCurrenciesCurrency: (params:{}, context?:{}) => Promise<any>;
	privateWithdrawalsPostWithdrawals: (params:{}, context?:{}) => Promise<any>;
	privateWithdrawalsDeleteWithdrawalsWithdrawalId: (params:{}, context?:{}) => Promise<any>;
	privateWalletGetDepositAddress: (params:{}, context?:{}) => Promise<any>;
	privateWalletGetWithdrawals: (params:{}, context?:{}) => Promise<any>;
	privateWalletGetDeposits: (params:{}, context?:{}) => Promise<any>;
	privateWalletGetSubAccountTransfers: (params:{}, context?:{}) => Promise<any>;
	privateWalletGetWithdrawStatus: (params:{}, context?:{}) => Promise<any>;
	privateWalletGetSubAccountBalances: (params:{}, context?:{}) => Promise<any>;
	privateWalletGetFee: (params:{}, context?:{}) => Promise<any>;
	privateWalletGetTotalBalance: (params:{}, context?:{}) => Promise<any>;
	privateWalletPostTransfers: (params:{}, context?:{}) => Promise<any>;
	privateWalletPostSubAccountTransfers: (params:{}, context?:{}) => Promise<any>;
	privateSubAccountsGetSubAccounts: (params:{}, context?:{}) => Promise<any>;
	privateSubAccountsGetSubAccountsUserId: (params:{}, context?:{}) => Promise<any>;
	privateSubAccountsGetSubAccountsUserIdKeys: (params:{}, context?:{}) => Promise<any>;
	privateSubAccountsGetSubAccountsUserIdKeysKey: (params:{}, context?:{}) => Promise<any>;
	privateSubAccountsPostSubAccounts: (params:{}, context?:{}) => Promise<any>;
	privateSubAccountsPostSubAccountsUserIdKeys: (params:{}, context?:{}) => Promise<any>;
	privateSubAccountsPostSubAccountsUserIdLock: (params:{}, context?:{}) => Promise<any>;
	privateSubAccountsPostSubAccountsUserIdUnlock: (params:{}, context?:{}) => Promise<any>;
	privateSubAccountsPutSubAccountsUserIdKeysKey: (params:{}, context?:{}) => Promise<any>;
	privateSubAccountsDeleteSubAccountsUserIdKeysKey: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetAccounts: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetOpenOrders: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetOrders: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetOrdersOrderId: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetMyTrades: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetPriceOrders: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetPriceOrdersOrderId: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostBatchOrders: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostOrders: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostCancelBatchOrders: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostPriceOrders: (params:{}, context?:{}) => Promise<any>;
	privateSpotDeleteOrders: (params:{}, context?:{}) => Promise<any>;
	privateSpotDeleteOrdersOrderId: (params:{}, context?:{}) => Promise<any>;
	privateSpotDeletePriceOrders: (params:{}, context?:{}) => Promise<any>;
	privateSpotDeletePriceOrdersOrderId: (params:{}, context?:{}) => Promise<any>;
	privateSpotPatchOrdersOrderId: (params:{}, context?:{}) => Promise<any>;
	privateMarginGetAccounts: (params:{}, context?:{}) => Promise<any>;
	privateMarginGetAccountBook: (params:{}, context?:{}) => Promise<any>;
	privateMarginGetFundingAccounts: (params:{}, context?:{}) => Promise<any>;
	privateMarginGetLoans: (params:{}, context?:{}) => Promise<any>;
	privateMarginGetLoansLoanId: (params:{}, context?:{}) => Promise<any>;
	privateMarginGetLoansLoanIdRepayment: (params:{}, context?:{}) => Promise<any>;
	privateMarginGetLoanRecords: (params:{}, context?:{}) => Promise<any>;
	privateMarginGetLoanRecordsLoadRecordId: (params:{}, context?:{}) => Promise<any>;
	privateMarginGetAutoRepay: (params:{}, context?:{}) => Promise<any>;
	privateMarginGetTransferable: (params:{}, context?:{}) => Promise<any>;
	privateMarginGetCrossAccounts: (params:{}, context?:{}) => Promise<any>;
	privateMarginGetCrossAccountBook: (params:{}, context?:{}) => Promise<any>;
	privateMarginGetCrossLoans: (params:{}, context?:{}) => Promise<any>;
	privateMarginGetCrossLoansLoanId: (params:{}, context?:{}) => Promise<any>;
	privateMarginGetCrossLoansRepayments: (params:{}, context?:{}) => Promise<any>;
	privateMarginGetCrossTransferable: (params:{}, context?:{}) => Promise<any>;
	privateMarginGetLoanRecordsLoanRecordId: (params:{}, context?:{}) => Promise<any>;
	privateMarginGetBorrowable: (params:{}, context?:{}) => Promise<any>;
	privateMarginGetCrossRepayments: (params:{}, context?:{}) => Promise<any>;
	privateMarginGetCrossBorrowable: (params:{}, context?:{}) => Promise<any>;
	privateMarginPostLoans: (params:{}, context?:{}) => Promise<any>;
	privateMarginPostMergedLoans: (params:{}, context?:{}) => Promise<any>;
	privateMarginPostLoansLoanIdRepayment: (params:{}, context?:{}) => Promise<any>;
	privateMarginPostAutoRepay: (params:{}, context?:{}) => Promise<any>;
	privateMarginPostCrossLoans: (params:{}, context?:{}) => Promise<any>;
	privateMarginPostCrossLoansRepayments: (params:{}, context?:{}) => Promise<any>;
	privateMarginPostCrossRepayments: (params:{}, context?:{}) => Promise<any>;
	privateMarginPatchLoansLoanId: (params:{}, context?:{}) => Promise<any>;
	privateMarginPatchLoanRecordsLoanRecordId: (params:{}, context?:{}) => Promise<any>;
	privateMarginDeleteLoansLoanId: (params:{}, context?:{}) => Promise<any>;
	privateFuturesGetSettleAccounts: (params:{}, context?:{}) => Promise<any>;
	privateFuturesGetSettleAccountBook: (params:{}, context?:{}) => Promise<any>;
	privateFuturesGetSettlePositions: (params:{}, context?:{}) => Promise<any>;
	privateFuturesGetSettlePositionsContract: (params:{}, context?:{}) => Promise<any>;
	privateFuturesGetSettleOrders: (params:{}, context?:{}) => Promise<any>;
	privateFuturesGetSettleOrdersOrderId: (params:{}, context?:{}) => Promise<any>;
	privateFuturesGetSettleMyTrades: (params:{}, context?:{}) => Promise<any>;
	privateFuturesGetSettlePositionClose: (params:{}, context?:{}) => Promise<any>;
	privateFuturesGetSettleLiquidates: (params:{}, context?:{}) => Promise<any>;
	privateFuturesGetSettlePriceOrders: (params:{}, context?:{}) => Promise<any>;
	privateFuturesGetSettlePriceOrdersOrderId: (params:{}, context?:{}) => Promise<any>;
	privateFuturesGetSettleDualCompPositionsContract: (params:{}, context?:{}) => Promise<any>;
	privateFuturesGetSettleAutoDeleverages: (params:{}, context?:{}) => Promise<any>;
	privateFuturesPostSettlePositionsContractMargin: (params:{}, context?:{}) => Promise<any>;
	privateFuturesPostSettlePositionsContractLeverage: (params:{}, context?:{}) => Promise<any>;
	privateFuturesPostSettlePositionsContractRiskLimit: (params:{}, context?:{}) => Promise<any>;
	privateFuturesPostSettleDualMode: (params:{}, context?:{}) => Promise<any>;
	privateFuturesPostSettleDualCompPositionsContract: (params:{}, context?:{}) => Promise<any>;
	privateFuturesPostSettleDualCompPositionsContractMargin: (params:{}, context?:{}) => Promise<any>;
	privateFuturesPostSettleDualCompPositionsContractLeverage: (params:{}, context?:{}) => Promise<any>;
	privateFuturesPostSettleDualCompPositionsContractRiskLimit: (params:{}, context?:{}) => Promise<any>;
	privateFuturesPostSettleOrders: (params:{}, context?:{}) => Promise<any>;
	privateFuturesPostSettlePriceOrders: (params:{}, context?:{}) => Promise<any>;
	privateFuturesDeleteSettleOrders: (params:{}, context?:{}) => Promise<any>;
	privateFuturesDeleteSettleOrdersOrderId: (params:{}, context?:{}) => Promise<any>;
	privateFuturesDeleteSettlePriceOrders: (params:{}, context?:{}) => Promise<any>;
	privateFuturesDeleteSettlePriceOrdersOrderId: (params:{}, context?:{}) => Promise<any>;
	privateDeliveryGetSettleAccounts: (params:{}, context?:{}) => Promise<any>;
	privateDeliveryGetSettleAccountBook: (params:{}, context?:{}) => Promise<any>;
	privateDeliveryGetSettlePositions: (params:{}, context?:{}) => Promise<any>;
	privateDeliveryGetSettlePositionsContract: (params:{}, context?:{}) => Promise<any>;
	privateDeliveryGetSettleOrders: (params:{}, context?:{}) => Promise<any>;
	privateDeliveryGetSettleOrdersOrderId: (params:{}, context?:{}) => Promise<any>;
	privateDeliveryGetSettleMyTrades: (params:{}, context?:{}) => Promise<any>;
	privateDeliveryGetSettlePositionClose: (params:{}, context?:{}) => Promise<any>;
	privateDeliveryGetSettleLiquidates: (params:{}, context?:{}) => Promise<any>;
	privateDeliveryGetSettlePriceOrders: (params:{}, context?:{}) => Promise<any>;
	privateDeliveryGetSettlePriceOrdersOrderId: (params:{}, context?:{}) => Promise<any>;
	privateDeliveryGetSettleSettlements: (params:{}, context?:{}) => Promise<any>;
	privateDeliveryPostSettlePositionsContractMargin: (params:{}, context?:{}) => Promise<any>;
	privateDeliveryPostSettlePositionsContractLeverage: (params:{}, context?:{}) => Promise<any>;
	privateDeliveryPostSettlePositionsContractRiskLimit: (params:{}, context?:{}) => Promise<any>;
	privateDeliveryPostSettleOrders: (params:{}, context?:{}) => Promise<any>;
	privateDeliveryPostSettlePriceOrders: (params:{}, context?:{}) => Promise<any>;
	privateDeliveryDeleteSettleOrders: (params:{}, context?:{}) => Promise<any>;
	privateDeliveryDeleteSettleOrdersOrderId: (params:{}, context?:{}) => Promise<any>;
	privateDeliveryDeleteSettlePriceOrders: (params:{}, context?:{}) => Promise<any>;
	privateDeliveryDeleteSettlePriceOrdersOrderId: (params:{}, context?:{}) => Promise<any>;
	privateOptionsGetAccounts: (params:{}, context?:{}) => Promise<any>;
	privateOptionsGetAccountBook: (params:{}, context?:{}) => Promise<any>;
	privateOptionsGetPositions: (params:{}, context?:{}) => Promise<any>;
	privateOptionsGetPositionsContract: (params:{}, context?:{}) => Promise<any>;
	privateOptionsGetPositionClose: (params:{}, context?:{}) => Promise<any>;
	privateOptionsGetOrders: (params:{}, context?:{}) => Promise<any>;
	privateOptionsGetOrdersOrderId: (params:{}, context?:{}) => Promise<any>;
	privateOptionsGetMyTrades: (params:{}, context?:{}) => Promise<any>;
	privateOptionsPostOrders: (params:{}, context?:{}) => Promise<any>;
	privateOptionsDeleteOrders: (params:{}, context?:{}) => Promise<any>;
	privateOptionsDeleteOrdersOrderId: (params:{}, context?:{}) => Promise<any>;
	privateRebateGetAgencyTransactionHistory: (params:{}, context?:{}) => Promise<any>;
	privateRebateGetAgencyCommissionHistory: (params:{}, context?:{}) => Promise<any>;
	privateEarnGetUniLends: (params:{}, context?:{}) => Promise<any>;
	privateEarnGetUniLendRecords: (params:{}, context?:{}) => Promise<any>;
	privateEarnGetUniInterestsCurrency: (params:{}, context?:{}) => Promise<any>;
	privateEarnGetUniInterestRecords: (params:{}, context?:{}) => Promise<any>;
	privateEarnPostUniLends: (params:{}, context?:{}) => Promise<any>;
	privateEarnPatchUniLends: (params:{}, context?:{}) => Promise<any>;
}