import {hitbtc3 as Type} from 'ccxt';
export interface hitbtc3RestApiType extends Type {
	publicGetPublicCurrency: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicSymbol: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicTicker: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicPriceRate: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicTrades: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicOrderbook: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicCandles: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicFuturesInfo: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicFuturesHistoryFunding: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicFuturesCandlesIndexPrice: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicFuturesCandlesMarkPrice: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicFuturesCandlesPremiumIndex: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicFuturesCandlesOpenInterest: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotOrder: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotOrderClientOrderId: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotFee: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotFeeSymbol: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotHistoryOrder: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotHistoryTrade: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginAccount: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginAccountIsolatedSymbol: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginOrder: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginOrderClientOrderId: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginHistoryClearing: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginHistoryOrder: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginHistoryPositions: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginHistoryTrade: (params:{}, context?:{}) => Promise<any>;
	privateGetFuturesBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetFuturesAccount: (params:{}, context?:{}) => Promise<any>;
	privateGetFuturesAccountIsolatedSymbol: (params:{}, context?:{}) => Promise<any>;
	privateGetFuturesOrder: (params:{}, context?:{}) => Promise<any>;
	privateGetFuturesOrderClientOrderId: (params:{}, context?:{}) => Promise<any>;
	privateGetFuturesFee: (params:{}, context?:{}) => Promise<any>;
	privateGetFuturesFeeSymbol: (params:{}, context?:{}) => Promise<any>;
	privateGetFuturesHistoryClearing: (params:{}, context?:{}) => Promise<any>;
	privateGetFuturesHistoryOrder: (params:{}, context?:{}) => Promise<any>;
	privateGetFuturesHistoryPositions: (params:{}, context?:{}) => Promise<any>;
	privateGetFuturesHistoryTrade: (params:{}, context?:{}) => Promise<any>;
	privateGetWalletBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetWalletCryptoAddress: (params:{}, context?:{}) => Promise<any>;
	privateGetWalletCryptoAddressRecentDeposit: (params:{}, context?:{}) => Promise<any>;
	privateGetWalletCryptoAddressRecentWithdraw: (params:{}, context?:{}) => Promise<any>;
	privateGetWalletCryptoAddressCheckMine: (params:{}, context?:{}) => Promise<any>;
	privateGetWalletTransactions: (params:{}, context?:{}) => Promise<any>;
	privateGetWalletCryptoCheckOffchainAvailable: (params:{}, context?:{}) => Promise<any>;
	privateGetWalletCryptoFeeEstimate: (params:{}, context?:{}) => Promise<any>;
	privateGetSubAccount: (params:{}, context?:{}) => Promise<any>;
	privateGetSubAccountAcl: (params:{}, context?:{}) => Promise<any>;
	privateGetSubAccountBalanceSubAccID: (params:{}, context?:{}) => Promise<any>;
	privateGetSubAccountCryptoAddressSubAccIDCurrency: (params:{}, context?:{}) => Promise<any>;
	privatePostSpotOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostFuturesOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostWalletConvert: (params:{}, context?:{}) => Promise<any>;
	privatePostWalletCryptoAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostWalletCryptoWithdraw: (params:{}, context?:{}) => Promise<any>;
	privatePostWalletTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostSubAccountFreeze: (params:{}, context?:{}) => Promise<any>;
	privatePostSubAccountActivate: (params:{}, context?:{}) => Promise<any>;
	privatePostSubAccountTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostSubAccountAcl: (params:{}, context?:{}) => Promise<any>;
	privatePatchSpotOrderClientOrderId: (params:{}, context?:{}) => Promise<any>;
	privatePatchMarginOrderClientOrderId: (params:{}, context?:{}) => Promise<any>;
	privatePatchFuturesOrderClientOrderId: (params:{}, context?:{}) => Promise<any>;
	privateDeleteSpotOrder: (params:{}, context?:{}) => Promise<any>;
	privateDeleteSpotOrderClientOrderId: (params:{}, context?:{}) => Promise<any>;
	privateDeleteMarginPosition: (params:{}, context?:{}) => Promise<any>;
	privateDeleteMarginPositionIsolatedSymbol: (params:{}, context?:{}) => Promise<any>;
	privateDeleteMarginOrder: (params:{}, context?:{}) => Promise<any>;
	privateDeleteMarginOrderClientOrderId: (params:{}, context?:{}) => Promise<any>;
	privateDeleteFuturesPosition: (params:{}, context?:{}) => Promise<any>;
	privateDeleteFuturesPositionIsolatedSymbol: (params:{}, context?:{}) => Promise<any>;
	privateDeleteFuturesOrder: (params:{}, context?:{}) => Promise<any>;
	privateDeleteFuturesOrderClientOrderId: (params:{}, context?:{}) => Promise<any>;
	privateDeleteWalletCryptoWithdrawId: (params:{}, context?:{}) => Promise<any>;
	privatePutMarginAccountIsolatedSymbol: (params:{}, context?:{}) => Promise<any>;
	privatePutFuturesAccountIsolatedSymbol: (params:{}, context?:{}) => Promise<any>;
	privatePutWalletCryptoWithdrawId: (params:{}, context?:{}) => Promise<any>;
}