import {kucoin as Type} from 'ccxt';
export interface kucoinRestApiType extends Type {
	publicGetTimestamp: (params:{}, context?:{}) => Promise<any>;
	publicGetStatus: (params:{}, context?:{}) => Promise<any>;
	publicGetSymbols: (params:{}, context?:{}) => Promise<any>;
	publicGetMarkets: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketAllTickers: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketOrderbookLevelLevelLimit: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketOrderbookLevel220: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketOrderbookLevel2100: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketHistories: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketCandles: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketStats: (params:{}, context?:{}) => Promise<any>;
	publicGetCurrencies: (params:{}, context?:{}) => Promise<any>;
	publicGetCurrenciesCurrency: (params:{}, context?:{}) => Promise<any>;
	publicGetPrices: (params:{}, context?:{}) => Promise<any>;
	publicGetMarkPriceSymbolCurrent: (params:{}, context?:{}) => Promise<any>;
	publicGetMarginConfig: (params:{}, context?:{}) => Promise<any>;
	publicGetMarginTradeLast: (params:{}, context?:{}) => Promise<any>;
	publicPostBulletPublic: (params:{}, context?:{}) => Promise<any>;
	privateGetMarketOrderbookLevelLevel: (params:{}, context?:{}) => Promise<any>;
	privateGetMarketOrderbookLevel2: (params:{}, context?:{}) => Promise<any>;
	privateGetMarketOrderbookLevel3: (params:{}, context?:{}) => Promise<any>;
	privateGetAccounts: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountsAccountId: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountsLedgers: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountsAccountIdHolds: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountsTransferable: (params:{}, context?:{}) => Promise<any>;
	privateGetBaseFee: (params:{}, context?:{}) => Promise<any>;
	privateGetSubUser: (params:{}, context?:{}) => Promise<any>;
	privateGetUserInfo: (params:{}, context?:{}) => Promise<any>;
	privateGetSubApiKey: (params:{}, context?:{}) => Promise<any>;
	privateGetSubAccounts: (params:{}, context?:{}) => Promise<any>;
	privateGetSubAccountsSubUserId: (params:{}, context?:{}) => Promise<any>;
	privateGetDepositAddresses: (params:{}, context?:{}) => Promise<any>;
	privateGetDeposits: (params:{}, context?:{}) => Promise<any>;
	privateGetHistDeposits: (params:{}, context?:{}) => Promise<any>;
	privateGetHistWithdrawals: (params:{}, context?:{}) => Promise<any>;
	privateGetWithdrawals: (params:{}, context?:{}) => Promise<any>;
	privateGetWithdrawalsQuotas: (params:{}, context?:{}) => Promise<any>;
	privateGetOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetOrderClientOrderClientOid: (params:{}, context?:{}) => Promise<any>;
	privateGetOrdersOrderId: (params:{}, context?:{}) => Promise<any>;
	privateGetLimitOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetFills: (params:{}, context?:{}) => Promise<any>;
	privateGetLimitFills: (params:{}, context?:{}) => Promise<any>;
	privateGetIsolatedAccounts: (params:{}, context?:{}) => Promise<any>;
	privateGetIsolatedAccountSymbol: (params:{}, context?:{}) => Promise<any>;
	privateGetIsolatedBorrowOutstanding: (params:{}, context?:{}) => Promise<any>;
	privateGetIsolatedBorrowRepaid: (params:{}, context?:{}) => Promise<any>;
	privateGetIsolatedSymbols: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginAccount: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginBorrow: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginBorrowOutstanding: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginBorrowRepaid: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginLendActive: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginLendDone: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginLendTradeUnsettled: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginLendTradeSettled: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginLendAssets: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginMarket: (params:{}, context?:{}) => Promise<any>;
	privateGetStopOrderOrderId: (params:{}, context?:{}) => Promise<any>;
	privateGetStopOrder: (params:{}, context?:{}) => Promise<any>;
	privateGetStopOrderQueryOrderByClientOid: (params:{}, context?:{}) => Promise<any>;
	privateGetTradeFees: (params:{}, context?:{}) => Promise<any>;
	privatePostAccounts: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountsInnerTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountsSubTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostDepositAddresses: (params:{}, context?:{}) => Promise<any>;
	privatePostWithdrawals: (params:{}, context?:{}) => Promise<any>;
	privatePostOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostOrdersMulti: (params:{}, context?:{}) => Promise<any>;
	privatePostIsolatedBorrow: (params:{}, context?:{}) => Promise<any>;
	privatePostIsolatedRepayAll: (params:{}, context?:{}) => Promise<any>;
	privatePostIsolatedRepaySingle: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginBorrow: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginRepayAll: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginRepaySingle: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginLend: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginToggleAutoLend: (params:{}, context?:{}) => Promise<any>;
	privatePostBulletPrivate: (params:{}, context?:{}) => Promise<any>;
	privatePostStopOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostSubUser: (params:{}, context?:{}) => Promise<any>;
	privatePostSubApiKey: (params:{}, context?:{}) => Promise<any>;
	privatePostSubApiKeyUpdate: (params:{}, context?:{}) => Promise<any>;
	privateDeleteWithdrawalsWithdrawalId: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrders: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrderClientOrderClientOid: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrdersOrderId: (params:{}, context?:{}) => Promise<any>;
	privateDeleteMarginLendOrderId: (params:{}, context?:{}) => Promise<any>;
	privateDeleteStopOrderCancelOrderByClientOid: (params:{}, context?:{}) => Promise<any>;
	privateDeleteStopOrderOrderId: (params:{}, context?:{}) => Promise<any>;
	privateDeleteStopOrderCancel: (params:{}, context?:{}) => Promise<any>;
	privateDeleteSubApiKey: (params:{}, context?:{}) => Promise<any>;
	futuresPublicGetContractsActive: (params:{}, context?:{}) => Promise<any>;
	futuresPublicGetContractsSymbol: (params:{}, context?:{}) => Promise<any>;
	futuresPublicGetTicker: (params:{}, context?:{}) => Promise<any>;
	futuresPublicGetLevel2Snapshot: (params:{}, context?:{}) => Promise<any>;
	futuresPublicGetLevel2Depth20: (params:{}, context?:{}) => Promise<any>;
	futuresPublicGetLevel2Depth100: (params:{}, context?:{}) => Promise<any>;
	futuresPublicGetLevel2MessageQuery: (params:{}, context?:{}) => Promise<any>;
	futuresPublicGetLevel3MessageQuery: (params:{}, context?:{}) => Promise<any>;
	futuresPublicGetLevel3Snapshot: (params:{}, context?:{}) => Promise<any>;
	futuresPublicGetTradeHistory: (params:{}, context?:{}) => Promise<any>;
	futuresPublicGetInterestQuery: (params:{}, context?:{}) => Promise<any>;
	futuresPublicGetIndexQuery: (params:{}, context?:{}) => Promise<any>;
	futuresPublicGetMarkPriceSymbolCurrent: (params:{}, context?:{}) => Promise<any>;
	futuresPublicGetPremiumQuery: (params:{}, context?:{}) => Promise<any>;
	futuresPublicGetFundingRateSymbolCurrent: (params:{}, context?:{}) => Promise<any>;
	futuresPublicGetTimestamp: (params:{}, context?:{}) => Promise<any>;
	futuresPublicGetStatus: (params:{}, context?:{}) => Promise<any>;
	futuresPublicGetKlineQuery: (params:{}, context?:{}) => Promise<any>;
	futuresPublicPostBulletPublic: (params:{}, context?:{}) => Promise<any>;
	futuresPrivateGetAccountOverview: (params:{}, context?:{}) => Promise<any>;
	futuresPrivateGetTransactionHistory: (params:{}, context?:{}) => Promise<any>;
	futuresPrivateGetDepositAddress: (params:{}, context?:{}) => Promise<any>;
	futuresPrivateGetDepositList: (params:{}, context?:{}) => Promise<any>;
	futuresPrivateGetWithdrawalsQuotas: (params:{}, context?:{}) => Promise<any>;
	futuresPrivateGetWithdrawalList: (params:{}, context?:{}) => Promise<any>;
	futuresPrivateGetTransferList: (params:{}, context?:{}) => Promise<any>;
	futuresPrivateGetOrders: (params:{}, context?:{}) => Promise<any>;
	futuresPrivateGetStopOrders: (params:{}, context?:{}) => Promise<any>;
	futuresPrivateGetRecentDoneOrders: (params:{}, context?:{}) => Promise<any>;
	futuresPrivateGetOrdersOrderId: (params:{}, context?:{}) => Promise<any>;
	futuresPrivateGetOrdersByClientOid: (params:{}, context?:{}) => Promise<any>;
	futuresPrivateGetFills: (params:{}, context?:{}) => Promise<any>;
	futuresPrivateGetRecentFills: (params:{}, context?:{}) => Promise<any>;
	futuresPrivateGetOpenOrderStatistics: (params:{}, context?:{}) => Promise<any>;
	futuresPrivateGetPosition: (params:{}, context?:{}) => Promise<any>;
	futuresPrivateGetPositions: (params:{}, context?:{}) => Promise<any>;
	futuresPrivateGetFundingHistory: (params:{}, context?:{}) => Promise<any>;
	futuresPrivatePostWithdrawals: (params:{}, context?:{}) => Promise<any>;
	futuresPrivatePostTransferOut: (params:{}, context?:{}) => Promise<any>;
	futuresPrivatePostOrders: (params:{}, context?:{}) => Promise<any>;
	futuresPrivatePostPositionMarginAutoDepositStatus: (params:{}, context?:{}) => Promise<any>;
	futuresPrivatePostPositionMarginDepositMargin: (params:{}, context?:{}) => Promise<any>;
	futuresPrivatePostBulletPrivate: (params:{}, context?:{}) => Promise<any>;
	futuresPrivateDeleteWithdrawalsWithdrawalId: (params:{}, context?:{}) => Promise<any>;
	futuresPrivateDeleteCancelTransferOut: (params:{}, context?:{}) => Promise<any>;
	futuresPrivateDeleteOrdersOrderId: (params:{}, context?:{}) => Promise<any>;
	futuresPrivateDeleteOrders: (params:{}, context?:{}) => Promise<any>;
	futuresPrivateDeleteStopOrders: (params:{}, context?:{}) => Promise<any>;
}