import {kuna as Type} from 'ccxt';
export interface kunaRestApiType extends Type {
	xreserveGetNonce: (params:{}, context?:{}) => Promise<any>;
	xreserveGetFee: (params:{}, context?:{}) => Promise<any>;
	xreserveGetDelegatedTransactions: (params:{}, context?:{}) => Promise<any>;
	xreservePostDelegateTransfer: (params:{}, context?:{}) => Promise<any>;
	v3PublicGetTimestamp: (params:{}, context?:{}) => Promise<any>;
	v3PublicGetCurrencies: (params:{}, context?:{}) => Promise<any>;
	v3PublicGetMarkets: (params:{}, context?:{}) => Promise<any>;
	v3PublicGetTickers: (params:{}, context?:{}) => Promise<any>;
	v3PublicGetK: (params:{}, context?:{}) => Promise<any>;
	v3PublicGetTradesHistory: (params:{}, context?:{}) => Promise<any>;
	v3PublicGetFees: (params:{}, context?:{}) => Promise<any>;
	v3PublicGetExchangeRates: (params:{}, context?:{}) => Promise<any>;
	v3PublicGetExchangeRatesCurrency: (params:{}, context?:{}) => Promise<any>;
	v3PublicGetBookMarket: (params:{}, context?:{}) => Promise<any>;
	v3PublicGetKunaCodesCodeCheck: (params:{}, context?:{}) => Promise<any>;
	v3PublicGetLandingPageStatistic: (params:{}, context?:{}) => Promise<any>;
	v3PublicGetTranslationsLocale: (params:{}, context?:{}) => Promise<any>;
	v3PublicGetTradesMarketHist: (params:{}, context?:{}) => Promise<any>;
	v3PublicPostHttpTest: (params:{}, context?:{}) => Promise<any>;
	v3PublicPostDepositChannels: (params:{}, context?:{}) => Promise<any>;
	v3PublicPostWithdrawChannels: (params:{}, context?:{}) => Promise<any>;
	v3PublicPostSubscriptionPlans: (params:{}, context?:{}) => Promise<any>;
	v3PublicPostSendTo: (params:{}, context?:{}) => Promise<any>;
	v3PublicPostConfirmToken: (params:{}, context?:{}) => Promise<any>;
	v3PublicPostKunaid: (params:{}, context?:{}) => Promise<any>;
	v3PublicPostWithdrawPrerequest: (params:{}, context?:{}) => Promise<any>;
	v3PublicPostDepositPrerequest: (params:{}, context?:{}) => Promise<any>;
	v3PublicPostDepositExchangeRates: (params:{}, context?:{}) => Promise<any>;
	v3SignGetResetPasswordToken: (params:{}, context?:{}) => Promise<any>;
	v3SignPostSignupGoogle: (params:{}, context?:{}) => Promise<any>;
	v3SignPostSignupResendConfirmation: (params:{}, context?:{}) => Promise<any>;
	v3SignPostSignup: (params:{}, context?:{}) => Promise<any>;
	v3SignPostSignin: (params:{}, context?:{}) => Promise<any>;
	v3SignPostSigninTwoFactor: (params:{}, context?:{}) => Promise<any>;
	v3SignPostSigninResendConfirmDevice: (params:{}, context?:{}) => Promise<any>;
	v3SignPostSigninConfirmDevice: (params:{}, context?:{}) => Promise<any>;
	v3SignPostResetPassword: (params:{}, context?:{}) => Promise<any>;
	v3SignPostCoolSignin: (params:{}, context?:{}) => Promise<any>;
	v3SignPutResetPasswordToken: (params:{}, context?:{}) => Promise<any>;
	v3SignPutSignupCodeConfirm: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthWOrderSubmit: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthROrders: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthROrdersMarket: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthROrdersMarkets: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthApiTokensDelete: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthApiTokensCreate: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthApiTokens: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthSigninHistoryUniq: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthSigninHistory: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthDisableWithdrawConfirmation: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthChangePassword: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthDepositAddress: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthAnnouncementsAccept: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthAnnouncementsUnaccepted: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthOtpDeactivate: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthOtpActivate: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthOtpSecret: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthROrderMarketOrderIdTrades: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthROrdersMarketHist: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthROrdersHist: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthROrdersHistMarkets: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthROrdersDetails: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthAssetsHistory: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthAssetsHistoryWithdraws: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthAssetsHistoryDeposits: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthRWallets: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthMarketsFavorites: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthMarketsFavoritesList: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthMeUpdate: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthMe: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthFundSources: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthFundSourcesList: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthWithdrawResendConfirmation: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthWithdraw: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthWithdrawDetails: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthWithdrawInfo: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthPaymentAddresses: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthDepositPrerequest: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthDepositExchangeRates: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthDeposit: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthDepositDetails: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthDepositInfo: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthKunaCodesCount: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthKunaCodesDetails: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthKunaCodesEdit: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthKunaCodesSendPdf: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthKunaCodes: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthKunaCodesRedeemedByMe: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthKunaCodesIssuedByMe: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthPaymentRequestsInvoice: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthPaymentRequestsType: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthReferralProgramWeeklyEarnings: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthReferralProgramStats: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthMerchantPayoutServices: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthMerchantWithdraw: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthMerchantPaymentServices: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthMerchantDeposit: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthVerificationAuthToken: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthKunaidPurchaseCreate: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthDevicesList: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthSessionsList: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthSubscriptionsReactivate: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthSubscriptionsCancel: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthSubscriptionsProlong: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthSubscriptionsCreate: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthSubscriptionsList: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostAuthKunaIdsList: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostOrderCancelMulti: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePostOrderCancel: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePutAuthFundSourcesId: (params:{}, context?:{}) => Promise<any>;
	v3PrivatePutAuthKunaCodesRedeem: (params:{}, context?:{}) => Promise<any>;
	v3PrivateDeleteAuthMarketsFavorites: (params:{}, context?:{}) => Promise<any>;
	v3PrivateDeleteAuthFundSources: (params:{}, context?:{}) => Promise<any>;
	v3PrivateDeleteAuthDevices: (params:{}, context?:{}) => Promise<any>;
	v3PrivateDeleteAuthDevicesList: (params:{}, context?:{}) => Promise<any>;
	v3PrivateDeleteAuthSessionsList: (params:{}, context?:{}) => Promise<any>;
	v3PrivateDeleteAuthSessions: (params:{}, context?:{}) => Promise<any>;
	publicGetDepth: (params:{}, context?:{}) => Promise<any>;
	publicGetKWithPendingTrades: (params:{}, context?:{}) => Promise<any>;
	publicGetK: (params:{}, context?:{}) => Promise<any>;
	publicGetMarkets: (params:{}, context?:{}) => Promise<any>;
	publicGetOrderBook: (params:{}, context?:{}) => Promise<any>;
	publicGetOrderBookMarket: (params:{}, context?:{}) => Promise<any>;
	publicGetTickers: (params:{}, context?:{}) => Promise<any>;
	publicGetTickersMarket: (params:{}, context?:{}) => Promise<any>;
	publicGetTimestamp: (params:{}, context?:{}) => Promise<any>;
	publicGetTrades: (params:{}, context?:{}) => Promise<any>;
	publicGetTradesMarket: (params:{}, context?:{}) => Promise<any>;
	privateGetMembersMe: (params:{}, context?:{}) => Promise<any>;
	privateGetDeposits: (params:{}, context?:{}) => Promise<any>;
	privateGetDeposit: (params:{}, context?:{}) => Promise<any>;
	privateGetDepositAddress: (params:{}, context?:{}) => Promise<any>;
	privateGetOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetOrder: (params:{}, context?:{}) => Promise<any>;
	privateGetTradesMy: (params:{}, context?:{}) => Promise<any>;
	privateGetWithdraws: (params:{}, context?:{}) => Promise<any>;
	privateGetWithdraw: (params:{}, context?:{}) => Promise<any>;
	privatePostOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostOrdersMulti: (params:{}, context?:{}) => Promise<any>;
	privatePostOrdersClear: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderDelete: (params:{}, context?:{}) => Promise<any>;
	privatePostWithdraw: (params:{}, context?:{}) => Promise<any>;
}