import {lbank2 as Type} from 'ccxt';
export interface lbank2RestApiType extends Type {
	publicGetCurrencyPairs: (params:{}, context?:{}) => Promise<any>;
	publicGetAccuracy: (params:{}, context?:{}) => Promise<any>;
	publicGetUsdToCny: (params:{}, context?:{}) => Promise<any>;
	publicGetWithdrawConfigs: (params:{}, context?:{}) => Promise<any>;
	publicGetTimestamp: (params:{}, context?:{}) => Promise<any>;
	publicGetTicker24hr: (params:{}, context?:{}) => Promise<any>;
	publicGetTicker: (params:{}, context?:{}) => Promise<any>;
	publicGetDepth: (params:{}, context?:{}) => Promise<any>;
	publicGetIncrDepth: (params:{}, context?:{}) => Promise<any>;
	publicGetTrades: (params:{}, context?:{}) => Promise<any>;
	publicGetKline: (params:{}, context?:{}) => Promise<any>;
	publicGetSupplementSystemPing: (params:{}, context?:{}) => Promise<any>;
	publicGetSupplementIncrDepth: (params:{}, context?:{}) => Promise<any>;
	publicGetSupplementTrades: (params:{}, context?:{}) => Promise<any>;
	publicGetSupplementTickerPrice: (params:{}, context?:{}) => Promise<any>;
	publicGetSupplementTickerBookTicker: (params:{}, context?:{}) => Promise<any>;
	publicPostSupplementSystemStatus: (params:{}, context?:{}) => Promise<any>;
	privatePostUserInfo: (params:{}, context?:{}) => Promise<any>;
	privatePostSubscribeGetKey: (params:{}, context?:{}) => Promise<any>;
	privatePostSubscribeRefreshKey: (params:{}, context?:{}) => Promise<any>;
	privatePostSubscribeDestroyKey: (params:{}, context?:{}) => Promise<any>;
	privatePostGetDepositAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostDepositHistory: (params:{}, context?:{}) => Promise<any>;
	privatePostCreateOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostBatchCreateOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostCancelOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostCancelClientOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostOrdersInfo: (params:{}, context?:{}) => Promise<any>;
	privatePostOrdersInfoHistory: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderTransactionDetail: (params:{}, context?:{}) => Promise<any>;
	privatePostTransactionHistory: (params:{}, context?:{}) => Promise<any>;
	privatePostOrdersInfoNoDeal: (params:{}, context?:{}) => Promise<any>;
	privatePostWithdraw: (params:{}, context?:{}) => Promise<any>;
	privatePostWithdrawCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostWithdraws: (params:{}, context?:{}) => Promise<any>;
	privatePostSupplementUserInfo: (params:{}, context?:{}) => Promise<any>;
	privatePostSupplementWithdraw: (params:{}, context?:{}) => Promise<any>;
	privatePostSupplementDepositHistory: (params:{}, context?:{}) => Promise<any>;
	privatePostSupplementWithdraws: (params:{}, context?:{}) => Promise<any>;
	privatePostSupplementGetDepositAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostSupplementAssetDetail: (params:{}, context?:{}) => Promise<any>;
	privatePostSupplementCustomerTradeFee: (params:{}, context?:{}) => Promise<any>;
	privatePostSupplementApiRestrictions: (params:{}, context?:{}) => Promise<any>;
	privatePostSupplementSystemPing: (params:{}, context?:{}) => Promise<any>;
	privatePostSupplementCreateOrderTest: (params:{}, context?:{}) => Promise<any>;
	privatePostSupplementCreateOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostSupplementCancelOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostSupplementCancelOrderBySymbol: (params:{}, context?:{}) => Promise<any>;
	privatePostSupplementOrdersInfo: (params:{}, context?:{}) => Promise<any>;
	privatePostSupplementOrdersInfoNoDeal: (params:{}, context?:{}) => Promise<any>;
	privatePostSupplementOrdersInfoHistory: (params:{}, context?:{}) => Promise<any>;
	privatePostSupplementUserInfoAccount: (params:{}, context?:{}) => Promise<any>;
	privatePostSupplementTransactionHistory: (params:{}, context?:{}) => Promise<any>;
}