import {mexc as Type} from 'ccxt';
export interface mexcRestApiType extends Type {
	contractPublicGetPing: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetDetail: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetSupportCurrencies: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetDepthSymbol: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetDepthCommitsSymbolLimit: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetIndexPriceSymbol: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetFairPriceSymbol: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetFundingRateSymbol: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetKlineSymbol: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetKlineIndexPriceSymbol: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetKlineFairPriceSymbol: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetDealsSymbol: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetTicker: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetRiskReverse: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetRiskReverseHistory: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetFundingRateHistory: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetAccountAssets: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetAccountAssetCurrency: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetAccountTransferRecord: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetPositionListHistoryPositions: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetPositionOpenPositions: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetPositionFundingRecords: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetPositionPositionMode: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetOrderListOpenOrdersSymbol: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetOrderListHistoryOrders: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetOrderExternalSymbolExternalOid: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetOrderGetOrderId: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetOrderBatchQuery: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetOrderDealDetailsOrderId: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetOrderListOrderDeals: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetPlanorderListOrders: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetStoporderListOrders: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetStoporderOrderDetailsStopOrderId: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetAccountRiskLimit: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetAccountTieredFeeRate: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostPositionChangeMargin: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostPositionChangeLeverage: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostPositionChangePositionMode: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostOrderSubmit: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostOrderSubmitBatch: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostOrderCancel: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostOrderCancelWithExternal: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostOrderCancelAll: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostAccountChangeRiskLevel: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostPlanorderPlace: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostPlanorderCancel: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostPlanorderCancelAll: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostStoporderCancel: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostStoporderCancelAll: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostStoporderChangePrice: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostStoporderChangePlanPrice: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetMarketSymbols: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetMarketCoinList: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetCommonTimestamp: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetCommonPing: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetMarketTicker: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetMarketDepth: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetMarketDeals: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetMarketKline: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetMarketApiDefaultSymbols: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetAccountInfo: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetOrderOpenOrders: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetOrderList: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetOrderQuery: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetOrderDeals: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetOrderDealDetail: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetAssetDepositAddressList: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetAssetDepositList: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetAssetAddressList: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetAssetWithdrawList: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetAssetInternalTransferRecord: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetAccountBalance: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetAssetInternalTransferInfo: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetMarketApiSymbols: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostOrderPlace: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostOrderPlaceBatch: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostAssetWithdraw: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostAssetInternalTransfer: (params:{}, context?:{}) => Promise<any>;
	spotPrivateDeleteOrderCancel: (params:{}, context?:{}) => Promise<any>;
	spotPrivateDeleteOrderCancelBySymbol: (params:{}, context?:{}) => Promise<any>;
	spotPrivateDeleteAssetWithdraw: (params:{}, context?:{}) => Promise<any>;
}