import {okcoin as Type} from 'ccxt';
export interface okcoinRestApiType extends Type {
	generalGetTime: (params:{}, context?:{}) => Promise<any>;
	accountGetWallet: (params:{}, context?:{}) => Promise<any>;
	accountGetSubAccount: (params:{}, context?:{}) => Promise<any>;
	accountGetAssetValuation: (params:{}, context?:{}) => Promise<any>;
	accountGetWalletCurrency: (params:{}, context?:{}) => Promise<any>;
	accountGetWithdrawalHistory: (params:{}, context?:{}) => Promise<any>;
	accountGetWithdrawalHistoryCurrency: (params:{}, context?:{}) => Promise<any>;
	accountGetLedger: (params:{}, context?:{}) => Promise<any>;
	accountGetDepositAddress: (params:{}, context?:{}) => Promise<any>;
	accountGetDepositHistory: (params:{}, context?:{}) => Promise<any>;
	accountGetDepositHistoryCurrency: (params:{}, context?:{}) => Promise<any>;
	accountGetCurrencies: (params:{}, context?:{}) => Promise<any>;
	accountGetWithdrawalFee: (params:{}, context?:{}) => Promise<any>;
	accountGetDepositLightning: (params:{}, context?:{}) => Promise<any>;
	accountGetWithdrawalLightning: (params:{}, context?:{}) => Promise<any>;
	accountGetFiatDepositDetail: (params:{}, context?:{}) => Promise<any>;
	accountGetFiatDepositDetails: (params:{}, context?:{}) => Promise<any>;
	accountGetFiatWithdrawDetail: (params:{}, context?:{}) => Promise<any>;
	accountGetFiatWithdrawDetails: (params:{}, context?:{}) => Promise<any>;
	accountGetFiatChannel: (params:{}, context?:{}) => Promise<any>;
	accountPostTransfer: (params:{}, context?:{}) => Promise<any>;
	accountPostWithdrawal: (params:{}, context?:{}) => Promise<any>;
	accountPostFiatCancelDeposit: (params:{}, context?:{}) => Promise<any>;
	accountPostFiatDeposit: (params:{}, context?:{}) => Promise<any>;
	accountPostFiatWithdraw: (params:{}, context?:{}) => Promise<any>;
	accountPostFiatCancelWithdrawal: (params:{}, context?:{}) => Promise<any>;
	otcGetRfqInstruments: (params:{}, context?:{}) => Promise<any>;
	otcGetRfqTrade: (params:{}, context?:{}) => Promise<any>;
	otcGetRfqHistory: (params:{}, context?:{}) => Promise<any>;
	otcPostRfqQuote: (params:{}, context?:{}) => Promise<any>;
	otcPostRfqTrade: (params:{}, context?:{}) => Promise<any>;
	usersGetSubaccountInfo: (params:{}, context?:{}) => Promise<any>;
	usersGetAccountInfo: (params:{}, context?:{}) => Promise<any>;
	usersGetSubaccountApikey: (params:{}, context?:{}) => Promise<any>;
	usersPostCreateSubaccount: (params:{}, context?:{}) => Promise<any>;
	usersPostDeleteSubaccount: (params:{}, context?:{}) => Promise<any>;
	usersPostSubaccountApikey: (params:{}, context?:{}) => Promise<any>;
	usersPostSubacountDeleteApikey: (params:{}, context?:{}) => Promise<any>;
	usersPostSubacountModifyApikey: (params:{}, context?:{}) => Promise<any>;
	earningGetOffers: (params:{}, context?:{}) => Promise<any>;
	earningGetOrders: (params:{}, context?:{}) => Promise<any>;
	earningGetPositions: (params:{}, context?:{}) => Promise<any>;
	earningPostPurchase: (params:{}, context?:{}) => Promise<any>;
	earningPostRedeem: (params:{}, context?:{}) => Promise<any>;
	earningPostCancel: (params:{}, context?:{}) => Promise<any>;
	spotGetAccounts: (params:{}, context?:{}) => Promise<any>;
	spotGetAccountsCurrency: (params:{}, context?:{}) => Promise<any>;
	spotGetAccountsCurrencyLedger: (params:{}, context?:{}) => Promise<any>;
	spotGetOrders: (params:{}, context?:{}) => Promise<any>;
	spotGetOrdersPending: (params:{}, context?:{}) => Promise<any>;
	spotGetOrdersOrderId: (params:{}, context?:{}) => Promise<any>;
	spotGetOrdersClientOid: (params:{}, context?:{}) => Promise<any>;
	spotGetTradeFee: (params:{}, context?:{}) => Promise<any>;
	spotGetFills: (params:{}, context?:{}) => Promise<any>;
	spotGetAlgo: (params:{}, context?:{}) => Promise<any>;
	spotGetInstruments: (params:{}, context?:{}) => Promise<any>;
	spotGetInstrumentsInstrumentIdBook: (params:{}, context?:{}) => Promise<any>;
	spotGetInstrumentsTicker: (params:{}, context?:{}) => Promise<any>;
	spotGetInstrumentsInstrumentIdTicker: (params:{}, context?:{}) => Promise<any>;
	spotGetInstrumentsInstrumentIdTrades: (params:{}, context?:{}) => Promise<any>;
	spotGetInstrumentsInstrumentIdCandles: (params:{}, context?:{}) => Promise<any>;
	spotPostOrderAlgo: (params:{}, context?:{}) => Promise<any>;
	spotPostOrders: (params:{}, context?:{}) => Promise<any>;
	spotPostBatchOrders: (params:{}, context?:{}) => Promise<any>;
	spotPostCancelOrdersOrderId: (params:{}, context?:{}) => Promise<any>;
	spotPostCancelOrdersClientOid: (params:{}, context?:{}) => Promise<any>;
	spotPostCancelBatchAlgos: (params:{}, context?:{}) => Promise<any>;
	spotPostCancelBatchOrders: (params:{}, context?:{}) => Promise<any>;
	spotPostAmendOrderInstrumentId: (params:{}, context?:{}) => Promise<any>;
	spotPostAmendBatchOrders: (params:{}, context?:{}) => Promise<any>;
	marginGetAccounts: (params:{}, context?:{}) => Promise<any>;
	marginGetAccountsInstrumentId: (params:{}, context?:{}) => Promise<any>;
	marginGetAccountsInstrumentIdLedger: (params:{}, context?:{}) => Promise<any>;
	marginGetAccountsAvailability: (params:{}, context?:{}) => Promise<any>;
	marginGetAccountsInstrumentIdAvailability: (params:{}, context?:{}) => Promise<any>;
	marginGetAccountsBorrowed: (params:{}, context?:{}) => Promise<any>;
	marginGetAccountsInstrumentIdBorrowed: (params:{}, context?:{}) => Promise<any>;
	marginGetOrders: (params:{}, context?:{}) => Promise<any>;
	marginGetAccountsInstrumentIdLeverage: (params:{}, context?:{}) => Promise<any>;
	marginGetOrdersOrderId: (params:{}, context?:{}) => Promise<any>;
	marginGetOrdersClientOid: (params:{}, context?:{}) => Promise<any>;
	marginGetOrdersPending: (params:{}, context?:{}) => Promise<any>;
	marginGetFills: (params:{}, context?:{}) => Promise<any>;
	marginGetInstrumentsInstrumentIdMarkPrice: (params:{}, context?:{}) => Promise<any>;
	marginPostAccountsBorrow: (params:{}, context?:{}) => Promise<any>;
	marginPostAccountsRepayment: (params:{}, context?:{}) => Promise<any>;
	marginPostOrders: (params:{}, context?:{}) => Promise<any>;
	marginPostBatchOrders: (params:{}, context?:{}) => Promise<any>;
	marginPostCancelOrders: (params:{}, context?:{}) => Promise<any>;
	marginPostCancelOrdersOrderId: (params:{}, context?:{}) => Promise<any>;
	marginPostCancelOrdersClientOid: (params:{}, context?:{}) => Promise<any>;
	marginPostCancelBatchOrders: (params:{}, context?:{}) => Promise<any>;
	marginPostAmendOrderInstrumentId: (params:{}, context?:{}) => Promise<any>;
	marginPostAmendBatchOrders: (params:{}, context?:{}) => Promise<any>;
	marginPostAccountsInstrumentIdLeverage: (params:{}, context?:{}) => Promise<any>;
	systemGetStatus: (params:{}, context?:{}) => Promise<any>;
	marketGetOracle: (params:{}, context?:{}) => Promise<any>;
	futuresGetPosition: (params:{}, context?:{}) => Promise<any>;
	futuresGetInstrumentIdPosition: (params:{}, context?:{}) => Promise<any>;
	futuresGetAccounts: (params:{}, context?:{}) => Promise<any>;
	futuresGetAccountsUnderlying: (params:{}, context?:{}) => Promise<any>;
	futuresGetAccountsUnderlyingLeverage: (params:{}, context?:{}) => Promise<any>;
	futuresGetAccountsUnderlyingLedger: (params:{}, context?:{}) => Promise<any>;
	futuresGetOrderAlgoInstrumentId: (params:{}, context?:{}) => Promise<any>;
	futuresGetOrdersInstrumentId: (params:{}, context?:{}) => Promise<any>;
	futuresGetOrdersInstrumentIdOrderId: (params:{}, context?:{}) => Promise<any>;
	futuresGetOrdersInstrumentIdClientOid: (params:{}, context?:{}) => Promise<any>;
	futuresGetFills: (params:{}, context?:{}) => Promise<any>;
	futuresGetTradeFee: (params:{}, context?:{}) => Promise<any>;
	futuresGetAccountsInstrumentIdHolds: (params:{}, context?:{}) => Promise<any>;
	futuresGetInstruments: (params:{}, context?:{}) => Promise<any>;
	futuresGetInstrumentsInstrumentIdBook: (params:{}, context?:{}) => Promise<any>;
	futuresGetInstrumentsTicker: (params:{}, context?:{}) => Promise<any>;
	futuresGetInstrumentsInstrumentIdTicker: (params:{}, context?:{}) => Promise<any>;
	futuresGetInstrumentsInstrumentIdTrades: (params:{}, context?:{}) => Promise<any>;
	futuresGetInstrumentsInstrumentIdCandles: (params:{}, context?:{}) => Promise<any>;
	futuresGetInstrumentsInstrumentIdHistoryCandles: (params:{}, context?:{}) => Promise<any>;
	futuresGetInstrumentsInstrumentIdIndex: (params:{}, context?:{}) => Promise<any>;
	futuresGetRate: (params:{}, context?:{}) => Promise<any>;
	futuresGetInstrumentsInstrumentIdEstimatedPrice: (params:{}, context?:{}) => Promise<any>;
	futuresGetInstrumentsInstrumentIdOpenInterest: (params:{}, context?:{}) => Promise<any>;
	futuresGetInstrumentsInstrumentIdPriceLimit: (params:{}, context?:{}) => Promise<any>;
	futuresGetInstrumentsInstrumentIdMarkPrice: (params:{}, context?:{}) => Promise<any>;
	futuresGetInstrumentsInstrumentIdLiquidation: (params:{}, context?:{}) => Promise<any>;
	futuresPostAccountsUnderlyingLeverage: (params:{}, context?:{}) => Promise<any>;
	futuresPostOrder: (params:{}, context?:{}) => Promise<any>;
	futuresPostAmendOrderInstrumentId: (params:{}, context?:{}) => Promise<any>;
	futuresPostOrders: (params:{}, context?:{}) => Promise<any>;
	futuresPostCancelOrderInstrumentIdOrderId: (params:{}, context?:{}) => Promise<any>;
	futuresPostCancelOrderInstrumentIdClientOid: (params:{}, context?:{}) => Promise<any>;
	futuresPostCancelBatchOrdersInstrumentId: (params:{}, context?:{}) => Promise<any>;
	futuresPostAccountsMarginMode: (params:{}, context?:{}) => Promise<any>;
	futuresPostClosePosition: (params:{}, context?:{}) => Promise<any>;
	futuresPostCancelAll: (params:{}, context?:{}) => Promise<any>;
	futuresPostOrderAlgo: (params:{}, context?:{}) => Promise<any>;
	futuresPostCancelAlgos: (params:{}, context?:{}) => Promise<any>;
	swapGetPosition: (params:{}, context?:{}) => Promise<any>;
	swapGetInstrumentIdPosition: (params:{}, context?:{}) => Promise<any>;
	swapGetAccounts: (params:{}, context?:{}) => Promise<any>;
	swapGetInstrumentIdAccounts: (params:{}, context?:{}) => Promise<any>;
	swapGetAccountsInstrumentIdSettings: (params:{}, context?:{}) => Promise<any>;
	swapGetAccountsInstrumentIdLedger: (params:{}, context?:{}) => Promise<any>;
	swapGetOrdersInstrumentId: (params:{}, context?:{}) => Promise<any>;
	swapGetOrdersInstrumentIdOrderId: (params:{}, context?:{}) => Promise<any>;
	swapGetOrdersInstrumentIdClientOid: (params:{}, context?:{}) => Promise<any>;
	swapGetFills: (params:{}, context?:{}) => Promise<any>;
	swapGetAccountsInstrumentIdHolds: (params:{}, context?:{}) => Promise<any>;
	swapGetTradeFee: (params:{}, context?:{}) => Promise<any>;
	swapGetOrderAlgoInstrumentId: (params:{}, context?:{}) => Promise<any>;
	swapGetInstruments: (params:{}, context?:{}) => Promise<any>;
	swapGetInstrumentsInstrumentIdDepth: (params:{}, context?:{}) => Promise<any>;
	swapGetInstrumentsTicker: (params:{}, context?:{}) => Promise<any>;
	swapGetInstrumentsInstrumentIdTicker: (params:{}, context?:{}) => Promise<any>;
	swapGetInstrumentsInstrumentIdTrades: (params:{}, context?:{}) => Promise<any>;
	swapGetInstrumentsInstrumentIdCandles: (params:{}, context?:{}) => Promise<any>;
	swapGetInstrumentsInstrumentIdHistoryCandles: (params:{}, context?:{}) => Promise<any>;
	swapGetInstrumentsInstrumentIdIndex: (params:{}, context?:{}) => Promise<any>;
	swapGetRate: (params:{}, context?:{}) => Promise<any>;
	swapGetInstrumentsInstrumentIdOpenInterest: (params:{}, context?:{}) => Promise<any>;
	swapGetInstrumentsInstrumentIdPriceLimit: (params:{}, context?:{}) => Promise<any>;
	swapGetInstrumentsInstrumentIdLiquidation: (params:{}, context?:{}) => Promise<any>;
	swapGetInstrumentsInstrumentIdFundingTime: (params:{}, context?:{}) => Promise<any>;
	swapGetInstrumentsInstrumentIdMarkPrice: (params:{}, context?:{}) => Promise<any>;
	swapGetInstrumentsInstrumentIdHistoricalFundingRate: (params:{}, context?:{}) => Promise<any>;
	swapPostAccountsInstrumentIdLeverage: (params:{}, context?:{}) => Promise<any>;
	swapPostOrder: (params:{}, context?:{}) => Promise<any>;
	swapPostAmendOrderInstrumentId: (params:{}, context?:{}) => Promise<any>;
	swapPostOrders: (params:{}, context?:{}) => Promise<any>;
	swapPostCancelOrderInstrumentIdOrderId: (params:{}, context?:{}) => Promise<any>;
	swapPostCancelOrderInstrumentIdClientOid: (params:{}, context?:{}) => Promise<any>;
	swapPostCancelBatchOrdersInstrumentId: (params:{}, context?:{}) => Promise<any>;
	swapPostOrderAlgo: (params:{}, context?:{}) => Promise<any>;
	swapPostCancelAlgos: (params:{}, context?:{}) => Promise<any>;
	swapPostClosePosition: (params:{}, context?:{}) => Promise<any>;
	swapPostCancelAll: (params:{}, context?:{}) => Promise<any>;
	optionGetAccounts: (params:{}, context?:{}) => Promise<any>;
	optionGetPosition: (params:{}, context?:{}) => Promise<any>;
	optionGetUnderlyingPosition: (params:{}, context?:{}) => Promise<any>;
	optionGetAccountsUnderlying: (params:{}, context?:{}) => Promise<any>;
	optionGetOrdersUnderlying: (params:{}, context?:{}) => Promise<any>;
	optionGetFillsUnderlying: (params:{}, context?:{}) => Promise<any>;
	optionGetAccountsUnderlyingLedger: (params:{}, context?:{}) => Promise<any>;
	optionGetTradeFee: (params:{}, context?:{}) => Promise<any>;
	optionGetOrdersUnderlyingOrderId: (params:{}, context?:{}) => Promise<any>;
	optionGetOrdersUnderlyingClientOid: (params:{}, context?:{}) => Promise<any>;
	optionGetUnderlying: (params:{}, context?:{}) => Promise<any>;
	optionGetInstrumentsUnderlying: (params:{}, context?:{}) => Promise<any>;
	optionGetInstrumentsUnderlyingSummary: (params:{}, context?:{}) => Promise<any>;
	optionGetInstrumentsUnderlyingSummaryInstrumentId: (params:{}, context?:{}) => Promise<any>;
	optionGetInstrumentsInstrumentIdBook: (params:{}, context?:{}) => Promise<any>;
	optionGetInstrumentsInstrumentIdTrades: (params:{}, context?:{}) => Promise<any>;
	optionGetInstrumentsInstrumentIdTicker: (params:{}, context?:{}) => Promise<any>;
	optionGetInstrumentsInstrumentIdCandles: (params:{}, context?:{}) => Promise<any>;
	optionPostOrder: (params:{}, context?:{}) => Promise<any>;
	optionPostOrders: (params:{}, context?:{}) => Promise<any>;
	optionPostCancelOrderUnderlyingOrderId: (params:{}, context?:{}) => Promise<any>;
	optionPostCancelOrderUnderlyingClientOid: (params:{}, context?:{}) => Promise<any>;
	optionPostCancelBatchOrdersUnderlying: (params:{}, context?:{}) => Promise<any>;
	optionPostAmendOrderUnderlying: (params:{}, context?:{}) => Promise<any>;
	optionPostAmendBatchOrdersUnderlying: (params:{}, context?:{}) => Promise<any>;
	informationGetCurrencyLongShortRatio: (params:{}, context?:{}) => Promise<any>;
	informationGetCurrencyVolume: (params:{}, context?:{}) => Promise<any>;
	informationGetCurrencyTaker: (params:{}, context?:{}) => Promise<any>;
	informationGetCurrencySentiment: (params:{}, context?:{}) => Promise<any>;
	informationGetCurrencyMargin: (params:{}, context?:{}) => Promise<any>;
	indexGetInstrumentIdConstituents: (params:{}, context?:{}) => Promise<any>;
}