import {okex5 as Type} from 'ccxt';
export interface okex5RestApiType extends Type {
	publicGetMarketTickers: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketTicker: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketIndexTickers: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketBooks: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketBooksLite: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketCandles: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketHistoryCandles: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketHistoryMarkPriceCandles: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketHistoryIndexCandles: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketIndexCandles: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketMarkPriceCandles: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketTrades: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketPlatform24Volume: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketOpenOracle: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketIndexComponents: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketOptionInstrumentFamilyTrades: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicInstruments: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicDeliveryExerciseHistory: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicOpenInterest: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicFundingRate: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicFundingRateHistory: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicPriceLimit: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicOptSummary: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicEstimatedPrice: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicDiscountRateInterestFreeQuota: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicTime: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicLiquidationOrders: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicMarkPrice: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicOptionTrades: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicPositionTiers: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicUnderlying: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicInterestRateLoanQuota: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicVipInterestRateLoanQuota: (params:{}, context?:{}) => Promise<any>;
	publicGetRubikStatTradingDataSupportCoin: (params:{}, context?:{}) => Promise<any>;
	publicGetRubikStatTakerVolume: (params:{}, context?:{}) => Promise<any>;
	publicGetRubikStatMarginLoanRatio: (params:{}, context?:{}) => Promise<any>;
	publicGetRubikStatContractsLongShortAccountRatio: (params:{}, context?:{}) => Promise<any>;
	publicGetRubikStatContractsOpenInterestVolume: (params:{}, context?:{}) => Promise<any>;
	publicGetRubikStatOptionOpenInterestVolume: (params:{}, context?:{}) => Promise<any>;
	publicGetRubikStatOptionOpenInterestVolumeRatio: (params:{}, context?:{}) => Promise<any>;
	publicGetRubikStatOptionOpenInterestVolumeExpiry: (params:{}, context?:{}) => Promise<any>;
	publicGetRubikStatOptionOpenInterestVolumeStrike: (params:{}, context?:{}) => Promise<any>;
	publicGetRubikStatOptionTakerBlockVolume: (params:{}, context?:{}) => Promise<any>;
	publicGetSystemStatus: (params:{}, context?:{}) => Promise<any>;
	publicGetAssetLendingRateSummary: (params:{}, context?:{}) => Promise<any>;
	publicGetAssetLendingRateHistory: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketExchangeRate: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountAccountPositionRisk: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountPositions: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountPositionsHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountBills: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountBillsArchive: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountConfig: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountMaxSize: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountMaxAvailSize: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountLeverageInfo: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountMaxLoan: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountTradeFee: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountInterestAccrued: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountInterestRate: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountMaxWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountRiskState: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountBorrowRepayHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountQuickMarginBorrowRepayHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountInterestLimits: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountVipInterestAccrued: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountVipLoanOrderList: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountVipLoanOrderDetail: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetAssetValuation: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetDepositAddress: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetBalances: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetTransferState: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetDepositHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetWithdrawalHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetDepositWithdrawStatus: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetCurrencies: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetBills: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetPiggyBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetDepositLightning: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetLendingHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetSavingBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetNonTradableAssets: (params:{}, context?:{}) => Promise<any>;
	privateGetTradeOrder: (params:{}, context?:{}) => Promise<any>;
	privateGetTradeOrdersPending: (params:{}, context?:{}) => Promise<any>;
	privateGetTradeOrdersHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetTradeOrdersHistoryArchive: (params:{}, context?:{}) => Promise<any>;
	privateGetTradeFills: (params:{}, context?:{}) => Promise<any>;
	privateGetTradeFillsHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetTradeOrdersAlgoPending: (params:{}, context?:{}) => Promise<any>;
	privateGetTradeOrdersAlgoHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetTradeOrderAlgo: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountSubaccountBalances: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetSubaccountBills: (params:{}, context?:{}) => Promise<any>;
	privateGetUsersSubaccountList: (params:{}, context?:{}) => Promise<any>;
	privateGetUsersSubaccountApikey: (params:{}, context?:{}) => Promise<any>;
	privateGetUsersEntrustSubaccountList: (params:{}, context?:{}) => Promise<any>;
	privateGetBrokerNdInfo: (params:{}, context?:{}) => Promise<any>;
	privateGetBrokerNdSubaccountInfo: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetBrokerNdSubaccountDepositAddress: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetBrokerNdSubaccountDepositHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetBrokerNdRebateDaily: (params:{}, context?:{}) => Promise<any>;
	privateGetBrokerNdSubaccountApikey: (params:{}, context?:{}) => Promise<any>;
	privateGetBrokerNdRebatePerOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetBrokerNdSubaccountWithdrawalHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetConvertCurrencies: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetConvertCurrencyPair: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetConvertEstimateQuote: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetConvertTrade: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetConvertHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountGreeks: (params:{}, context?:{}) => Promise<any>;
	privateGetFinanceStakingDefiOffers: (params:{}, context?:{}) => Promise<any>;
	privateGetFinanceStakingDefiOrdersActive: (params:{}, context?:{}) => Promise<any>;
	privateGetFinanceStakingDefiOrdersHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetRfqCounterparties: (params:{}, context?:{}) => Promise<any>;
	privateGetRfqMakerInstrumentSettings: (params:{}, context?:{}) => Promise<any>;
	privateGetRfqRfqs: (params:{}, context?:{}) => Promise<any>;
	privateGetRfqQuotes: (params:{}, context?:{}) => Promise<any>;
	privateGetRfqTrades: (params:{}, context?:{}) => Promise<any>;
	privateGetRfqPublicTrades: (params:{}, context?:{}) => Promise<any>;
	privateGetCopytradingCurrentSubpositions: (params:{}, context?:{}) => Promise<any>;
	privateGetCopytradingSubpositionsHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetCopytradingInstruments: (params:{}, context?:{}) => Promise<any>;
	privateGetCopytradingProfitSharingDetails: (params:{}, context?:{}) => Promise<any>;
	privateGetCopytradingTotalProfitSharing: (params:{}, context?:{}) => Promise<any>;
	privateGetCopytradingUnrealizedProfitSharingDetails: (params:{}, context?:{}) => Promise<any>;
	privateGetTradingBotGridOrdersAlgoPending: (params:{}, context?:{}) => Promise<any>;
	privateGetTradingBotGridOrdersAlgoHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetTradingBotGridOrdersAlgoDetails: (params:{}, context?:{}) => Promise<any>;
	privateGetTradingBotGridSubOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetTradingBotGridPositions: (params:{}, context?:{}) => Promise<any>;
	privateGetTradingBotGridAiParam: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountSetPositionMode: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountSetLeverage: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountPositionMarginBalance: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountSetGreeks: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountSetIsolatedMode: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountSetRiskOffsetType: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountSimulatedMargin: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountBorrowRepay: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountQuickMarginBorrowRepay: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountActivateOption: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountSetAutoLoan: (params:{}, context?:{}) => Promise<any>;
	privatePostAssetTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostAssetWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostAssetPurchaseRedempt: (params:{}, context?:{}) => Promise<any>;
	privatePostAssetWithdrawalLightning: (params:{}, context?:{}) => Promise<any>;
	privatePostAssetSetLendingRate: (params:{}, context?:{}) => Promise<any>;
	privatePostAssetCancelWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostAssetConvertDustAssets: (params:{}, context?:{}) => Promise<any>;
	privatePostTradeOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostTradeBatchOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostTradeCancelOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostTradeCancelBatchOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostTradeAmendOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostTradeAmendBatchOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostTradeClosePosition: (params:{}, context?:{}) => Promise<any>;
	privatePostTradeOrderAlgo: (params:{}, context?:{}) => Promise<any>;
	privatePostTradeCancelAlgos: (params:{}, context?:{}) => Promise<any>;
	privatePostTradeCancelAdvanceAlgos: (params:{}, context?:{}) => Promise<any>;
	privatePostUsersSubaccountDeleteApikey: (params:{}, context?:{}) => Promise<any>;
	privatePostUsersSubaccountModifyApikey: (params:{}, context?:{}) => Promise<any>;
	privatePostUsersSubaccountApikey: (params:{}, context?:{}) => Promise<any>;
	privatePostUsersSubaccountSetTransferOut: (params:{}, context?:{}) => Promise<any>;
	privatePostAssetSubaccountTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostBrokerNdCreateSubaccount: (params:{}, context?:{}) => Promise<any>;
	privatePostBrokerNdDeleteSubaccount: (params:{}, context?:{}) => Promise<any>;
	privatePostBrokerNdSetSubaccountLevel: (params:{}, context?:{}) => Promise<any>;
	privatePostBrokerNdSetSubaccountFeeRate: (params:{}, context?:{}) => Promise<any>;
	privatePostAssetBrokerNdSubaccountDepositAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostBrokerNdSubaccountApikey: (params:{}, context?:{}) => Promise<any>;
	privatePostBrokerNdSubaccountDeleteApikey: (params:{}, context?:{}) => Promise<any>;
	privatePostBrokerNdSubaccountModifyApikey: (params:{}, context?:{}) => Promise<any>;
	privatePostBrokerNdRebatePerOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostFinanceStakingDefiPurchase: (params:{}, context?:{}) => Promise<any>;
	privatePostFinanceStakingDefiRedeem: (params:{}, context?:{}) => Promise<any>;
	privatePostFinanceStakingDefiCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostRfqCreateRfq: (params:{}, context?:{}) => Promise<any>;
	privatePostRfqCancelRfq: (params:{}, context?:{}) => Promise<any>;
	privatePostRfqCancelBatchRfqs: (params:{}, context?:{}) => Promise<any>;
	privatePostRfqCancelAllRfqs: (params:{}, context?:{}) => Promise<any>;
	privatePostRfqExecuteQuote: (params:{}, context?:{}) => Promise<any>;
	privatePostRfqMakerInstrumentSettings: (params:{}, context?:{}) => Promise<any>;
	privatePostRfqMmpReset: (params:{}, context?:{}) => Promise<any>;
	privatePostRfqCreateQuote: (params:{}, context?:{}) => Promise<any>;
	privatePostRfqCancelQuote: (params:{}, context?:{}) => Promise<any>;
	privatePostRfqCancelBatchQuotes: (params:{}, context?:{}) => Promise<any>;
	privatePostRfqCancelAllQuotes: (params:{}, context?:{}) => Promise<any>;
	privatePostCopytradingAlgoOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostCopytradingCloseSubposition: (params:{}, context?:{}) => Promise<any>;
	privatePostCopytradingSetInstruments: (params:{}, context?:{}) => Promise<any>;
	privatePostTradingBotGridOrderAlgo: (params:{}, context?:{}) => Promise<any>;
	privatePostTradingBotGridAmendOrderAlgo: (params:{}, context?:{}) => Promise<any>;
	privatePostTradingBotGridStopOrderAlgo: (params:{}, context?:{}) => Promise<any>;
	privatePostTradingBotGridWithdrawIncome: (params:{}, context?:{}) => Promise<any>;
	privatePostTradingBotGridComputeMarginBalance: (params:{}, context?:{}) => Promise<any>;
	privatePostTradingBotGridMarginBalance: (params:{}, context?:{}) => Promise<any>;
}