import {stex as Type} from 'ccxt';
export interface stexRestApiType extends Type {
	publicGetCurrencies: (params:{}, context?:{}) => Promise<any>;
	publicGetCurrenciesCurrencyId: (params:{}, context?:{}) => Promise<any>;
	publicGetMarkets: (params:{}, context?:{}) => Promise<any>;
	publicGetPairsGroups: (params:{}, context?:{}) => Promise<any>;
	publicGetCurrencyPairsListCode: (params:{}, context?:{}) => Promise<any>;
	publicGetCurrencyPairsGroupCurrencyPairGroupId: (params:{}, context?:{}) => Promise<any>;
	publicGetCurrencyPairsCurrencyPairId: (params:{}, context?:{}) => Promise<any>;
	publicGetTicker: (params:{}, context?:{}) => Promise<any>;
	publicGetTickerCurrencyPairId: (params:{}, context?:{}) => Promise<any>;
	publicGetTradesCurrencyPairId: (params:{}, context?:{}) => Promise<any>;
	publicGetOrderbookCurrencyPairId: (params:{}, context?:{}) => Promise<any>;
	publicGetChartCurrencyPairIdCandlesType: (params:{}, context?:{}) => Promise<any>;
	publicGetDepositStatuses: (params:{}, context?:{}) => Promise<any>;
	publicGetDepositStatusesStatusId: (params:{}, context?:{}) => Promise<any>;
	publicGetWithdrawalStatuses: (params:{}, context?:{}) => Promise<any>;
	publicGetWithdrawalStatusesStatusId: (params:{}, context?:{}) => Promise<any>;
	publicGetPing: (params:{}, context?:{}) => Promise<any>;
	publicGetMobileVersions: (params:{}, context?:{}) => Promise<any>;
	publicGetTwitter: (params:{}, context?:{}) => Promise<any>;
	tradingGetFeesCurrencyPairId: (params:{}, context?:{}) => Promise<any>;
	tradingGetOrders: (params:{}, context?:{}) => Promise<any>;
	tradingGetOrdersCurrencyPairId: (params:{}, context?:{}) => Promise<any>;
	tradingGetOrderOrderId: (params:{}, context?:{}) => Promise<any>;
	tradingPostOrdersCurrencyPairId: (params:{}, context?:{}) => Promise<any>;
	tradingPostOrdersBulkCurrencyPairId: (params:{}, context?:{}) => Promise<any>;
	tradingDeleteOrders: (params:{}, context?:{}) => Promise<any>;
	tradingDeleteOrdersCurrencyPairId: (params:{}, context?:{}) => Promise<any>;
	tradingDeleteOrderOrderId: (params:{}, context?:{}) => Promise<any>;
	reportsGetCurrencies: (params:{}, context?:{}) => Promise<any>;
	reportsGetCurrencyPairs: (params:{}, context?:{}) => Promise<any>;
	reportsGetOrders: (params:{}, context?:{}) => Promise<any>;
	reportsGetOrdersOrderId: (params:{}, context?:{}) => Promise<any>;
	reportsGetTradesCurrencyPairId: (params:{}, context?:{}) => Promise<any>;
	reportsGetBackgroundListMode: (params:{}, context?:{}) => Promise<any>;
	reportsGetBackgroundId: (params:{}, context?:{}) => Promise<any>;
	reportsGetBackgroundDownloadId: (params:{}, context?:{}) => Promise<any>;
	reportsPostBackgroundCreate: (params:{}, context?:{}) => Promise<any>;
	reportsDeleteBackgroundId: (params:{}, context?:{}) => Promise<any>;
	profileGetInfo: (params:{}, context?:{}) => Promise<any>;
	profileGetWallets: (params:{}, context?:{}) => Promise<any>;
	profileGetWalletsWalletId: (params:{}, context?:{}) => Promise<any>;
	profileGetWalletsAddressWalletId: (params:{}, context?:{}) => Promise<any>;
	profileGetDeposits: (params:{}, context?:{}) => Promise<any>;
	profileGetDepositsId: (params:{}, context?:{}) => Promise<any>;
	profileGetRewards: (params:{}, context?:{}) => Promise<any>;
	profileGetRewardsId: (params:{}, context?:{}) => Promise<any>;
	profileGetAddressbook: (params:{}, context?:{}) => Promise<any>;
	profileGetAddressbookItemId: (params:{}, context?:{}) => Promise<any>;
	profileGetWithdrawals: (params:{}, context?:{}) => Promise<any>;
	profileGetWithdrawalsId: (params:{}, context?:{}) => Promise<any>;
	profileGetNotifications: (params:{}, context?:{}) => Promise<any>;
	profileGetNotificationsPrice: (params:{}, context?:{}) => Promise<any>;
	profileGetFavoriteCurrencyPairs: (params:{}, context?:{}) => Promise<any>;
	profileGetTokenScopes: (params:{}, context?:{}) => Promise<any>;
	profilePostWalletsBurnWalletId: (params:{}, context?:{}) => Promise<any>;
	profilePostWalletsWalletIdHoldAmount: (params:{}, context?:{}) => Promise<any>;
	profilePostWalletsCurrencyId: (params:{}, context?:{}) => Promise<any>;
	profilePostWalletsAddressWalletId: (params:{}, context?:{}) => Promise<any>;
	profilePostAddressbookDisableItemItemId: (params:{}, context?:{}) => Promise<any>;
	profilePostAddressbookEnableItemItemId: (params:{}, context?:{}) => Promise<any>;
	profilePostAddressbookEnableStrictWd: (params:{}, context?:{}) => Promise<any>;
	profilePostAddressbookDisableStrictWd: (params:{}, context?:{}) => Promise<any>;
	profilePostWithdraw: (params:{}, context?:{}) => Promise<any>;
	profilePostNotificationsPrice: (params:{}, context?:{}) => Promise<any>;
	profilePostReferralProgram: (params:{}, context?:{}) => Promise<any>;
	profilePostReferralInsertCode: (params:{}, context?:{}) => Promise<any>;
	profilePostReferralBonusTransferCurrencyId: (params:{}, context?:{}) => Promise<any>;
	profilePutFavoriteCurrencyPairsSet: (params:{}, context?:{}) => Promise<any>;
	profileDeleteAddressbookItemId: (params:{}, context?:{}) => Promise<any>;
	profileDeleteWithdrawWithdrawalId: (params:{}, context?:{}) => Promise<any>;
	profileDeleteNotificationsPricePriceAlertId: (params:{}, context?:{}) => Promise<any>;
	verificationGetCountries: (params:{}, context?:{}) => Promise<any>;
	verificationGetStatus: (params:{}, context?:{}) => Promise<any>;
	verificationGetFractalUrl: (params:{}, context?:{}) => Promise<any>;
	verificationGetSmartId: (params:{}, context?:{}) => Promise<any>;
	verificationGetStex: (params:{}, context?:{}) => Promise<any>;
	verificationGetCryptonomicaCode: (params:{}, context?:{}) => Promise<any>;
	verificationPostSmartId: (params:{}, context?:{}) => Promise<any>;
	verificationPostStex: (params:{}, context?:{}) => Promise<any>;
	verificationPostCryptonomica: (params:{}, context?:{}) => Promise<any>;
	settingsGetNotificationsEvent: (params:{}, context?:{}) => Promise<any>;
	settingsGetNotifications: (params:{}, context?:{}) => Promise<any>;
	settingsPutNotifications: (params:{}, context?:{}) => Promise<any>;
	settingsPutNotificationsSet: (params:{}, context?:{}) => Promise<any>;
}