import {wavesexchange as Type} from 'ccxt';
export interface wavesexchangeRestApiType extends Type {
	matcherGetMatcher: (params:{}, context?:{}) => Promise<any>;
	matcherGetMatcherSettings: (params:{}, context?:{}) => Promise<any>;
	matcherGetMatcherSettingsRates: (params:{}, context?:{}) => Promise<any>;
	matcherGetMatcherBalanceReservedPublicKey: (params:{}, context?:{}) => Promise<any>;
	matcherGetMatcherDebugAllSnashotOffsets: (params:{}, context?:{}) => Promise<any>;
	matcherGetMatcherDebugCurrentOffset: (params:{}, context?:{}) => Promise<any>;
	matcherGetMatcherDebugLastOffset: (params:{}, context?:{}) => Promise<any>;
	matcherGetMatcherDebugOldestSnapshotOffset: (params:{}, context?:{}) => Promise<any>;
	matcherGetMatcherOrderbook: (params:{}, context?:{}) => Promise<any>;
	matcherGetMatcherOrderbookAmountAssetPriceAsset: (params:{}, context?:{}) => Promise<any>;
	matcherGetMatcherOrderbookBaseIdQuoteIdPublicKeyPublicKey: (params:{}, context?:{}) => Promise<any>;
	matcherGetMatcherOrderbookBaseIdQuoteIdOrderId: (params:{}, context?:{}) => Promise<any>;
	matcherGetMatcherOrderbookBaseIdQuoteIdInfo: (params:{}, context?:{}) => Promise<any>;
	matcherGetMatcherOrderbookBaseIdQuoteIdStatus: (params:{}, context?:{}) => Promise<any>;
	matcherGetMatcherOrderbookBaseIdQuoteIdTradeableBalanceAddress: (params:{}, context?:{}) => Promise<any>;
	matcherGetMatcherOrderbookPublicKey: (params:{}, context?:{}) => Promise<any>;
	matcherGetMatcherOrderbookPublicKeyOrderId: (params:{}, context?:{}) => Promise<any>;
	matcherGetMatcherOrdersAddress: (params:{}, context?:{}) => Promise<any>;
	matcherGetMatcherOrdersAddressOrderId: (params:{}, context?:{}) => Promise<any>;
	matcherGetMatcherTransactionsOrderId: (params:{}, context?:{}) => Promise<any>;
	matcherPostMatcherOrderbook: (params:{}, context?:{}) => Promise<any>;
	matcherPostMatcherOrderbookMarket: (params:{}, context?:{}) => Promise<any>;
	matcherPostMatcherOrderbookCancel: (params:{}, context?:{}) => Promise<any>;
	matcherPostMatcherOrderbookBaseIdQuoteIdCancel: (params:{}, context?:{}) => Promise<any>;
	matcherPostMatcherOrderbookAmountAssetPriceAssetCalculateFee: (params:{}, context?:{}) => Promise<any>;
	matcherPostMatcherDebugSaveSnapshots: (params:{}, context?:{}) => Promise<any>;
	matcherPostMatcherOrdersAddressCancel: (params:{}, context?:{}) => Promise<any>;
	matcherPostMatcherOrdersCancelOrderId: (params:{}, context?:{}) => Promise<any>;
	matcherDeleteMatcherOrderbookBaseIdQuoteId: (params:{}, context?:{}) => Promise<any>;
	matcherDeleteMatcherSettingsRatesAssetId: (params:{}, context?:{}) => Promise<any>;
	matcherPutMatcherSettingsRatesAssetId: (params:{}, context?:{}) => Promise<any>;
	nodeGetAddresses: (params:{}, context?:{}) => Promise<any>;
	nodeGetAddressesBalanceAddress: (params:{}, context?:{}) => Promise<any>;
	nodeGetAddressesBalanceAddressConfirmations: (params:{}, context?:{}) => Promise<any>;
	nodeGetAddressesBalanceDetailsAddress: (params:{}, context?:{}) => Promise<any>;
	nodeGetAddressesDataAddress: (params:{}, context?:{}) => Promise<any>;
	nodeGetAddressesDataAddressKey: (params:{}, context?:{}) => Promise<any>;
	nodeGetAddressesEffectiveBalanceAddress: (params:{}, context?:{}) => Promise<any>;
	nodeGetAddressesEffectiveBalanceAddressConfirmations: (params:{}, context?:{}) => Promise<any>;
	nodeGetAddressesPublicKeyPublicKey: (params:{}, context?:{}) => Promise<any>;
	nodeGetAddressesScriptInfoAddress: (params:{}, context?:{}) => Promise<any>;
	nodeGetAddressesScriptInfoAddressMeta: (params:{}, context?:{}) => Promise<any>;
	nodeGetAddressesSeedAddress: (params:{}, context?:{}) => Promise<any>;
	nodeGetAddressesSeqFromTo: (params:{}, context?:{}) => Promise<any>;
	nodeGetAddressesValidateAddress: (params:{}, context?:{}) => Promise<any>;
	nodeGetAliasByAddressAddress: (params:{}, context?:{}) => Promise<any>;
	nodeGetAliasByAliasAlias: (params:{}, context?:{}) => Promise<any>;
	nodeGetAssetsAssetIdDistributionHeightLimit: (params:{}, context?:{}) => Promise<any>;
	nodeGetAssetsBalanceAddress: (params:{}, context?:{}) => Promise<any>;
	nodeGetAssetsBalanceAddressAssetId: (params:{}, context?:{}) => Promise<any>;
	nodeGetAssetsDetailsAssetId: (params:{}, context?:{}) => Promise<any>;
	nodeGetAssetsNftAddressLimitLimit: (params:{}, context?:{}) => Promise<any>;
	nodeGetBlockchainRewards: (params:{}, context?:{}) => Promise<any>;
	nodeGetBlockchainRewardsHeight: (params:{}, context?:{}) => Promise<any>;
	nodeGetBlocksAddressAddressFromTo: (params:{}, context?:{}) => Promise<any>;
	nodeGetBlocksAtHeight: (params:{}, context?:{}) => Promise<any>;
	nodeGetBlocksDelaySignatureBlockNum: (params:{}, context?:{}) => Promise<any>;
	nodeGetBlocksFirst: (params:{}, context?:{}) => Promise<any>;
	nodeGetBlocksHeadersLast: (params:{}, context?:{}) => Promise<any>;
	nodeGetBlocksHeadersSeqFromTo: (params:{}, context?:{}) => Promise<any>;
	nodeGetBlocksHeight: (params:{}, context?:{}) => Promise<any>;
	nodeGetBlocksHeightSignature: (params:{}, context?:{}) => Promise<any>;
	nodeGetBlocksLast: (params:{}, context?:{}) => Promise<any>;
	nodeGetBlocksSeqFromTo: (params:{}, context?:{}) => Promise<any>;
	nodeGetBlocksSignatureSignature: (params:{}, context?:{}) => Promise<any>;
	nodeGetConsensusAlgo: (params:{}, context?:{}) => Promise<any>;
	nodeGetConsensusBasetarget: (params:{}, context?:{}) => Promise<any>;
	nodeGetConsensusBasetargetBlockId: (params:{}, context?:{}) => Promise<any>;
	nodeGetConsensusGeneratingbalanceAddress: (params:{}, context?:{}) => Promise<any>;
	nodeGetConsensusGenerationsignature: (params:{}, context?:{}) => Promise<any>;
	nodeGetConsensusGenerationsignatureBlockId: (params:{}, context?:{}) => Promise<any>;
	nodeGetDebugBalancesHistoryAddress: (params:{}, context?:{}) => Promise<any>;
	nodeGetDebugBlocksHowMany: (params:{}, context?:{}) => Promise<any>;
	nodeGetDebugConfigInfo: (params:{}, context?:{}) => Promise<any>;
	nodeGetDebugHistoryInfo: (params:{}, context?:{}) => Promise<any>;
	nodeGetDebugInfo: (params:{}, context?:{}) => Promise<any>;
	nodeGetDebugMinerInfo: (params:{}, context?:{}) => Promise<any>;
	nodeGetDebugPortfoliosAddress: (params:{}, context?:{}) => Promise<any>;
	nodeGetDebugState: (params:{}, context?:{}) => Promise<any>;
	nodeGetDebugStateChangesAddressAddress: (params:{}, context?:{}) => Promise<any>;
	nodeGetDebugStateChangesInfoId: (params:{}, context?:{}) => Promise<any>;
	nodeGetDebugStateWavesHeight: (params:{}, context?:{}) => Promise<any>;
	nodeGetLeasingActiveAddress: (params:{}, context?:{}) => Promise<any>;
	nodeGetNodeState: (params:{}, context?:{}) => Promise<any>;
	nodeGetNodeVersion: (params:{}, context?:{}) => Promise<any>;
	nodeGetPeersAll: (params:{}, context?:{}) => Promise<any>;
	nodeGetPeersBlacklisted: (params:{}, context?:{}) => Promise<any>;
	nodeGetPeersConnected: (params:{}, context?:{}) => Promise<any>;
	nodeGetPeersSuspended: (params:{}, context?:{}) => Promise<any>;
	nodeGetTransactionsAddressAddressLimitLimit: (params:{}, context?:{}) => Promise<any>;
	nodeGetTransactionsInfoId: (params:{}, context?:{}) => Promise<any>;
	nodeGetTransactionsStatus: (params:{}, context?:{}) => Promise<any>;
	nodeGetTransactionsUnconfirmed: (params:{}, context?:{}) => Promise<any>;
	nodeGetTransactionsUnconfirmedInfoId: (params:{}, context?:{}) => Promise<any>;
	nodeGetTransactionsUnconfirmedSize: (params:{}, context?:{}) => Promise<any>;
	nodeGetUtilsSeed: (params:{}, context?:{}) => Promise<any>;
	nodeGetUtilsSeedLength: (params:{}, context?:{}) => Promise<any>;
	nodeGetUtilsTime: (params:{}, context?:{}) => Promise<any>;
	nodeGetWalletSeed: (params:{}, context?:{}) => Promise<any>;
	nodePostAddresses: (params:{}, context?:{}) => Promise<any>;
	nodePostAddressesDataAddress: (params:{}, context?:{}) => Promise<any>;
	nodePostAddressesSignAddress: (params:{}, context?:{}) => Promise<any>;
	nodePostAddressesSignTextAddress: (params:{}, context?:{}) => Promise<any>;
	nodePostAddressesVerifyAddress: (params:{}, context?:{}) => Promise<any>;
	nodePostAddressesVerifyTextAddress: (params:{}, context?:{}) => Promise<any>;
	nodePostDebugBlacklist: (params:{}, context?:{}) => Promise<any>;
	nodePostDebugPrint: (params:{}, context?:{}) => Promise<any>;
	nodePostDebugRollback: (params:{}, context?:{}) => Promise<any>;
	nodePostDebugValidate: (params:{}, context?:{}) => Promise<any>;
	nodePostNodeStop: (params:{}, context?:{}) => Promise<any>;
	nodePostPeersClearblacklist: (params:{}, context?:{}) => Promise<any>;
	nodePostPeersConnect: (params:{}, context?:{}) => Promise<any>;
	nodePostTransactionsBroadcast: (params:{}, context?:{}) => Promise<any>;
	nodePostTransactionsCalculateFee: (params:{}, context?:{}) => Promise<any>;
	nodePostTranasctionsSign: (params:{}, context?:{}) => Promise<any>;
	nodePostTransactionsSignSignerAddress: (params:{}, context?:{}) => Promise<any>;
	nodePostTranasctionsStatus: (params:{}, context?:{}) => Promise<any>;
	nodePostUtilsHashFast: (params:{}, context?:{}) => Promise<any>;
	nodePostUtilsHashSecure: (params:{}, context?:{}) => Promise<any>;
	nodePostUtilsScriptCompileCode: (params:{}, context?:{}) => Promise<any>;
	nodePostUtilsScriptCompileWithImports: (params:{}, context?:{}) => Promise<any>;
	nodePostUtilsScriptDecompile: (params:{}, context?:{}) => Promise<any>;
	nodePostUtilsScriptEstimate: (params:{}, context?:{}) => Promise<any>;
	nodePostUtilsSignPrivateKey: (params:{}, context?:{}) => Promise<any>;
	nodePostUtilsTransactionsSerialize: (params:{}, context?:{}) => Promise<any>;
	nodeDeleteAddressesAddress: (params:{}, context?:{}) => Promise<any>;
	nodeDeleteDebugRollbackToSignature: (params:{}, context?:{}) => Promise<any>;
	publicGetAssets: (params:{}, context?:{}) => Promise<any>;
	publicGetPairs: (params:{}, context?:{}) => Promise<any>;
	publicGetCandlesBaseIdQuoteId: (params:{}, context?:{}) => Promise<any>;
	publicGetTransactionsExchange: (params:{}, context?:{}) => Promise<any>;
	privateGetDepositAddressesCurrency: (params:{}, context?:{}) => Promise<any>;
	privateGetDepositAddressesCurrencyPlatform: (params:{}, context?:{}) => Promise<any>;
	privateGetPlatforms: (params:{}, context?:{}) => Promise<any>;
	privateGetDepositCurrencies: (params:{}, context?:{}) => Promise<any>;
	privateGetWithdrawCurrencies: (params:{}, context?:{}) => Promise<any>;
	privateGetWithdrawAddressesCurrencyAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostOauth2Token: (params:{}, context?:{}) => Promise<any>;
	forwardGetMatcherOrdersAddress: (params:{}, context?:{}) => Promise<any>;
	forwardGetMatcherOrdersAddressOrderId: (params:{}, context?:{}) => Promise<any>;
	forwardPostMatcherOrdersWavesAddressCancel: (params:{}, context?:{}) => Promise<any>;
	marketGetTickers: (params:{}, context?:{}) => Promise<any>;
}