import {whitebit as Type} from 'ccxt';
export interface whitebitRestApiType extends Type {
	webGetV1Healthcheck: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetMarkets: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetTickers: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetTicker: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetSymbols: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetDepthResult: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetHistory: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetKline: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostAccountBalance: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostOrderNew: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostOrderCancel: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostOrders: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostAccountOrderHistory: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostAccountExecutedHistory: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostAccountExecutedHistoryAll: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostAccountOrder: (params:{}, context?:{}) => Promise<any>;
	v2PublicGetMarkets: (params:{}, context?:{}) => Promise<any>;
	v2PublicGetTicker: (params:{}, context?:{}) => Promise<any>;
	v2PublicGetAssets: (params:{}, context?:{}) => Promise<any>;
	v2PublicGetFee: (params:{}, context?:{}) => Promise<any>;
	v2PublicGetDepthMarket: (params:{}, context?:{}) => Promise<any>;
	v2PublicGetTradesMarket: (params:{}, context?:{}) => Promise<any>;
	v4PublicGetAssets: (params:{}, context?:{}) => Promise<any>;
	v4PublicGetCollateralMarkets: (params:{}, context?:{}) => Promise<any>;
	v4PublicGetFee: (params:{}, context?:{}) => Promise<any>;
	v4PublicGetOrderbookMarket: (params:{}, context?:{}) => Promise<any>;
	v4PublicGetTicker: (params:{}, context?:{}) => Promise<any>;
	v4PublicGetTradesMarket: (params:{}, context?:{}) => Promise<any>;
	v4PublicGetTime: (params:{}, context?:{}) => Promise<any>;
	v4PublicGetPing: (params:{}, context?:{}) => Promise<any>;
	v4PublicGetMarkets: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostCollateralAccountBalance: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostCollateralAccountPositionsHistory: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostCollateralAccountLeverage: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostCollateralAccountPositionsOpen: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostCollateralAccountSummary: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostMainAccountAddress: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostMainAccountBalance: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostMainAccountCreateNewAddress: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostMainAccountCodes: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostMainAccountCodesApply: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostMainAccountCodesMy: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostMainAccountCodesHistory: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostMainAccountFiatDepositUrl: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostMainAccountHistory: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostMainAccountWithdraw: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostMainAccountWithdrawPay: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostMainAccountTransfer: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostTradeAccountBalance: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostTradeAccountExecutedHistory: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostTradeAccountOrder: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostTradeAccountOrderHistory: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostOrderCollateralLimit: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostOrderCollateralMarket: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostOrderCollateralTriggerMarket: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostOrderNew: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostOrderMarket: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostOrderStockMarket: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostOrderStopLimit: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostOrderStopMarket: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostOrderCancel: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostOrders: (params:{}, context?:{}) => Promise<any>;
	v4PrivatePostProfileWebsocketToken: (params:{}, context?:{}) => Promise<any>;
}