import {zb as Type} from 'ccxt';
export interface zbRestApiType extends Type {
	spotV1PublicGetMarkets: (params:{}, context?:{}) => Promise<any>;
	spotV1PublicGetTicker: (params:{}, context?:{}) => Promise<any>;
	spotV1PublicGetAllTicker: (params:{}, context?:{}) => Promise<any>;
	spotV1PublicGetDepth: (params:{}, context?:{}) => Promise<any>;
	spotV1PublicGetTrades: (params:{}, context?:{}) => Promise<any>;
	spotV1PublicGetKline: (params:{}, context?:{}) => Promise<any>;
	spotV1PublicGetGetGroupMarkets: (params:{}, context?:{}) => Promise<any>;
	spotV1PublicGetGetFeeInfo: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetOrder: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetOrderMoreV2: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetCancelOrder: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetCancelAllOrdersAfter: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetGetOrder: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetGetOrders: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetGetOrdersNew: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetGetOrdersIgnoreTradeType: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetGetUnfinishedOrdersIgnoreTradeType: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetGetFinishedAndPartialOrders: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetGetAccountInfo: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetGetUserAddress: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetGetPayinAddress: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetGetWithdrawAddress: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetGetWithdrawRecord: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetGetChargeRecord: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetGetCnyWithdrawRecord: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetGetCnyChargeRecord: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetWithdraw: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetAddSubUser: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetGetSubUserList: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetDoTransferFunds: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetCreateSubUserKey: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetGetLeverAssetsInfo: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetGetLeverBills: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetTransferInLever: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetTransferOutLever: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetLoan: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetCancelLoan: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetGetLoans: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetGetLoanRecords: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetBorrow: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetAutoBorrow: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetRepay: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetDoAllRepay: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetGetRepayments: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetGetFinanceRecords: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetChangeInvestMark: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetChangeLoop: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetGetCrossAssets: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetGetCrossBills: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetTransferInCross: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetTransferOutCross: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetDoCrossLoan: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetDoCrossRepay: (params:{}, context?:{}) => Promise<any>;
	spotV1PrivateGetGetCrossRepayRecords: (params:{}, context?:{}) => Promise<any>;
	contractV1PublicGetDepth: (params:{}, context?:{}) => Promise<any>;
	contractV1PublicGetFundingRate: (params:{}, context?:{}) => Promise<any>;
	contractV1PublicGetIndexKline: (params:{}, context?:{}) => Promise<any>;
	contractV1PublicGetIndexPrice: (params:{}, context?:{}) => Promise<any>;
	contractV1PublicGetKline: (params:{}, context?:{}) => Promise<any>;
	contractV1PublicGetMarkKline: (params:{}, context?:{}) => Promise<any>;
	contractV1PublicGetMarkPrice: (params:{}, context?:{}) => Promise<any>;
	contractV1PublicGetTicker: (params:{}, context?:{}) => Promise<any>;
	contractV1PublicGetTrade: (params:{}, context?:{}) => Promise<any>;
	contractV2PublicGetAllForceOrders: (params:{}, context?:{}) => Promise<any>;
	contractV2PublicGetConfigMarketList: (params:{}, context?:{}) => Promise<any>;
	contractV2PublicGetTopLongShortAccountRatio: (params:{}, context?:{}) => Promise<any>;
	contractV2PublicGetTopLongShortPositionRatio: (params:{}, context?:{}) => Promise<any>;
	contractV2PublicGetFundingRate: (params:{}, context?:{}) => Promise<any>;
	contractV2PublicGetPremiumIndex: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivateGetFundBalance: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivateGetFundGetAccount: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivateGetFundGetBill: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivateGetFundGetBillTypeList: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivateGetFundMarginHistory: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivateGetPositionsGetPositions: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivateGetPositionsGetNominalValue: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivateGetPositionsMarginInfo: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivateGetSettingGet: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivateGetTradeGetAllOrders: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivateGetTradeGetOrder: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivateGetTradeGetOrderAlgos: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivateGetTradeGetTradeList: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivateGetTradeGetUndoneOrders: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivateGetTradeTradeHistory: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivatePostActivityBuyTicket: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivatePostFundTransferFund: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivatePostPositionsSetMarginCoins: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivatePostPositionsUpdateAppendUSDValue: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivatePostPositionsUpdateMargin: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivatePostSettingSetLeverage: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivatePostSettingSetPositionsMode: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivatePostTradeBatchOrder: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivatePostTradeBatchCancelOrder: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivatePostTradeCancelAlgos: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivatePostTradeCancelAllOrders: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivatePostTradeCancelOrder: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivatePostTradeOrder: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivatePostTradeOrderAlgo: (params:{}, context?:{}) => Promise<any>;
	contractV2PrivatePostTradeUpdateOrderAlgo: (params:{}, context?:{}) => Promise<any>;
}