import {ascendex as Type} from 'ccxt';
export interface ascendexRestApiType extends Type {
	v1PublicGetAssets: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetProducts: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetTicker: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetBarhistInfo: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetBarhist: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetDepth: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetTrades: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetCashAssets: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetCashProducts: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetMarginAssets: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetMarginProducts: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetFuturesCollateral: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetFuturesContracts: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetFuturesRefPx: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetFuturesMarketData: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetFuturesFundingRates: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetRiskLimitInfo: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetExchangeInfo: (params:{}, context?:{}) => Promise<any>;
	v1PrivateGetInfo: (params:{}, context?:{}) => Promise<any>;
	v1PrivateGetWalletTransactions: (params:{}, context?:{}) => Promise<any>;
	v1PrivateGetWalletDepositAddress: (params:{}, context?:{}) => Promise<any>;
	v1PrivateGetDataBalanceSnapshot: (params:{}, context?:{}) => Promise<any>;
	v1PrivateGetDataBalanceHistory: (params:{}, context?:{}) => Promise<any>;
	v1PrivateAccountCategoryGetBalance: (params:{}, context?:{}) => Promise<any>;
	v1PrivateAccountCategoryGetOrderOpen: (params:{}, context?:{}) => Promise<any>;
	v1PrivateAccountCategoryGetOrderStatus: (params:{}, context?:{}) => Promise<any>;
	v1PrivateAccountCategoryGetOrderHistCurrent: (params:{}, context?:{}) => Promise<any>;
	v1PrivateAccountCategoryGetRisk: (params:{}, context?:{}) => Promise<any>;
	v1PrivateAccountCategoryPostOrder: (params:{}, context?:{}) => Promise<any>;
	v1PrivateAccountCategoryPostOrderBatch: (params:{}, context?:{}) => Promise<any>;
	v1PrivateAccountCategoryDeleteOrder: (params:{}, context?:{}) => Promise<any>;
	v1PrivateAccountCategoryDeleteOrderAll: (params:{}, context?:{}) => Promise<any>;
	v1PrivateAccountCategoryDeleteOrderBatch: (params:{}, context?:{}) => Promise<any>;
	v1PrivateAccountGroupGetCashBalance: (params:{}, context?:{}) => Promise<any>;
	v1PrivateAccountGroupGetMarginBalance: (params:{}, context?:{}) => Promise<any>;
	v1PrivateAccountGroupGetMarginRisk: (params:{}, context?:{}) => Promise<any>;
	v1PrivateAccountGroupGetFuturesCollateralBalance: (params:{}, context?:{}) => Promise<any>;
	v1PrivateAccountGroupGetFuturesPosition: (params:{}, context?:{}) => Promise<any>;
	v1PrivateAccountGroupGetFuturesRisk: (params:{}, context?:{}) => Promise<any>;
	v1PrivateAccountGroupGetFuturesFundingPayments: (params:{}, context?:{}) => Promise<any>;
	v1PrivateAccountGroupGetOrderHist: (params:{}, context?:{}) => Promise<any>;
	v1PrivateAccountGroupGetSpotFee: (params:{}, context?:{}) => Promise<any>;
	v1PrivateAccountGroupPostTransfer: (params:{}, context?:{}) => Promise<any>;
	v1PrivateAccountGroupPostFuturesTransferDeposit: (params:{}, context?:{}) => Promise<any>;
	v1PrivateAccountGroupPostFuturesTransferWithdraw: (params:{}, context?:{}) => Promise<any>;
	v2PublicGetAssets: (params:{}, context?:{}) => Promise<any>;
	v2PublicGetFuturesContract: (params:{}, context?:{}) => Promise<any>;
	v2PublicGetFuturesCollateral: (params:{}, context?:{}) => Promise<any>;
	v2PublicGetFuturesPricingData: (params:{}, context?:{}) => Promise<any>;
	v2PublicGetFuturesTicker: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAccountInfo: (params:{}, context?:{}) => Promise<any>;
	v2PrivateAccountGroupGetOrderHist: (params:{}, context?:{}) => Promise<any>;
	v2PrivateAccountGroupGetFuturesPosition: (params:{}, context?:{}) => Promise<any>;
	v2PrivateAccountGroupGetFuturesFreeMargin: (params:{}, context?:{}) => Promise<any>;
	v2PrivateAccountGroupGetFuturesOrderHistCurrent: (params:{}, context?:{}) => Promise<any>;
	v2PrivateAccountGroupGetFuturesOrderOpen: (params:{}, context?:{}) => Promise<any>;
	v2PrivateAccountGroupGetFuturesOrderStatus: (params:{}, context?:{}) => Promise<any>;
	v2PrivateAccountGroupPostFuturesIsolatedPositionMargin: (params:{}, context?:{}) => Promise<any>;
	v2PrivateAccountGroupPostFuturesMarginType: (params:{}, context?:{}) => Promise<any>;
	v2PrivateAccountGroupPostFuturesLeverage: (params:{}, context?:{}) => Promise<any>;
	v2PrivateAccountGroupPostFuturesTransferDeposit: (params:{}, context?:{}) => Promise<any>;
	v2PrivateAccountGroupPostFuturesTransferWithdraw: (params:{}, context?:{}) => Promise<any>;
	v2PrivateAccountGroupPostFuturesOrder: (params:{}, context?:{}) => Promise<any>;
	v2PrivateAccountGroupPostFuturesOrderBatch: (params:{}, context?:{}) => Promise<any>;
	v2PrivateAccountGroupPostFuturesOrderOpen: (params:{}, context?:{}) => Promise<any>;
	v2PrivateAccountGroupPostSubuserSubuserTransfer: (params:{}, context?:{}) => Promise<any>;
	v2PrivateAccountGroupPostSubuserSubuserTransferHist: (params:{}, context?:{}) => Promise<any>;
	v2PrivateAccountGroupDeleteFuturesOrder: (params:{}, context?:{}) => Promise<any>;
	v2PrivateAccountGroupDeleteFuturesOrderBatch: (params:{}, context?:{}) => Promise<any>;
	v2PrivateAccountGroupDeleteFuturesOrderAll: (params:{}, context?:{}) => Promise<any>;
}