import {binanceus as Type} from 'ccxt';
export interface binanceusRestApiType extends Type {
	sapiGetSystemStatus: (params:{}, context?:{}) => Promise<any>;
	sapiGetAccountSnapshot: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginAsset: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginPair: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginAllAssets: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginAllPairs: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginPriceIndex: (params:{}, context?:{}) => Promise<any>;
	sapiGetAssetAssetDividend: (params:{}, context?:{}) => Promise<any>;
	sapiGetAssetDribblet: (params:{}, context?:{}) => Promise<any>;
	sapiGetAssetTransfer: (params:{}, context?:{}) => Promise<any>;
	sapiGetAssetAssetDetail: (params:{}, context?:{}) => Promise<any>;
	sapiGetAssetTradeFee: (params:{}, context?:{}) => Promise<any>;
	sapiGetAssetLedgerTransferCloudMiningQueryByPage: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginLoan: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginRepay: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginAccount: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginTransfer: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginInterestHistory: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginForceLiquidationRec: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginOrder: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginOpenOrders: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginAllOrders: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginMyTrades: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginMaxBorrowable: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginMaxTransferable: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginTradeCoeff: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginIsolatedTransfer: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginIsolatedAccount: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginIsolatedPair: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginIsolatedAllPairs: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginIsolatedAccountLimit: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginInterestRateHistory: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginOrderList: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginAllOrderList: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginOpenOrderList: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginCrossMarginData: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginIsolatedMarginData: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginIsolatedMarginTier: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginRateLimitOrder: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginDribblet: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginCrossMarginCollateralRatio: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginExchangeSmallLiability: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginExchangeSmallLiabilityHistory: (params:{}, context?:{}) => Promise<any>;
	sapiGetMarginNextHourlyInterestRate: (params:{}, context?:{}) => Promise<any>;
	sapiGetLoanIncome: (params:{}, context?:{}) => Promise<any>;
	sapiGetLoanOngoingOrders: (params:{}, context?:{}) => Promise<any>;
	sapiGetLoanLtvAdjustmentHistory: (params:{}, context?:{}) => Promise<any>;
	sapiGetLoanBorrowHistory: (params:{}, context?:{}) => Promise<any>;
	sapiGetLoanRepayHistory: (params:{}, context?:{}) => Promise<any>;
	sapiGetLoanLoanableData: (params:{}, context?:{}) => Promise<any>;
	sapiGetLoanCollateralData: (params:{}, context?:{}) => Promise<any>;
	sapiGetLoanRepayCollateralRate: (params:{}, context?:{}) => Promise<any>;
	sapiGetLoanVipOngoingOrders: (params:{}, context?:{}) => Promise<any>;
	sapiGetLoanVipRepayHistory: (params:{}, context?:{}) => Promise<any>;
	sapiGetLoanVipCollateralAccount: (params:{}, context?:{}) => Promise<any>;
	sapiGetFiatOrders: (params:{}, context?:{}) => Promise<any>;
	sapiGetFiatPayments: (params:{}, context?:{}) => Promise<any>;
	sapiGetFuturesTransfer: (params:{}, context?:{}) => Promise<any>;
	sapiGetFuturesLoanBorrowHistory: (params:{}, context?:{}) => Promise<any>;
	sapiGetFuturesLoanRepayHistory: (params:{}, context?:{}) => Promise<any>;
	sapiGetFuturesLoanWallet: (params:{}, context?:{}) => Promise<any>;
	sapiGetFuturesLoanAdjustCollateralHistory: (params:{}, context?:{}) => Promise<any>;
	sapiGetFuturesLoanLiquidationHistory: (params:{}, context?:{}) => Promise<any>;
	sapiGetRebateTaxQuery: (params:{}, context?:{}) => Promise<any>;
	sapiGetCapitalConfigGetall: (params:{}, context?:{}) => Promise<any>;
	sapiGetCapitalDepositAddress: (params:{}, context?:{}) => Promise<any>;
	sapiGetCapitalDepositHisrec: (params:{}, context?:{}) => Promise<any>;
	sapiGetCapitalDepositSubAddress: (params:{}, context?:{}) => Promise<any>;
	sapiGetCapitalDepositSubHisrec: (params:{}, context?:{}) => Promise<any>;
	sapiGetCapitalWithdrawHistory: (params:{}, context?:{}) => Promise<any>;
	sapiGetCapitalContractConvertibleCoins: (params:{}, context?:{}) => Promise<any>;
	sapiGetConvertTradeFlow: (params:{}, context?:{}) => Promise<any>;
	sapiGetConvertExchangeInfo: (params:{}, context?:{}) => Promise<any>;
	sapiGetConvertAssetInfo: (params:{}, context?:{}) => Promise<any>;
	sapiGetConvertOrderStatus: (params:{}, context?:{}) => Promise<any>;
	sapiGetAccountStatus: (params:{}, context?:{}) => Promise<any>;
	sapiGetAccountApiTradingStatus: (params:{}, context?:{}) => Promise<any>;
	sapiGetAccountApiRestrictionsIpRestriction: (params:{}, context?:{}) => Promise<any>;
	sapiGetBnbBurn: (params:{}, context?:{}) => Promise<any>;
	sapiGetSubAccountFuturesAccount: (params:{}, context?:{}) => Promise<any>;
	sapiGetSubAccountFuturesAccountSummary: (params:{}, context?:{}) => Promise<any>;
	sapiGetSubAccountFuturesPositionRisk: (params:{}, context?:{}) => Promise<any>;
	sapiGetSubAccountFuturesInternalTransfer: (params:{}, context?:{}) => Promise<any>;
	sapiGetSubAccountList: (params:{}, context?:{}) => Promise<any>;
	sapiGetSubAccountMarginAccount: (params:{}, context?:{}) => Promise<any>;
	sapiGetSubAccountMarginAccountSummary: (params:{}, context?:{}) => Promise<any>;
	sapiGetSubAccountSpotSummary: (params:{}, context?:{}) => Promise<any>;
	sapiGetSubAccountStatus: (params:{}, context?:{}) => Promise<any>;
	sapiGetSubAccountSubTransferHistory: (params:{}, context?:{}) => Promise<any>;
	sapiGetSubAccountTransferSubUserHistory: (params:{}, context?:{}) => Promise<any>;
	sapiGetSubAccountUniversalTransfer: (params:{}, context?:{}) => Promise<any>;
	sapiGetSubAccountApiRestrictionsIpRestrictionThirdPartyList: (params:{}, context?:{}) => Promise<any>;
	sapiGetManagedSubaccountAsset: (params:{}, context?:{}) => Promise<any>;
	sapiGetManagedSubaccountAccountSnapshot: (params:{}, context?:{}) => Promise<any>;
	sapiGetManagedSubaccountQueryTransLogForInvestor: (params:{}, context?:{}) => Promise<any>;
	sapiGetManagedSubaccountQueryTransLogForTradeParent: (params:{}, context?:{}) => Promise<any>;
	sapiGetManagedSubaccountFetchFutureAsset: (params:{}, context?:{}) => Promise<any>;
	sapiGetManagedSubaccountMarginAsset: (params:{}, context?:{}) => Promise<any>;
	sapiGetLendingDailyProductList: (params:{}, context?:{}) => Promise<any>;
	sapiGetLendingDailyUserLeftQuota: (params:{}, context?:{}) => Promise<any>;
	sapiGetLendingDailyUserRedemptionQuota: (params:{}, context?:{}) => Promise<any>;
	sapiGetLendingDailyTokenPosition: (params:{}, context?:{}) => Promise<any>;
	sapiGetLendingUnionAccount: (params:{}, context?:{}) => Promise<any>;
	sapiGetLendingUnionPurchaseRecord: (params:{}, context?:{}) => Promise<any>;
	sapiGetLendingUnionRedemptionRecord: (params:{}, context?:{}) => Promise<any>;
	sapiGetLendingUnionInterestHistory: (params:{}, context?:{}) => Promise<any>;
	sapiGetLendingProjectList: (params:{}, context?:{}) => Promise<any>;
	sapiGetLendingProjectPositionList: (params:{}, context?:{}) => Promise<any>;
	sapiGetMiningPubAlgoList: (params:{}, context?:{}) => Promise<any>;
	sapiGetMiningPubCoinList: (params:{}, context?:{}) => Promise<any>;
	sapiGetMiningWorkerDetail: (params:{}, context?:{}) => Promise<any>;
	sapiGetMiningWorkerList: (params:{}, context?:{}) => Promise<any>;
	sapiGetMiningPaymentList: (params:{}, context?:{}) => Promise<any>;
	sapiGetMiningStatisticsUserStatus: (params:{}, context?:{}) => Promise<any>;
	sapiGetMiningStatisticsUserList: (params:{}, context?:{}) => Promise<any>;
	sapiGetMiningPaymentUid: (params:{}, context?:{}) => Promise<any>;
	sapiGetBswapPools: (params:{}, context?:{}) => Promise<any>;
	sapiGetBswapLiquidity: (params:{}, context?:{}) => Promise<any>;
	sapiGetBswapLiquidityOps: (params:{}, context?:{}) => Promise<any>;
	sapiGetBswapQuote: (params:{}, context?:{}) => Promise<any>;
	sapiGetBswapSwap: (params:{}, context?:{}) => Promise<any>;
	sapiGetBswapPoolConfigure: (params:{}, context?:{}) => Promise<any>;
	sapiGetBswapAddLiquidityPreview: (params:{}, context?:{}) => Promise<any>;
	sapiGetBswapRemoveLiquidityPreview: (params:{}, context?:{}) => Promise<any>;
	sapiGetBswapUnclaimedRewards: (params:{}, context?:{}) => Promise<any>;
	sapiGetBswapClaimedHistory: (params:{}, context?:{}) => Promise<any>;
	sapiGetBlvtTokenInfo: (params:{}, context?:{}) => Promise<any>;
	sapiGetBlvtSubscribeRecord: (params:{}, context?:{}) => Promise<any>;
	sapiGetBlvtRedeemRecord: (params:{}, context?:{}) => Promise<any>;
	sapiGetBlvtUserLimit: (params:{}, context?:{}) => Promise<any>;
	sapiGetApiReferralIfNewUser: (params:{}, context?:{}) => Promise<any>;
	sapiGetApiReferralCustomization: (params:{}, context?:{}) => Promise<any>;
	sapiGetApiReferralUserCustomization: (params:{}, context?:{}) => Promise<any>;
	sapiGetApiReferralRebateRecentRecord: (params:{}, context?:{}) => Promise<any>;
	sapiGetApiReferralRebateHistoricalRecord: (params:{}, context?:{}) => Promise<any>;
	sapiGetApiReferralKickbackRecentRecord: (params:{}, context?:{}) => Promise<any>;
	sapiGetApiReferralKickbackHistoricalRecord: (params:{}, context?:{}) => Promise<any>;
	sapiGetBrokerSubAccountApi: (params:{}, context?:{}) => Promise<any>;
	sapiGetBrokerSubAccount: (params:{}, context?:{}) => Promise<any>;
	sapiGetBrokerSubAccountApiCommissionFutures: (params:{}, context?:{}) => Promise<any>;
	sapiGetBrokerSubAccountApiCommissionCoinFutures: (params:{}, context?:{}) => Promise<any>;
	sapiGetBrokerInfo: (params:{}, context?:{}) => Promise<any>;
	sapiGetBrokerTransfer: (params:{}, context?:{}) => Promise<any>;
	sapiGetBrokerTransferFutures: (params:{}, context?:{}) => Promise<any>;
	sapiGetBrokerRebateRecentRecord: (params:{}, context?:{}) => Promise<any>;
	sapiGetBrokerRebateHistoricalRecord: (params:{}, context?:{}) => Promise<any>;
	sapiGetBrokerSubAccountBnbBurnStatus: (params:{}, context?:{}) => Promise<any>;
	sapiGetBrokerSubAccountDepositHist: (params:{}, context?:{}) => Promise<any>;
	sapiGetBrokerSubAccountSpotSummary: (params:{}, context?:{}) => Promise<any>;
	sapiGetBrokerSubAccountMarginSummary: (params:{}, context?:{}) => Promise<any>;
	sapiGetBrokerSubAccountFuturesSummary: (params:{}, context?:{}) => Promise<any>;
	sapiGetBrokerRebateFuturesRecentRecord: (params:{}, context?:{}) => Promise<any>;
	sapiGetBrokerSubAccountApiIpRestriction: (params:{}, context?:{}) => Promise<any>;
	sapiGetBrokerUniversalTransfer: (params:{}, context?:{}) => Promise<any>;
	sapiGetAccountApiRestrictions: (params:{}, context?:{}) => Promise<any>;
	sapiGetC2cOrderMatchListUserOrderHistory: (params:{}, context?:{}) => Promise<any>;
	sapiGetNftHistoryTransactions: (params:{}, context?:{}) => Promise<any>;
	sapiGetNftHistoryDeposit: (params:{}, context?:{}) => Promise<any>;
	sapiGetNftHistoryWithdraw: (params:{}, context?:{}) => Promise<any>;
	sapiGetNftUserGetAsset: (params:{}, context?:{}) => Promise<any>;
	sapiGetPayTransactions: (params:{}, context?:{}) => Promise<any>;
	sapiGetGiftcardVerify: (params:{}, context?:{}) => Promise<any>;
	sapiGetGiftcardCryptographyRsaPublicKey: (params:{}, context?:{}) => Promise<any>;
	sapiGetGiftcardBuyCodeTokenLimit: (params:{}, context?:{}) => Promise<any>;
	sapiGetAlgoFuturesOpenOrders: (params:{}, context?:{}) => Promise<any>;
	sapiGetAlgoFuturesHistoricalOrders: (params:{}, context?:{}) => Promise<any>;
	sapiGetAlgoFuturesSubOrders: (params:{}, context?:{}) => Promise<any>;
	sapiGetPortfolioAccount: (params:{}, context?:{}) => Promise<any>;
	sapiGetPortfolioCollateralRate: (params:{}, context?:{}) => Promise<any>;
	sapiGetPortfolioPmLoan: (params:{}, context?:{}) => Promise<any>;
	sapiGetPortfolioInterestHistory: (params:{}, context?:{}) => Promise<any>;
	sapiGetPortfolioInterestRate: (params:{}, context?:{}) => Promise<any>;
	sapiGetStakingProductList: (params:{}, context?:{}) => Promise<any>;
	sapiGetStakingPosition: (params:{}, context?:{}) => Promise<any>;
	sapiGetStakingStakingRecord: (params:{}, context?:{}) => Promise<any>;
	sapiGetStakingPersonalLeftQuota: (params:{}, context?:{}) => Promise<any>;
	sapiPostAssetDust: (params:{}, context?:{}) => Promise<any>;
	sapiPostAssetDustBtc: (params:{}, context?:{}) => Promise<any>;
	sapiPostAssetTransfer: (params:{}, context?:{}) => Promise<any>;
	sapiPostAssetGetFundingAsset: (params:{}, context?:{}) => Promise<any>;
	sapiPostAssetConvertTransfer: (params:{}, context?:{}) => Promise<any>;
	sapiPostAssetConvertTransferQueryByPage: (params:{}, context?:{}) => Promise<any>;
	sapiPostAccountDisableFastWithdrawSwitch: (params:{}, context?:{}) => Promise<any>;
	sapiPostAccountEnableFastWithdrawSwitch: (params:{}, context?:{}) => Promise<any>;
	sapiPostCapitalWithdrawApply: (params:{}, context?:{}) => Promise<any>;
	sapiPostCapitalContractConvertibleCoins: (params:{}, context?:{}) => Promise<any>;
	sapiPostMarginTransfer: (params:{}, context?:{}) => Promise<any>;
	sapiPostMarginLoan: (params:{}, context?:{}) => Promise<any>;
	sapiPostMarginRepay: (params:{}, context?:{}) => Promise<any>;
	sapiPostMarginOrder: (params:{}, context?:{}) => Promise<any>;
	sapiPostMarginOrderOco: (params:{}, context?:{}) => Promise<any>;
	sapiPostMarginExchangeSmallLiability: (params:{}, context?:{}) => Promise<any>;
	sapiPostMarginIsolatedTransfer: (params:{}, context?:{}) => Promise<any>;
	sapiPostMarginIsolatedAccount: (params:{}, context?:{}) => Promise<any>;
	sapiPostBnbBurn: (params:{}, context?:{}) => Promise<any>;
	sapiPostSubAccountVirtualSubAccount: (params:{}, context?:{}) => Promise<any>;
	sapiPostSubAccountMarginTransfer: (params:{}, context?:{}) => Promise<any>;
	sapiPostSubAccountMarginEnable: (params:{}, context?:{}) => Promise<any>;
	sapiPostSubAccountFuturesEnable: (params:{}, context?:{}) => Promise<any>;
	sapiPostSubAccountFuturesTransfer: (params:{}, context?:{}) => Promise<any>;
	sapiPostSubAccountFuturesInternalTransfer: (params:{}, context?:{}) => Promise<any>;
	sapiPostSubAccountTransferSubToSub: (params:{}, context?:{}) => Promise<any>;
	sapiPostSubAccountTransferSubToMaster: (params:{}, context?:{}) => Promise<any>;
	sapiPostSubAccountUniversalTransfer: (params:{}, context?:{}) => Promise<any>;
	sapiPostManagedSubaccountDeposit: (params:{}, context?:{}) => Promise<any>;
	sapiPostManagedSubaccountWithdraw: (params:{}, context?:{}) => Promise<any>;
	sapiPostUserDataStream: (params:{}, context?:{}) => Promise<any>;
	sapiPostUserDataStreamIsolated: (params:{}, context?:{}) => Promise<any>;
	sapiPostFuturesTransfer: (params:{}, context?:{}) => Promise<any>;
	sapiPostLendingCustomizedFixedPurchase: (params:{}, context?:{}) => Promise<any>;
	sapiPostLendingDailyPurchase: (params:{}, context?:{}) => Promise<any>;
	sapiPostLendingDailyRedeem: (params:{}, context?:{}) => Promise<any>;
	sapiPostBswapLiquidityAdd: (params:{}, context?:{}) => Promise<any>;
	sapiPostBswapLiquidityRemove: (params:{}, context?:{}) => Promise<any>;
	sapiPostBswapSwap: (params:{}, context?:{}) => Promise<any>;
	sapiPostBswapClaimRewards: (params:{}, context?:{}) => Promise<any>;
	sapiPostBlvtSubscribe: (params:{}, context?:{}) => Promise<any>;
	sapiPostBlvtRedeem: (params:{}, context?:{}) => Promise<any>;
	sapiPostApiReferralCustomization: (params:{}, context?:{}) => Promise<any>;
	sapiPostApiReferralUserCustomization: (params:{}, context?:{}) => Promise<any>;
	sapiPostApiReferralRebateHistoricalRecord: (params:{}, context?:{}) => Promise<any>;
	sapiPostApiReferralKickbackHistoricalRecord: (params:{}, context?:{}) => Promise<any>;
	sapiPostBrokerSubAccount: (params:{}, context?:{}) => Promise<any>;
	sapiPostBrokerSubAccountMargin: (params:{}, context?:{}) => Promise<any>;
	sapiPostBrokerSubAccountFutures: (params:{}, context?:{}) => Promise<any>;
	sapiPostBrokerSubAccountApi: (params:{}, context?:{}) => Promise<any>;
	sapiPostBrokerSubAccountApiPermission: (params:{}, context?:{}) => Promise<any>;
	sapiPostBrokerSubAccountApiCommission: (params:{}, context?:{}) => Promise<any>;
	sapiPostBrokerSubAccountApiCommissionFutures: (params:{}, context?:{}) => Promise<any>;
	sapiPostBrokerSubAccountApiCommissionCoinFutures: (params:{}, context?:{}) => Promise<any>;
	sapiPostBrokerTransfer: (params:{}, context?:{}) => Promise<any>;
	sapiPostBrokerTransferFutures: (params:{}, context?:{}) => Promise<any>;
	sapiPostBrokerRebateHistoricalRecord: (params:{}, context?:{}) => Promise<any>;
	sapiPostBrokerSubAccountBnbBurnSpot: (params:{}, context?:{}) => Promise<any>;
	sapiPostBrokerSubAccountBnbBurnMarginInterest: (params:{}, context?:{}) => Promise<any>;
	sapiPostBrokerSubAccountBlvt: (params:{}, context?:{}) => Promise<any>;
	sapiPostBrokerSubAccountApiIpRestriction: (params:{}, context?:{}) => Promise<any>;
	sapiPostBrokerSubAccountApiIpRestrictionIpList: (params:{}, context?:{}) => Promise<any>;
	sapiPostBrokerUniversalTransfer: (params:{}, context?:{}) => Promise<any>;
	sapiPostBrokerSubAccountApiPermissionUniversalTransfer: (params:{}, context?:{}) => Promise<any>;
	sapiPostBrokerSubAccountApiPermissionVanillaOptions: (params:{}, context?:{}) => Promise<any>;
	sapiPostGiftcardCreateCode: (params:{}, context?:{}) => Promise<any>;
	sapiPostGiftcardRedeemCode: (params:{}, context?:{}) => Promise<any>;
	sapiPostGiftcardBuyCode: (params:{}, context?:{}) => Promise<any>;
	sapiPostAlgoFuturesNewOrderVp: (params:{}, context?:{}) => Promise<any>;
	sapiPostAlgoFuturesNewOrderTwap: (params:{}, context?:{}) => Promise<any>;
	sapiPostStakingPurchase: (params:{}, context?:{}) => Promise<any>;
	sapiPostStakingRedeem: (params:{}, context?:{}) => Promise<any>;
	sapiPostStakingSetAutoStaking: (params:{}, context?:{}) => Promise<any>;
	sapiPostPortfolioRepay: (params:{}, context?:{}) => Promise<any>;
	sapiPostLoanBorrow: (params:{}, context?:{}) => Promise<any>;
	sapiPostLoanRepay: (params:{}, context?:{}) => Promise<any>;
	sapiPostLoanAdjustLtv: (params:{}, context?:{}) => Promise<any>;
	sapiPostLoanCustomizeMarginCall: (params:{}, context?:{}) => Promise<any>;
	sapiPostLoanVipRepay: (params:{}, context?:{}) => Promise<any>;
	sapiPostConvertGetQuote: (params:{}, context?:{}) => Promise<any>;
	sapiPostConvertAcceptQuote: (params:{}, context?:{}) => Promise<any>;
	sapiPutUserDataStream: (params:{}, context?:{}) => Promise<any>;
	sapiPutUserDataStreamIsolated: (params:{}, context?:{}) => Promise<any>;
	sapiDeleteMarginOpenOrders: (params:{}, context?:{}) => Promise<any>;
	sapiDeleteMarginOrder: (params:{}, context?:{}) => Promise<any>;
	sapiDeleteMarginOrderList: (params:{}, context?:{}) => Promise<any>;
	sapiDeleteMarginIsolatedAccount: (params:{}, context?:{}) => Promise<any>;
	sapiDeleteUserDataStream: (params:{}, context?:{}) => Promise<any>;
	sapiDeleteUserDataStreamIsolated: (params:{}, context?:{}) => Promise<any>;
	sapiDeleteBrokerSubAccountApi: (params:{}, context?:{}) => Promise<any>;
	sapiDeleteBrokerSubAccountApiIpRestrictionIpList: (params:{}, context?:{}) => Promise<any>;
	sapiDeleteAlgoFuturesOrder: (params:{}, context?:{}) => Promise<any>;
	sapiV2GetSubAccountFuturesAccount: (params:{}, context?:{}) => Promise<any>;
	sapiV2GetSubAccountFuturesPositionRisk: (params:{}, context?:{}) => Promise<any>;
	sapiV3GetSubAccountAssets: (params:{}, context?:{}) => Promise<any>;
	sapiV3PostAssetGetUserAsset: (params:{}, context?:{}) => Promise<any>;
	sapiV4GetSubAccountAssets: (params:{}, context?:{}) => Promise<any>;
	wapiPostWithdraw: (params:{}, context?:{}) => Promise<any>;
	wapiPostSubAccountTransfer: (params:{}, context?:{}) => Promise<any>;
	wapiGetDepositHistory: (params:{}, context?:{}) => Promise<any>;
	wapiGetWithdrawHistory: (params:{}, context?:{}) => Promise<any>;
	wapiGetDepositAddress: (params:{}, context?:{}) => Promise<any>;
	wapiGetAccountStatus: (params:{}, context?:{}) => Promise<any>;
	wapiGetSystemStatus: (params:{}, context?:{}) => Promise<any>;
	wapiGetApiTradingStatus: (params:{}, context?:{}) => Promise<any>;
	wapiGetUserAssetDribbletLog: (params:{}, context?:{}) => Promise<any>;
	wapiGetTradeFee: (params:{}, context?:{}) => Promise<any>;
	wapiGetAssetDetail: (params:{}, context?:{}) => Promise<any>;
	wapiGetSubAccountList: (params:{}, context?:{}) => Promise<any>;
	wapiGetSubAccountTransferHistory: (params:{}, context?:{}) => Promise<any>;
	wapiGetSubAccountAssets: (params:{}, context?:{}) => Promise<any>;
	dapiPublicGetPing: (params:{}, context?:{}) => Promise<any>;
	dapiPublicGetTime: (params:{}, context?:{}) => Promise<any>;
	dapiPublicGetExchangeInfo: (params:{}, context?:{}) => Promise<any>;
	dapiPublicGetDepth: (params:{}, context?:{}) => Promise<any>;
	dapiPublicGetTrades: (params:{}, context?:{}) => Promise<any>;
	dapiPublicGetHistoricalTrades: (params:{}, context?:{}) => Promise<any>;
	dapiPublicGetAggTrades: (params:{}, context?:{}) => Promise<any>;
	dapiPublicGetPremiumIndex: (params:{}, context?:{}) => Promise<any>;
	dapiPublicGetFundingRate: (params:{}, context?:{}) => Promise<any>;
	dapiPublicGetKlines: (params:{}, context?:{}) => Promise<any>;
	dapiPublicGetContinuousKlines: (params:{}, context?:{}) => Promise<any>;
	dapiPublicGetIndexPriceKlines: (params:{}, context?:{}) => Promise<any>;
	dapiPublicGetMarkPriceKlines: (params:{}, context?:{}) => Promise<any>;
	dapiPublicGetTicker24hr: (params:{}, context?:{}) => Promise<any>;
	dapiPublicGetTickerPrice: (params:{}, context?:{}) => Promise<any>;
	dapiPublicGetTickerBookTicker: (params:{}, context?:{}) => Promise<any>;
	dapiPublicGetOpenInterest: (params:{}, context?:{}) => Promise<any>;
	dapiPublicGetPmExchangeInfo: (params:{}, context?:{}) => Promise<any>;
	dapiDataGetOpenInterestHist: (params:{}, context?:{}) => Promise<any>;
	dapiDataGetTopLongShortAccountRatio: (params:{}, context?:{}) => Promise<any>;
	dapiDataGetTopLongShortPositionRatio: (params:{}, context?:{}) => Promise<any>;
	dapiDataGetGlobalLongShortAccountRatio: (params:{}, context?:{}) => Promise<any>;
	dapiDataGetTakerBuySellVol: (params:{}, context?:{}) => Promise<any>;
	dapiDataGetBasis: (params:{}, context?:{}) => Promise<any>;
	dapiPrivateGetPositionSideDual: (params:{}, context?:{}) => Promise<any>;
	dapiPrivateGetOrder: (params:{}, context?:{}) => Promise<any>;
	dapiPrivateGetOpenOrder: (params:{}, context?:{}) => Promise<any>;
	dapiPrivateGetOpenOrders: (params:{}, context?:{}) => Promise<any>;
	dapiPrivateGetAllOrders: (params:{}, context?:{}) => Promise<any>;
	dapiPrivateGetBalance: (params:{}, context?:{}) => Promise<any>;
	dapiPrivateGetAccount: (params:{}, context?:{}) => Promise<any>;
	dapiPrivateGetPositionMarginHistory: (params:{}, context?:{}) => Promise<any>;
	dapiPrivateGetPositionRisk: (params:{}, context?:{}) => Promise<any>;
	dapiPrivateGetUserTrades: (params:{}, context?:{}) => Promise<any>;
	dapiPrivateGetIncome: (params:{}, context?:{}) => Promise<any>;
	dapiPrivateGetLeverageBracket: (params:{}, context?:{}) => Promise<any>;
	dapiPrivateGetForceOrders: (params:{}, context?:{}) => Promise<any>;
	dapiPrivateGetAdlQuantile: (params:{}, context?:{}) => Promise<any>;
	dapiPrivateGetOrderAmendment: (params:{}, context?:{}) => Promise<any>;
	dapiPrivateGetPmAccountInfo: (params:{}, context?:{}) => Promise<any>;
	dapiPrivatePostPositionSideDual: (params:{}, context?:{}) => Promise<any>;
	dapiPrivatePostOrder: (params:{}, context?:{}) => Promise<any>;
	dapiPrivatePostBatchOrders: (params:{}, context?:{}) => Promise<any>;
	dapiPrivatePostCountdownCancelAll: (params:{}, context?:{}) => Promise<any>;
	dapiPrivatePostLeverage: (params:{}, context?:{}) => Promise<any>;
	dapiPrivatePostMarginType: (params:{}, context?:{}) => Promise<any>;
	dapiPrivatePostPositionMargin: (params:{}, context?:{}) => Promise<any>;
	dapiPrivatePostListenKey: (params:{}, context?:{}) => Promise<any>;
	dapiPrivatePutListenKey: (params:{}, context?:{}) => Promise<any>;
	dapiPrivatePutOrder: (params:{}, context?:{}) => Promise<any>;
	dapiPrivatePutBatchOrders: (params:{}, context?:{}) => Promise<any>;
	dapiPrivateDeleteOrder: (params:{}, context?:{}) => Promise<any>;
	dapiPrivateDeleteAllOpenOrders: (params:{}, context?:{}) => Promise<any>;
	dapiPrivateDeleteBatchOrders: (params:{}, context?:{}) => Promise<any>;
	dapiPrivateDeleteListenKey: (params:{}, context?:{}) => Promise<any>;
	dapiPrivateV2GetLeverageBracket: (params:{}, context?:{}) => Promise<any>;
	fapiPublicGetPing: (params:{}, context?:{}) => Promise<any>;
	fapiPublicGetTime: (params:{}, context?:{}) => Promise<any>;
	fapiPublicGetExchangeInfo: (params:{}, context?:{}) => Promise<any>;
	fapiPublicGetDepth: (params:{}, context?:{}) => Promise<any>;
	fapiPublicGetTrades: (params:{}, context?:{}) => Promise<any>;
	fapiPublicGetHistoricalTrades: (params:{}, context?:{}) => Promise<any>;
	fapiPublicGetAggTrades: (params:{}, context?:{}) => Promise<any>;
	fapiPublicGetKlines: (params:{}, context?:{}) => Promise<any>;
	fapiPublicGetContinuousKlines: (params:{}, context?:{}) => Promise<any>;
	fapiPublicGetMarkPriceKlines: (params:{}, context?:{}) => Promise<any>;
	fapiPublicGetIndexPriceKlines: (params:{}, context?:{}) => Promise<any>;
	fapiPublicGetFundingRate: (params:{}, context?:{}) => Promise<any>;
	fapiPublicGetPremiumIndex: (params:{}, context?:{}) => Promise<any>;
	fapiPublicGetTicker24hr: (params:{}, context?:{}) => Promise<any>;
	fapiPublicGetTickerPrice: (params:{}, context?:{}) => Promise<any>;
	fapiPublicGetTickerBookTicker: (params:{}, context?:{}) => Promise<any>;
	fapiPublicGetOpenInterest: (params:{}, context?:{}) => Promise<any>;
	fapiPublicGetIndexInfo: (params:{}, context?:{}) => Promise<any>;
	fapiPublicGetApiTradingStatus: (params:{}, context?:{}) => Promise<any>;
	fapiPublicGetLvtKlines: (params:{}, context?:{}) => Promise<any>;
	fapiPublicGetPmExchangeInfo: (params:{}, context?:{}) => Promise<any>;
	fapiDataGetOpenInterestHist: (params:{}, context?:{}) => Promise<any>;
	fapiDataGetTopLongShortAccountRatio: (params:{}, context?:{}) => Promise<any>;
	fapiDataGetTopLongShortPositionRatio: (params:{}, context?:{}) => Promise<any>;
	fapiDataGetGlobalLongShortAccountRatio: (params:{}, context?:{}) => Promise<any>;
	fapiDataGetTakerlongshortRatio: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateGetForceOrders: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateGetAllOrders: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateGetOpenOrder: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateGetOpenOrders: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateGetOrder: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateGetAccount: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateGetBalance: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateGetLeverageBracket: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateGetPositionMarginHistory: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateGetPositionRisk: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateGetPositionSideDual: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateGetUserTrades: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateGetIncome: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateGetCommissionRate: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateGetApiTradingStatus: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateGetMultiAssetsMargin: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateGetApiReferralIfNewUser: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateGetApiReferralCustomization: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateGetApiReferralUserCustomization: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateGetApiReferralTraderNum: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateGetApiReferralOverview: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateGetApiReferralTradeVol: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateGetApiReferralRebateVol: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateGetApiReferralTraderSummary: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateGetAdlQuantile: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateGetPmAccountInfo: (params:{}, context?:{}) => Promise<any>;
	fapiPrivatePostBatchOrders: (params:{}, context?:{}) => Promise<any>;
	fapiPrivatePostPositionSideDual: (params:{}, context?:{}) => Promise<any>;
	fapiPrivatePostPositionMargin: (params:{}, context?:{}) => Promise<any>;
	fapiPrivatePostMarginType: (params:{}, context?:{}) => Promise<any>;
	fapiPrivatePostOrder: (params:{}, context?:{}) => Promise<any>;
	fapiPrivatePostLeverage: (params:{}, context?:{}) => Promise<any>;
	fapiPrivatePostListenKey: (params:{}, context?:{}) => Promise<any>;
	fapiPrivatePostCountdownCancelAll: (params:{}, context?:{}) => Promise<any>;
	fapiPrivatePostMultiAssetsMargin: (params:{}, context?:{}) => Promise<any>;
	fapiPrivatePostApiReferralCustomization: (params:{}, context?:{}) => Promise<any>;
	fapiPrivatePostApiReferralUserCustomization: (params:{}, context?:{}) => Promise<any>;
	fapiPrivatePutListenKey: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateDeleteBatchOrders: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateDeleteOrder: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateDeleteAllOpenOrders: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateDeleteListenKey: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateV2GetAccount: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateV2GetBalance: (params:{}, context?:{}) => Promise<any>;
	fapiPrivateV2GetPositionRisk: (params:{}, context?:{}) => Promise<any>;
	eapiPublicGetPing: (params:{}, context?:{}) => Promise<any>;
	eapiPublicGetTime: (params:{}, context?:{}) => Promise<any>;
	eapiPublicGetExchangeInfo: (params:{}, context?:{}) => Promise<any>;
	eapiPublicGetIndex: (params:{}, context?:{}) => Promise<any>;
	eapiPublicGetTicker: (params:{}, context?:{}) => Promise<any>;
	eapiPublicGetMark: (params:{}, context?:{}) => Promise<any>;
	eapiPublicGetDepth: (params:{}, context?:{}) => Promise<any>;
	eapiPublicGetKlines: (params:{}, context?:{}) => Promise<any>;
	eapiPublicGetTrades: (params:{}, context?:{}) => Promise<any>;
	eapiPublicGetHistoricalTrades: (params:{}, context?:{}) => Promise<any>;
	eapiPublicGetExerciseHistory: (params:{}, context?:{}) => Promise<any>;
	eapiPublicGetOpenInterest: (params:{}, context?:{}) => Promise<any>;
	eapiPrivateGetAccount: (params:{}, context?:{}) => Promise<any>;
	eapiPrivateGetPosition: (params:{}, context?:{}) => Promise<any>;
	eapiPrivateGetOpenOrders: (params:{}, context?:{}) => Promise<any>;
	eapiPrivateGetHistoryOrders: (params:{}, context?:{}) => Promise<any>;
	eapiPrivateGetUserTrades: (params:{}, context?:{}) => Promise<any>;
	eapiPrivateGetExerciseRecord: (params:{}, context?:{}) => Promise<any>;
	eapiPrivateGetBill: (params:{}, context?:{}) => Promise<any>;
	eapiPrivateGetMarginAccount: (params:{}, context?:{}) => Promise<any>;
	eapiPrivateGetMmp: (params:{}, context?:{}) => Promise<any>;
	eapiPrivateGetCountdownCancelAll: (params:{}, context?:{}) => Promise<any>;
	eapiPrivateGetOrder: (params:{}, context?:{}) => Promise<any>;
	eapiPrivatePostOrder: (params:{}, context?:{}) => Promise<any>;
	eapiPrivatePostBatchOrders: (params:{}, context?:{}) => Promise<any>;
	eapiPrivatePostListenKey: (params:{}, context?:{}) => Promise<any>;
	eapiPrivatePostMmpSet: (params:{}, context?:{}) => Promise<any>;
	eapiPrivatePostMmpReset: (params:{}, context?:{}) => Promise<any>;
	eapiPrivatePostCountdownCancelAll: (params:{}, context?:{}) => Promise<any>;
	eapiPrivatePostCountdownCancelAllHeartBeat: (params:{}, context?:{}) => Promise<any>;
	eapiPrivatePutListenKey: (params:{}, context?:{}) => Promise<any>;
	eapiPrivateDeleteOrder: (params:{}, context?:{}) => Promise<any>;
	eapiPrivateDeleteBatchOrders: (params:{}, context?:{}) => Promise<any>;
	eapiPrivateDeleteAllOpenOrders: (params:{}, context?:{}) => Promise<any>;
	eapiPrivateDeleteAllOpenOrdersByUnderlying: (params:{}, context?:{}) => Promise<any>;
	eapiPrivateDeleteListenKey: (params:{}, context?:{}) => Promise<any>;
	publicGetPing: (params:{}, context?:{}) => Promise<any>;
	publicGetTime: (params:{}, context?:{}) => Promise<any>;
	publicGetDepth: (params:{}, context?:{}) => Promise<any>;
	publicGetTrades: (params:{}, context?:{}) => Promise<any>;
	publicGetAggTrades: (params:{}, context?:{}) => Promise<any>;
	publicGetHistoricalTrades: (params:{}, context?:{}) => Promise<any>;
	publicGetKlines: (params:{}, context?:{}) => Promise<any>;
	publicGetTicker24hr: (params:{}, context?:{}) => Promise<any>;
	publicGetTickerPrice: (params:{}, context?:{}) => Promise<any>;
	publicGetTickerBookTicker: (params:{}, context?:{}) => Promise<any>;
	publicGetExchangeInfo: (params:{}, context?:{}) => Promise<any>;
	publicPutUserDataStream: (params:{}, context?:{}) => Promise<any>;
	publicPostUserDataStream: (params:{}, context?:{}) => Promise<any>;
	publicDeleteUserDataStream: (params:{}, context?:{}) => Promise<any>;
	privateGetAllOrderList: (params:{}, context?:{}) => Promise<any>;
	privateGetOpenOrderList: (params:{}, context?:{}) => Promise<any>;
	privateGetOrderList: (params:{}, context?:{}) => Promise<any>;
	privateGetOrder: (params:{}, context?:{}) => Promise<any>;
	privateGetOpenOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetAllOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetAccount: (params:{}, context?:{}) => Promise<any>;
	privateGetMyTrades: (params:{}, context?:{}) => Promise<any>;
	privateGetRateLimitOrder: (params:{}, context?:{}) => Promise<any>;
	privateGetMyPreventedMatches: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderOco: (params:{}, context?:{}) => Promise<any>;
	privatePostOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderCancelReplace: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderTest: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOpenOrders: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrderList: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrder: (params:{}, context?:{}) => Promise<any>;
}