import {bitcoincom as Type} from 'ccxt';
export interface bitcoincomRestApiType extends Type {
	publicGetCurrency: (params:{}, context?:{}) => Promise<any>;
	publicGetCurrencyCurrency: (params:{}, context?:{}) => Promise<any>;
	publicGetSymbol: (params:{}, context?:{}) => Promise<any>;
	publicGetSymbolSymbol: (params:{}, context?:{}) => Promise<any>;
	publicGetTicker: (params:{}, context?:{}) => Promise<any>;
	publicGetTickerSymbol: (params:{}, context?:{}) => Promise<any>;
	publicGetTrades: (params:{}, context?:{}) => Promise<any>;
	publicGetTradesSymbol: (params:{}, context?:{}) => Promise<any>;
	publicGetOrderbook: (params:{}, context?:{}) => Promise<any>;
	publicGetOrderbookSymbol: (params:{}, context?:{}) => Promise<any>;
	publicGetCandles: (params:{}, context?:{}) => Promise<any>;
	publicGetCandlesSymbol: (params:{}, context?:{}) => Promise<any>;
	privateGetTradingBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetOrder: (params:{}, context?:{}) => Promise<any>;
	privateGetOrderClientOrderId: (params:{}, context?:{}) => Promise<any>;
	privateGetTradingFeeAll: (params:{}, context?:{}) => Promise<any>;
	privateGetTradingFeeSymbol: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginAccount: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginAccountSymbol: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginPosition: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginPositionSymbol: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginOrder: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginOrderClientOrderId: (params:{}, context?:{}) => Promise<any>;
	privateGetHistoryOrder: (params:{}, context?:{}) => Promise<any>;
	privateGetHistoryTrades: (params:{}, context?:{}) => Promise<any>;
	privateGetHistoryOrderOrderIdTrades: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountCryptoAddressCurrency: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountCryptoAddressesCurrency: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountCryptoUsedAddressesCurrency: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountCryptoEstimateWithdraw: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountCryptoIsMineAddress: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountTransactions: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountTransactionsId: (params:{}, context?:{}) => Promise<any>;
	privateGetSubAcc: (params:{}, context?:{}) => Promise<any>;
	privateGetSubAccAcl: (params:{}, context?:{}) => Promise<any>;
	privateGetSubAccBalanceSubAccountUserID: (params:{}, context?:{}) => Promise<any>;
	privateGetSubAccDepositAddressSubAccountUserIdCurrency: (params:{}, context?:{}) => Promise<any>;
	privatePostOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountCryptoAddressCurrency: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountCryptoWithdraw: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountCryptoTransferConvert: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountTransferInternal: (params:{}, context?:{}) => Promise<any>;
	privatePostSubAccFreeze: (params:{}, context?:{}) => Promise<any>;
	privatePostSubAccActivate: (params:{}, context?:{}) => Promise<any>;
	privatePostSubAccTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePutOrderClientOrderId: (params:{}, context?:{}) => Promise<any>;
	privatePutMarginAccountSymbol: (params:{}, context?:{}) => Promise<any>;
	privatePutMarginOrderClientOrderId: (params:{}, context?:{}) => Promise<any>;
	privatePutAccountCryptoWithdrawId: (params:{}, context?:{}) => Promise<any>;
	privatePutSubAccAclSubAccountUserId: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrder: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrderClientOrderId: (params:{}, context?:{}) => Promise<any>;
	privateDeleteMarginAccount: (params:{}, context?:{}) => Promise<any>;
	privateDeleteMarginAccountSymbol: (params:{}, context?:{}) => Promise<any>;
	privateDeleteMarginPosition: (params:{}, context?:{}) => Promise<any>;
	privateDeleteMarginPositionSymbol: (params:{}, context?:{}) => Promise<any>;
	privateDeleteMarginOrder: (params:{}, context?:{}) => Promise<any>;
	privateDeleteMarginOrderClientOrderId: (params:{}, context?:{}) => Promise<any>;
	privateDeleteAccountCryptoWithdrawId: (params:{}, context?:{}) => Promise<any>;
	privatePatchOrderClientOrderId: (params:{}, context?:{}) => Promise<any>;
}