import {bitmart as Type} from 'ccxt';
export interface bitmartRestApiType extends Type {
	publicGetSystemTime: (params:{}, context?:{}) => Promise<any>;
	publicGetSystemService: (params:{}, context?:{}) => Promise<any>;
	publicGetSpotV1Currencies: (params:{}, context?:{}) => Promise<any>;
	publicGetSpotV1Symbols: (params:{}, context?:{}) => Promise<any>;
	publicGetSpotV1SymbolsDetails: (params:{}, context?:{}) => Promise<any>;
	publicGetSpotV1Ticker: (params:{}, context?:{}) => Promise<any>;
	publicGetSpotV2Ticker: (params:{}, context?:{}) => Promise<any>;
	publicGetSpotV1Steps: (params:{}, context?:{}) => Promise<any>;
	publicGetSpotV1SymbolsKline: (params:{}, context?:{}) => Promise<any>;
	publicGetSpotV1SymbolsBook: (params:{}, context?:{}) => Promise<any>;
	publicGetSpotV1SymbolsTrades: (params:{}, context?:{}) => Promise<any>;
	publicGetContractV1Tickers: (params:{}, context?:{}) => Promise<any>;
	publicGetContractPublicDetails: (params:{}, context?:{}) => Promise<any>;
	publicGetContractPublicDepth: (params:{}, context?:{}) => Promise<any>;
	publicGetContractPublicOpenInterest: (params:{}, context?:{}) => Promise<any>;
	publicGetContractPublicFundingRate: (params:{}, context?:{}) => Promise<any>;
	publicGetContractPublicKline: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountSubAccountV1TransferList: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountSubAccountV1TransferHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountSubAccountMainV1Wallet: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountSubAccountMainV1SubaccountList: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountV1Wallet: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountV1Currencies: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV1Wallet: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountV1DepositAddress: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountV1WithdrawCharge: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountV2DepositWithdrawHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountV1DepositWithdrawDetail: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV1OrderDetail: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV2Orders: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV1Trades: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV2Trades: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV3Orders: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV2OrderDetail: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV1MarginIsolatedBorrowRecord: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV1MarginIsolatedRepayRecord: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV1MarginIsolatedPairs: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV1MarginIsolatedAccount: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV1TradeFee: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV1UserFee: (params:{}, context?:{}) => Promise<any>;
	privateGetContractPrivateAssetsDetail: (params:{}, context?:{}) => Promise<any>;
	privateGetContractPrivateOrder: (params:{}, context?:{}) => Promise<any>;
	privateGetContractPrivateOrderHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetContractPrivatePosition: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountSubAccountMainV1SubToMain: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountSubAccountSubV1SubToMain: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountSubAccountMainV1MainToSub: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountSubAccountSubV1SubToSub: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountSubAccountMainV1SubToSub: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountV1WithdrawApply: (params:{}, context?:{}) => Promise<any>;
	privatePostSpotV1SubmitOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostSpotV1BatchOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostSpotV2CancelOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostSpotV1CancelOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostSpotV3CancelOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostSpotV2BatchOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostSpotV2SubmitOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostSpotV1MarginSubmitOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostSpotV1MarginIsolatedBorrow: (params:{}, context?:{}) => Promise<any>;
	privatePostSpotV1MarginIsolatedRepay: (params:{}, context?:{}) => Promise<any>;
	privatePostSpotV1MarginIsolatedTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostContractPrivateTrades: (params:{}, context?:{}) => Promise<any>;
}