import {bitstamp as Type} from 'ccxt';
export interface bitstampRestApiType extends Type {
	publicGetOhlcPair: (params:{}, context?:{}) => Promise<any>;
	publicGetOrderBookPair: (params:{}, context?:{}) => Promise<any>;
	publicGetTickerHourPair: (params:{}, context?:{}) => Promise<any>;
	publicGetTickerPair: (params:{}, context?:{}) => Promise<any>;
	publicGetTransactionsPair: (params:{}, context?:{}) => Promise<any>;
	publicGetTradingPairsInfo: (params:{}, context?:{}) => Promise<any>;
	privatePostBalance: (params:{}, context?:{}) => Promise<any>;
	privatePostBalancePair: (params:{}, context?:{}) => Promise<any>;
	privatePostBchWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostBchAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostUserTransactions: (params:{}, context?:{}) => Promise<any>;
	privatePostUserTransactionsPair: (params:{}, context?:{}) => Promise<any>;
	privatePostOpenOrdersAll: (params:{}, context?:{}) => Promise<any>;
	privatePostOpenOrdersPair: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderStatus: (params:{}, context?:{}) => Promise<any>;
	privatePostCancelOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostCancelAllOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostCancelAllOrdersPair: (params:{}, context?:{}) => Promise<any>;
	privatePostBuyPair: (params:{}, context?:{}) => Promise<any>;
	privatePostBuyMarketPair: (params:{}, context?:{}) => Promise<any>;
	privatePostBuyInstantPair: (params:{}, context?:{}) => Promise<any>;
	privatePostSellPair: (params:{}, context?:{}) => Promise<any>;
	privatePostSellMarketPair: (params:{}, context?:{}) => Promise<any>;
	privatePostSellInstantPair: (params:{}, context?:{}) => Promise<any>;
	privatePostTransferToMain: (params:{}, context?:{}) => Promise<any>;
	privatePostTransferFromMain: (params:{}, context?:{}) => Promise<any>;
	privatePostWithdrawalRequests: (params:{}, context?:{}) => Promise<any>;
	privatePostWithdrawalOpen: (params:{}, context?:{}) => Promise<any>;
	privatePostWithdrawalStatus: (params:{}, context?:{}) => Promise<any>;
	privatePostWithdrawalCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostLiquidationAddressNew: (params:{}, context?:{}) => Promise<any>;
	privatePostLiquidationAddressInfo: (params:{}, context?:{}) => Promise<any>;
	privatePostBtcUnconfirmed: (params:{}, context?:{}) => Promise<any>;
	privatePostWebsocketsToken: (params:{}, context?:{}) => Promise<any>;
	privatePostBtcWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostBtcAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostRippleWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostRippleAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostLtcWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostLtcAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostEthWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostEthAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostXrpWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostXrpAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostXlmWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostXlmAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostPaxWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostPaxAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostLinkWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostLinkAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostUsdcWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostUsdcAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostOmgWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostOmgAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostDaiWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostDaiAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostKncWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostKncAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostMkrWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostMkrAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostZrxWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostZrxAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostGusdWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostGusdAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostAaveWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostAaveAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostBatWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostBatAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostUmaWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostUmaAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostSnxWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostSnxAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostUniWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostUniAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostYfiWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostYfiAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostAudioWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostAudioAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostCrvWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostCrvAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostAlgoWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostAlgoAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostCompWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostCompAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostGrtWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostGrtAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostUsdtWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostUsdtAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostEurtWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostEurtAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostMaticWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostMaticAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostSushiWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostSushiAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostChzWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostChzAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostEnjWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostEnjAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostAlphaWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostAlphaAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostFttWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostFttAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostStorjWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostStorjAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostAxsWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostAxsAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostSandWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostSandAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostHbarWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostHbarAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostRgtWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostRgtAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostFetWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostFetAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostSklWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostSklAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostCelWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostCelAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostSxpWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostSxpAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostAdaWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostAdaAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostSlpWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostSlpAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostFtmWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostFtmAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostPerpWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostPerpAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostDydxWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostDydxAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostGalaWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostGalaAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostShibWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostShibAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostAmpWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostAmpAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostSgbWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostSgbAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostAvaxWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostAvaxAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostWbtcWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostWbtcAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostCtsiWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostCtsiAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostCvxWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostCvxAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostImxWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostImxAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostNexoWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostNexoAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostUstWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostUstAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostAntWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostAntAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostGodsWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostGodsAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostRadWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostRadAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostBandWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostBandAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostInjWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostInjAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostRlyWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostRlyAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostRndrWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostRndrAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostVegaWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostVegaAddress: (params:{}, context?:{}) => Promise<any>;
	privatePost1inchWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePost1inchAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostEnsWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostEnsAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostManaWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostManaAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostLrcWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostLrcAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostApeWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostApeAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostMplWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostMplAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostEurocWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostEurocAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostSolWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostSolAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostDotWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostDotAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostNearWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostNearAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostDogeWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostDogeAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostFlrWithdrawal: (params:{}, context?:{}) => Promise<any>;
	privatePostFlrAddress: (params:{}, context?:{}) => Promise<any>;
}