import {bittrex as Type} from 'ccxt';
export interface bittrexRestApiType extends Type {
	publicGetPing: (params:{}, context?:{}) => Promise<any>;
	publicGetCurrencies: (params:{}, context?:{}) => Promise<any>;
	publicGetCurrenciesSymbol: (params:{}, context?:{}) => Promise<any>;
	publicGetMarkets: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketsTickers: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketsSummaries: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketsMarketSymbol: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketsMarketSymbolSummary: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketsMarketSymbolOrderbook: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketsMarketSymbolTrades: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketsMarketSymbolTicker: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketsMarketSymbolCandlesCandleIntervalRecent: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketsMarketSymbolCandlesCandleIntervalHistoricalYearMonthDay: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketsMarketSymbolCandlesCandleIntervalHistoricalYearMonth: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketsMarketSymbolCandlesCandleIntervalHistoricalYear: (params:{}, context?:{}) => Promise<any>;
	privateGetAccount: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountFeesFiat: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountFeesFiatCurrencySymbol: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountFeesTrading: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountFeesTradingMarketSymbol: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountVolume: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountPermissionsMarkets: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountPermissionsMarketsMarketSymbol: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountPermissionsCurrencies: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountPermissionsCurrenciesCurrencySymbol: (params:{}, context?:{}) => Promise<any>;
	privateGetAddresses: (params:{}, context?:{}) => Promise<any>;
	privateGetAddressesCurrencySymbol: (params:{}, context?:{}) => Promise<any>;
	privateGetBalances: (params:{}, context?:{}) => Promise<any>;
	privateGetBalancesCurrencySymbol: (params:{}, context?:{}) => Promise<any>;
	privateGetDepositsOpen: (params:{}, context?:{}) => Promise<any>;
	privateGetDepositsClosed: (params:{}, context?:{}) => Promise<any>;
	privateGetDepositsByTxIdTxId: (params:{}, context?:{}) => Promise<any>;
	privateGetDepositsDepositId: (params:{}, context?:{}) => Promise<any>;
	privateGetExecutions: (params:{}, context?:{}) => Promise<any>;
	privateGetExecutionsLastId: (params:{}, context?:{}) => Promise<any>;
	privateGetExecutionsExecutionId: (params:{}, context?:{}) => Promise<any>;
	privateGetOrdersClosed: (params:{}, context?:{}) => Promise<any>;
	privateGetOrdersOpen: (params:{}, context?:{}) => Promise<any>;
	privateGetOrdersOrderId: (params:{}, context?:{}) => Promise<any>;
	privateGetOrdersOrderIdExecutions: (params:{}, context?:{}) => Promise<any>;
	privateGetPing: (params:{}, context?:{}) => Promise<any>;
	privateGetSubaccountsSubaccountId: (params:{}, context?:{}) => Promise<any>;
	privateGetSubaccounts: (params:{}, context?:{}) => Promise<any>;
	privateGetSubaccountsWithdrawalsOpen: (params:{}, context?:{}) => Promise<any>;
	privateGetSubaccountsWithdrawalsClosed: (params:{}, context?:{}) => Promise<any>;
	privateGetSubaccountsDepositsOpen: (params:{}, context?:{}) => Promise<any>;
	privateGetSubaccountsDepositsClosed: (params:{}, context?:{}) => Promise<any>;
	privateGetWithdrawalsOpen: (params:{}, context?:{}) => Promise<any>;
	privateGetWithdrawalsClosed: (params:{}, context?:{}) => Promise<any>;
	privateGetWithdrawalsByTxIdTxId: (params:{}, context?:{}) => Promise<any>;
	privateGetWithdrawalsWithdrawalId: (params:{}, context?:{}) => Promise<any>;
	privateGetWithdrawalsAllowedAddresses: (params:{}, context?:{}) => Promise<any>;
	privateGetConditionalOrdersConditionalOrderId: (params:{}, context?:{}) => Promise<any>;
	privateGetConditionalOrdersClosed: (params:{}, context?:{}) => Promise<any>;
	privateGetConditionalOrdersOpen: (params:{}, context?:{}) => Promise<any>;
	privateGetTransfersSent: (params:{}, context?:{}) => Promise<any>;
	privateGetTransfersReceived: (params:{}, context?:{}) => Promise<any>;
	privateGetTransfersTransferId: (params:{}, context?:{}) => Promise<any>;
	privateGetFundsTransferMethodsFundsTransferMethodId: (params:{}, context?:{}) => Promise<any>;
	privatePostAddresses: (params:{}, context?:{}) => Promise<any>;
	privatePostOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostSubaccounts: (params:{}, context?:{}) => Promise<any>;
	privatePostWithdrawals: (params:{}, context?:{}) => Promise<any>;
	privatePostConditionalOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostTransfers: (params:{}, context?:{}) => Promise<any>;
	privatePostBatch: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrdersOpen: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrdersOrderId: (params:{}, context?:{}) => Promise<any>;
	privateDeleteWithdrawalsWithdrawalId: (params:{}, context?:{}) => Promise<any>;
	privateDeleteConditionalOrdersConditionalOrderId: (params:{}, context?:{}) => Promise<any>;
}