import {bybit as Type} from 'ccxt';
export interface bybitRestApiType extends Type {
	publicGetV2PublicOrderBookL2: (params:{}, context?:{}) => Promise<any>;
	publicGetV2PublicKlineList: (params:{}, context?:{}) => Promise<any>;
	publicGetV2PublicTickers: (params:{}, context?:{}) => Promise<any>;
	publicGetV2PublicTradingRecords: (params:{}, context?:{}) => Promise<any>;
	publicGetV2PublicSymbols: (params:{}, context?:{}) => Promise<any>;
	publicGetV2PublicMarkPriceKline: (params:{}, context?:{}) => Promise<any>;
	publicGetV2PublicIndexPriceKline: (params:{}, context?:{}) => Promise<any>;
	publicGetV2PublicPremiumIndexKline: (params:{}, context?:{}) => Promise<any>;
	publicGetV2PublicOpenInterest: (params:{}, context?:{}) => Promise<any>;
	publicGetV2PublicBigDeal: (params:{}, context?:{}) => Promise<any>;
	publicGetV2PublicAccountRatio: (params:{}, context?:{}) => Promise<any>;
	publicGetV2PublicFundingRate: (params:{}, context?:{}) => Promise<any>;
	publicGetV2PublicEliteRatio: (params:{}, context?:{}) => Promise<any>;
	publicGetV2PublicFundingPrevFundingRate: (params:{}, context?:{}) => Promise<any>;
	publicGetV2PublicRiskLimitList: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicLinearKline: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicLinearRecentTradingRecords: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicLinearRiskLimit: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicLinearFundingPrevFundingRate: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicLinearMarkPriceKline: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicLinearIndexPriceKline: (params:{}, context?:{}) => Promise<any>;
	publicGetPublicLinearPremiumIndexKline: (params:{}, context?:{}) => Promise<any>;
	publicGetSpotV1Time: (params:{}, context?:{}) => Promise<any>;
	publicGetSpotV1Symbols: (params:{}, context?:{}) => Promise<any>;
	publicGetSpotQuoteV1Depth: (params:{}, context?:{}) => Promise<any>;
	publicGetSpotQuoteV1DepthMerged: (params:{}, context?:{}) => Promise<any>;
	publicGetSpotQuoteV1Trades: (params:{}, context?:{}) => Promise<any>;
	publicGetSpotQuoteV1Kline: (params:{}, context?:{}) => Promise<any>;
	publicGetSpotQuoteV1Ticker24hr: (params:{}, context?:{}) => Promise<any>;
	publicGetSpotQuoteV1TickerPrice: (params:{}, context?:{}) => Promise<any>;
	publicGetSpotQuoteV1TickerBookTicker: (params:{}, context?:{}) => Promise<any>;
	publicGetSpotV3PublicSymbols: (params:{}, context?:{}) => Promise<any>;
	publicGetSpotV3PublicQuoteDepth: (params:{}, context?:{}) => Promise<any>;
	publicGetSpotV3PublicQuoteDepthMerged: (params:{}, context?:{}) => Promise<any>;
	publicGetSpotV3PublicQuoteTrades: (params:{}, context?:{}) => Promise<any>;
	publicGetSpotV3PublicQuoteKline: (params:{}, context?:{}) => Promise<any>;
	publicGetSpotV3PublicQuoteTicker24hr: (params:{}, context?:{}) => Promise<any>;
	publicGetSpotV3PublicQuoteTickerPrice: (params:{}, context?:{}) => Promise<any>;
	publicGetSpotV3PublicQuoteTickerBookTicker: (params:{}, context?:{}) => Promise<any>;
	publicGetSpotV3PublicServerTime: (params:{}, context?:{}) => Promise<any>;
	publicGetSpotV3PublicInfos: (params:{}, context?:{}) => Promise<any>;
	publicGetV2PublicTime: (params:{}, context?:{}) => Promise<any>;
	publicGetV3PublicTime: (params:{}, context?:{}) => Promise<any>;
	publicGetV2PublicAnnouncement: (params:{}, context?:{}) => Promise<any>;
	publicGetOptionUsdcOpenapiPublicV1OrderBook: (params:{}, context?:{}) => Promise<any>;
	publicGetOptionUsdcOpenapiPublicV1Symbols: (params:{}, context?:{}) => Promise<any>;
	publicGetOptionUsdcOpenapiPublicV1Tick: (params:{}, context?:{}) => Promise<any>;
	publicGetOptionUsdcOpenapiPublicV1DeliveryPrice: (params:{}, context?:{}) => Promise<any>;
	publicGetOptionUsdcOpenapiPublicV1QueryTradeLatest: (params:{}, context?:{}) => Promise<any>;
	publicGetOptionUsdcOpenapiPublicV1QueryHistoricalVolatility: (params:{}, context?:{}) => Promise<any>;
	publicGetOptionUsdcOpenapiPublicV1AllTickers: (params:{}, context?:{}) => Promise<any>;
	publicGetPerpetualUsdcOpenapiPublicV1OrderBook: (params:{}, context?:{}) => Promise<any>;
	publicGetPerpetualUsdcOpenapiPublicV1Symbols: (params:{}, context?:{}) => Promise<any>;
	publicGetPerpetualUsdcOpenapiPublicV1Tick: (params:{}, context?:{}) => Promise<any>;
	publicGetPerpetualUsdcOpenapiPublicV1KlineList: (params:{}, context?:{}) => Promise<any>;
	publicGetPerpetualUsdcOpenapiPublicV1MarkPriceKline: (params:{}, context?:{}) => Promise<any>;
	publicGetPerpetualUsdcOpenapiPublicV1IndexPriceKline: (params:{}, context?:{}) => Promise<any>;
	publicGetPerpetualUsdcOpenapiPublicV1PremiumIndexKline: (params:{}, context?:{}) => Promise<any>;
	publicGetPerpetualUsdcOpenapiPublicV1OpenInterest: (params:{}, context?:{}) => Promise<any>;
	publicGetPerpetualUsdcOpenapiPublicV1BigDeal: (params:{}, context?:{}) => Promise<any>;
	publicGetPerpetualUsdcOpenapiPublicV1AccountRatio: (params:{}, context?:{}) => Promise<any>;
	publicGetPerpetualUsdcOpenapiPublicV1PrevFundingRate: (params:{}, context?:{}) => Promise<any>;
	publicGetPerpetualUsdcOpenapiPublicV1RiskLimitList: (params:{}, context?:{}) => Promise<any>;
	publicGetAssetV1PublicDepositAllowedDepositList: (params:{}, context?:{}) => Promise<any>;
	publicGetContractV3PublicCopytradingSymbolList: (params:{}, context?:{}) => Promise<any>;
	publicGetDerivativesV3PublicOrderBookL2: (params:{}, context?:{}) => Promise<any>;
	publicGetDerivativesV3PublicKline: (params:{}, context?:{}) => Promise<any>;
	publicGetDerivativesV3PublicTickers: (params:{}, context?:{}) => Promise<any>;
	publicGetDerivativesV3PublicInstrumentsInfo: (params:{}, context?:{}) => Promise<any>;
	publicGetDerivativesV3PublicMarkPriceKline: (params:{}, context?:{}) => Promise<any>;
	publicGetDerivativesV3PublicIndexPriceKline: (params:{}, context?:{}) => Promise<any>;
	publicGetDerivativesV3PublicFundingHistoryFundingRate: (params:{}, context?:{}) => Promise<any>;
	publicGetDerivativesV3PublicRiskLimitList: (params:{}, context?:{}) => Promise<any>;
	publicGetDerivativesV3PublicDeliveryPrice: (params:{}, context?:{}) => Promise<any>;
	publicGetDerivativesV3PublicRecentTrade: (params:{}, context?:{}) => Promise<any>;
	publicGetDerivativesV3PublicOpenInterest: (params:{}, context?:{}) => Promise<any>;
	publicGetDerivativesV3PublicInsurance: (params:{}, context?:{}) => Promise<any>;
	publicGetV5MarketKline: (params:{}, context?:{}) => Promise<any>;
	publicGetV5MarketMarkPriceKline: (params:{}, context?:{}) => Promise<any>;
	publicGetV5MarketIndexPriceKline: (params:{}, context?:{}) => Promise<any>;
	publicGetV5MarketPremiumIndexPriceKline: (params:{}, context?:{}) => Promise<any>;
	publicGetV5MarketInstrumentsInfo: (params:{}, context?:{}) => Promise<any>;
	publicGetV5MarketOrderbook: (params:{}, context?:{}) => Promise<any>;
	publicGetV5MarketTickers: (params:{}, context?:{}) => Promise<any>;
	publicGetV5MarketFundingHistory: (params:{}, context?:{}) => Promise<any>;
	publicGetV5MarketRecentTrade: (params:{}, context?:{}) => Promise<any>;
	publicGetV5MarketOpenInterest: (params:{}, context?:{}) => Promise<any>;
	publicGetV5MarketHistoricalVolatility: (params:{}, context?:{}) => Promise<any>;
	publicGetV5MarketInsurance: (params:{}, context?:{}) => Promise<any>;
	publicGetV5MarketRiskLimit: (params:{}, context?:{}) => Promise<any>;
	publicGetV5MarketDeliveryPrice: (params:{}, context?:{}) => Promise<any>;
	publicGetV5SpotLeverTokenInfo: (params:{}, context?:{}) => Promise<any>;
	publicGetV5SpotLeverTokenReference: (params:{}, context?:{}) => Promise<any>;
	privateGetV2PrivateOrderList: (params:{}, context?:{}) => Promise<any>;
	privateGetV2PrivateOrder: (params:{}, context?:{}) => Promise<any>;
	privateGetV2PrivateStopOrderList: (params:{}, context?:{}) => Promise<any>;
	privateGetV2PrivateStopOrder: (params:{}, context?:{}) => Promise<any>;
	privateGetV2PrivatePositionList: (params:{}, context?:{}) => Promise<any>;
	privateGetV2PrivatePositionFeeRate: (params:{}, context?:{}) => Promise<any>;
	privateGetV2PrivateExecutionList: (params:{}, context?:{}) => Promise<any>;
	privateGetV2PrivateTradeClosedPnlList: (params:{}, context?:{}) => Promise<any>;
	privateGetV2PublicRiskLimitList: (params:{}, context?:{}) => Promise<any>;
	privateGetV2PublicFundingPrevFundingRate: (params:{}, context?:{}) => Promise<any>;
	privateGetV2PrivateFundingPrevFunding: (params:{}, context?:{}) => Promise<any>;
	privateGetV2PrivateFundingPredictedFunding: (params:{}, context?:{}) => Promise<any>;
	privateGetV2PrivateAccountApiKey: (params:{}, context?:{}) => Promise<any>;
	privateGetV2PrivateAccountLcp: (params:{}, context?:{}) => Promise<any>;
	privateGetV2PrivateWalletBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetV2PrivateWalletFundRecords: (params:{}, context?:{}) => Promise<any>;
	privateGetV2PrivateWalletWithdrawList: (params:{}, context?:{}) => Promise<any>;
	privateGetV2PrivateExchangeOrderList: (params:{}, context?:{}) => Promise<any>;
	privateGetPrivateLinearOrderList: (params:{}, context?:{}) => Promise<any>;
	privateGetPrivateLinearOrderSearch: (params:{}, context?:{}) => Promise<any>;
	privateGetPrivateLinearStopOrderList: (params:{}, context?:{}) => Promise<any>;
	privateGetPrivateLinearStopOrderSearch: (params:{}, context?:{}) => Promise<any>;
	privateGetPrivateLinearPositionList: (params:{}, context?:{}) => Promise<any>;
	privateGetPrivateLinearTradeExecutionList: (params:{}, context?:{}) => Promise<any>;
	privateGetPrivateLinearTradeClosedPnlList: (params:{}, context?:{}) => Promise<any>;
	privateGetPublicLinearRiskLimit: (params:{}, context?:{}) => Promise<any>;
	privateGetPrivateLinearFundingPredictedFunding: (params:{}, context?:{}) => Promise<any>;
	privateGetPrivateLinearFundingPrevFunding: (params:{}, context?:{}) => Promise<any>;
	privateGetFuturesPrivateOrderList: (params:{}, context?:{}) => Promise<any>;
	privateGetFuturesPrivateOrder: (params:{}, context?:{}) => Promise<any>;
	privateGetFuturesPrivateStopOrderList: (params:{}, context?:{}) => Promise<any>;
	privateGetFuturesPrivateStopOrder: (params:{}, context?:{}) => Promise<any>;
	privateGetFuturesPrivatePositionList: (params:{}, context?:{}) => Promise<any>;
	privateGetFuturesPrivateExecutionList: (params:{}, context?:{}) => Promise<any>;
	privateGetFuturesPrivateTradeClosedPnlList: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV1Account: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV1Order: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV1OpenOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV1HistoryOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV1MyTrades: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV1CrossMarginOrder: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV1CrossMarginAccountsBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV1CrossMarginLoanInfo: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV1CrossMarginRepayHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV3PrivateOrder: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV3PrivateOpenOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV3PrivateHistoryOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV3PrivateMyTrades: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV3PrivateAccount: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV3PrivateReference: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV3PrivateRecord: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV3PrivateCrossMarginOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV3PrivateCrossMarginAccount: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV3PrivateCrossMarginLoanInfo: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotV3PrivateCrossMarginRepayHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetV1PrivateTransferList: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetV3PrivateTransferInterTransferListQuery: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetV1PrivateSubMemberTransferList: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetV3PrivateTransferSubMemberListQuery: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetV3PrivateTransferSubMemberTransferListQuery: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetV3PrivateTransferUniversalTransferListQuery: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetV1PrivateSubMemberMemberIds: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetV1PrivateDepositRecordQuery: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetV1PrivateWithdrawRecordQuery: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetV1PrivateCoinInfoQuery: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetV3PrivateCoinInfoQuery: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetV1PrivateAssetInfoQuery: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetV1PrivateDepositAddress: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetV3PrivateDepositAddressQuery: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetV1PrivateUniversalTransferList: (params:{}, context?:{}) => Promise<any>;
	privateGetContractV3PrivateCopytradingOrderList: (params:{}, context?:{}) => Promise<any>;
	privateGetContractV3PrivateCopytradingPositionList: (params:{}, context?:{}) => Promise<any>;
	privateGetContractV3PrivateCopytradingWalletBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetContractV3PrivatePositionLimitInfo: (params:{}, context?:{}) => Promise<any>;
	privateGetContractV3PrivateOrderUnfilledOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetContractV3PrivateOrderList: (params:{}, context?:{}) => Promise<any>;
	privateGetContractV3PrivatePositionList: (params:{}, context?:{}) => Promise<any>;
	privateGetContractV3PrivateExecutionList: (params:{}, context?:{}) => Promise<any>;
	privateGetContractV3PrivatePositionClosedPnl: (params:{}, context?:{}) => Promise<any>;
	privateGetContractV3PrivateAccountWalletBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetContractV3PrivateAccountFeeRate: (params:{}, context?:{}) => Promise<any>;
	privateGetContractV3PrivateAccountWalletFundRecords: (params:{}, context?:{}) => Promise<any>;
	privateGetUnifiedV3PrivateOrderUnfilledOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetUnifiedV3PrivateOrderList: (params:{}, context?:{}) => Promise<any>;
	privateGetUnifiedV3PrivatePositionList: (params:{}, context?:{}) => Promise<any>;
	privateGetUnifiedV3PrivateExecutionList: (params:{}, context?:{}) => Promise<any>;
	privateGetUnifiedV3PrivateDeliveryRecord: (params:{}, context?:{}) => Promise<any>;
	privateGetUnifiedV3PrivateSettlementRecord: (params:{}, context?:{}) => Promise<any>;
	privateGetUnifiedV3PrivateAccountWalletBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetUnifiedV3PrivateAccountTransactionLog: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetV2PrivateExchangeExchangeOrderAll: (params:{}, context?:{}) => Promise<any>;
	privateGetUnifiedV3PrivateAccountBorrowHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetUnifiedV3PrivateAccountBorrowRate: (params:{}, context?:{}) => Promise<any>;
	privateGetUnifiedV3PrivateAccountInfo: (params:{}, context?:{}) => Promise<any>;
	privateGetUserV3PrivateFrozenSubMember: (params:{}, context?:{}) => Promise<any>;
	privateGetUserV3PrivateQuerySubMembers: (params:{}, context?:{}) => Promise<any>;
	privateGetUserV3PrivateQueryApi: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetV3PrivateTransferTransferCoinListQuery: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetV3PrivateTransferAccountCoinBalanceQuery: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetV3PrivateTransferAccountCoinsBalanceQuery: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetV3PrivateTransferAssetInfoQuery: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetV3PublicDepositAllowedDepositListQuery: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetV3PrivateDepositRecordQuery: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetV3PrivateWithdrawRecordQuery: (params:{}, context?:{}) => Promise<any>;
	privateGetV5OrderHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetV5OrderSpotBorrowCheck: (params:{}, context?:{}) => Promise<any>;
	privateGetV5OrderRealtime: (params:{}, context?:{}) => Promise<any>;
	privateGetV5PositionList: (params:{}, context?:{}) => Promise<any>;
	privateGetV5ExecutionList: (params:{}, context?:{}) => Promise<any>;
	privateGetV5PositionClosedPnl: (params:{}, context?:{}) => Promise<any>;
	privateGetV5AccountWalletBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetV5AccountBorrowHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetV5AccountCollateralInfo: (params:{}, context?:{}) => Promise<any>;
	privateGetV5AccountMmpState: (params:{}, context?:{}) => Promise<any>;
	privateGetV5AssetCoinGreeks: (params:{}, context?:{}) => Promise<any>;
	privateGetV5AccountInfo: (params:{}, context?:{}) => Promise<any>;
	privateGetV5AccountTransactionLog: (params:{}, context?:{}) => Promise<any>;
	privateGetV5AccountFeeRate: (params:{}, context?:{}) => Promise<any>;
	privateGetV5AssetExchangeOrderRecord: (params:{}, context?:{}) => Promise<any>;
	privateGetV5AssetDeliveryRecord: (params:{}, context?:{}) => Promise<any>;
	privateGetV5AssetSettlementRecord: (params:{}, context?:{}) => Promise<any>;
	privateGetV5AssetTransferQueryAssetInfo: (params:{}, context?:{}) => Promise<any>;
	privateGetV5AssetTransferQueryAccountCoinBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetV5AssetTransferQueryTransferCoinList: (params:{}, context?:{}) => Promise<any>;
	privateGetV5AssetTransferQueryInterTransferList: (params:{}, context?:{}) => Promise<any>;
	privateGetV5AssetTransferQuerySubMemberList: (params:{}, context?:{}) => Promise<any>;
	privateGetV5AssetTransferQueryUniversalTransferList: (params:{}, context?:{}) => Promise<any>;
	privateGetV5AssetDepositQueryAllowedList: (params:{}, context?:{}) => Promise<any>;
	privateGetV5AssetDepositQueryRecord: (params:{}, context?:{}) => Promise<any>;
	privateGetV5AssetDepositQuerySubMemberRecord: (params:{}, context?:{}) => Promise<any>;
	privateGetV5AssetDepositQueryAddress: (params:{}, context?:{}) => Promise<any>;
	privateGetV5AssetDepositQuerySubMemberAddress: (params:{}, context?:{}) => Promise<any>;
	privateGetV5AssetDepositQueryInternalRecord: (params:{}, context?:{}) => Promise<any>;
	privateGetV5AssetCoinQueryInfo: (params:{}, context?:{}) => Promise<any>;
	privateGetV5AssetWithdrawQueryRecord: (params:{}, context?:{}) => Promise<any>;
	privateGetV5AssetWithdrawWithdrawableAmount: (params:{}, context?:{}) => Promise<any>;
	privateGetV5AssetTransferQueryAccountCoinsBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetV5UserQuerySubMembers: (params:{}, context?:{}) => Promise<any>;
	privateGetV5UserQueryApi: (params:{}, context?:{}) => Promise<any>;
	privatePostV2PrivateOrderCreate: (params:{}, context?:{}) => Promise<any>;
	privatePostV2PrivateOrderCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostV2PrivateOrderCancelAll: (params:{}, context?:{}) => Promise<any>;
	privatePostV2PrivateOrderReplace: (params:{}, context?:{}) => Promise<any>;
	privatePostV2PrivateStopOrderCreate: (params:{}, context?:{}) => Promise<any>;
	privatePostV2PrivateStopOrderCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostV2PrivateStopOrderCancelAll: (params:{}, context?:{}) => Promise<any>;
	privatePostV2PrivateStopOrderReplace: (params:{}, context?:{}) => Promise<any>;
	privatePostV2PrivatePositionChangePositionMargin: (params:{}, context?:{}) => Promise<any>;
	privatePostV2PrivatePositionTradingStop: (params:{}, context?:{}) => Promise<any>;
	privatePostV2PrivatePositionLeverageSave: (params:{}, context?:{}) => Promise<any>;
	privatePostV2PrivateTpslSwitchMode: (params:{}, context?:{}) => Promise<any>;
	privatePostV2PrivatePositionSwitchIsolated: (params:{}, context?:{}) => Promise<any>;
	privatePostV2PrivatePositionRiskLimit: (params:{}, context?:{}) => Promise<any>;
	privatePostV2PrivatePositionSwitchMode: (params:{}, context?:{}) => Promise<any>;
	privatePostPrivateLinearOrderCreate: (params:{}, context?:{}) => Promise<any>;
	privatePostPrivateLinearOrderCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostPrivateLinearOrderCancelAll: (params:{}, context?:{}) => Promise<any>;
	privatePostPrivateLinearOrderReplace: (params:{}, context?:{}) => Promise<any>;
	privatePostPrivateLinearStopOrderCreate: (params:{}, context?:{}) => Promise<any>;
	privatePostPrivateLinearStopOrderCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostPrivateLinearStopOrderCancelAll: (params:{}, context?:{}) => Promise<any>;
	privatePostPrivateLinearStopOrderReplace: (params:{}, context?:{}) => Promise<any>;
	privatePostPrivateLinearPositionSetAutoAddMargin: (params:{}, context?:{}) => Promise<any>;
	privatePostPrivateLinearPositionSwitchIsolated: (params:{}, context?:{}) => Promise<any>;
	privatePostPrivateLinearPositionSwitchMode: (params:{}, context?:{}) => Promise<any>;
	privatePostPrivateLinearTpslSwitchMode: (params:{}, context?:{}) => Promise<any>;
	privatePostPrivateLinearPositionAddMargin: (params:{}, context?:{}) => Promise<any>;
	privatePostPrivateLinearPositionSetLeverage: (params:{}, context?:{}) => Promise<any>;
	privatePostPrivateLinearPositionTradingStop: (params:{}, context?:{}) => Promise<any>;
	privatePostPrivateLinearPositionSetRisk: (params:{}, context?:{}) => Promise<any>;
	privatePostFuturesPrivateOrderCreate: (params:{}, context?:{}) => Promise<any>;
	privatePostFuturesPrivateOrderCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostFuturesPrivateOrderCancelAll: (params:{}, context?:{}) => Promise<any>;
	privatePostFuturesPrivateOrderReplace: (params:{}, context?:{}) => Promise<any>;
	privatePostFuturesPrivateStopOrderCreate: (params:{}, context?:{}) => Promise<any>;
	privatePostFuturesPrivateStopOrderCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostFuturesPrivateStopOrderCancelAll: (params:{}, context?:{}) => Promise<any>;
	privatePostFuturesPrivateStopOrderReplace: (params:{}, context?:{}) => Promise<any>;
	privatePostFuturesPrivatePositionChangePositionMargin: (params:{}, context?:{}) => Promise<any>;
	privatePostFuturesPrivatePositionTradingStop: (params:{}, context?:{}) => Promise<any>;
	privatePostFuturesPrivatePositionLeverageSave: (params:{}, context?:{}) => Promise<any>;
	privatePostFuturesPrivatePositionSwitchMode: (params:{}, context?:{}) => Promise<any>;
	privatePostFuturesPrivateTpslSwitchMode: (params:{}, context?:{}) => Promise<any>;
	privatePostFuturesPrivatePositionSwitchIsolated: (params:{}, context?:{}) => Promise<any>;
	privatePostFuturesPrivatePositionRiskLimit: (params:{}, context?:{}) => Promise<any>;
	privatePostSpotV1Order: (params:{}, context?:{}) => Promise<any>;
	privatePostSpotV1CrossMarginLoan: (params:{}, context?:{}) => Promise<any>;
	privatePostSpotV1CrossMarginRepay: (params:{}, context?:{}) => Promise<any>;
	privatePostSpotV3PrivateOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostSpotV3PrivateCancelOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostSpotV3PrivateCancelOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostSpotV3PrivateCancelOrdersByIds: (params:{}, context?:{}) => Promise<any>;
	privatePostSpotV3PrivatePurchase: (params:{}, context?:{}) => Promise<any>;
	privatePostSpotV3PrivateRedeem: (params:{}, context?:{}) => Promise<any>;
	privatePostSpotV3PrivateCrossMarginLoan: (params:{}, context?:{}) => Promise<any>;
	privatePostSpotV3PrivateCrossMarginRepay: (params:{}, context?:{}) => Promise<any>;
	privatePostAssetV1PrivateTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostAssetV3PrivateTransferInterTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostAssetV1PrivateSubMemberTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostAssetV1PrivateWithdraw: (params:{}, context?:{}) => Promise<any>;
	privatePostAssetV3PrivateWithdrawCreate: (params:{}, context?:{}) => Promise<any>;
	privatePostAssetV1PrivateWithdrawCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostAssetV3PrivateWithdrawCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostAssetV1PrivateTransferableSubsSave: (params:{}, context?:{}) => Promise<any>;
	privatePostAssetV1PrivateUniversalTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostAssetV3PrivateTransferSubMemberTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostAssetV3PrivateTransferTransferSubMemberSave: (params:{}, context?:{}) => Promise<any>;
	privatePostAssetV3PrivateTransferUniversalTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostUserV3PrivateCreateSubMember: (params:{}, context?:{}) => Promise<any>;
	privatePostUserV3PrivateCreateSubApi: (params:{}, context?:{}) => Promise<any>;
	privatePostUserV3PrivateUpdateApi: (params:{}, context?:{}) => Promise<any>;
	privatePostUserV3PrivateDeleteApi: (params:{}, context?:{}) => Promise<any>;
	privatePostUserV3PrivateUpdateSubApi: (params:{}, context?:{}) => Promise<any>;
	privatePostUserV3PrivateDeleteSubApi: (params:{}, context?:{}) => Promise<any>;
	privatePostOptionUsdcOpenapiPrivateV1PlaceOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostOptionUsdcOpenapiPrivateV1BatchPlaceOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostOptionUsdcOpenapiPrivateV1ReplaceOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostOptionUsdcOpenapiPrivateV1BatchReplaceOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostOptionUsdcOpenapiPrivateV1CancelOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostOptionUsdcOpenapiPrivateV1BatchCancelOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostOptionUsdcOpenapiPrivateV1CancelAll: (params:{}, context?:{}) => Promise<any>;
	privatePostOptionUsdcOpenapiPrivateV1QueryActiveOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostOptionUsdcOpenapiPrivateV1QueryOrderHistory: (params:{}, context?:{}) => Promise<any>;
	privatePostOptionUsdcOpenapiPrivateV1ExecutionList: (params:{}, context?:{}) => Promise<any>;
	privatePostOptionUsdcOpenapiPrivateV1QueryTransactionLog: (params:{}, context?:{}) => Promise<any>;
	privatePostOptionUsdcOpenapiPrivateV1QueryWalletBalance: (params:{}, context?:{}) => Promise<any>;
	privatePostOptionUsdcOpenapiPrivateV1QueryAssetInfo: (params:{}, context?:{}) => Promise<any>;
	privatePostOptionUsdcOpenapiPrivateV1QueryMarginInfo: (params:{}, context?:{}) => Promise<any>;
	privatePostOptionUsdcOpenapiPrivateV1QueryPosition: (params:{}, context?:{}) => Promise<any>;
	privatePostOptionUsdcOpenapiPrivateV1QueryDeliveryList: (params:{}, context?:{}) => Promise<any>;
	privatePostOptionUsdcOpenapiPrivateV1QueryPositionExpDate: (params:{}, context?:{}) => Promise<any>;
	privatePostOptionUsdcOpenapiPrivateV1MmpModify: (params:{}, context?:{}) => Promise<any>;
	privatePostOptionUsdcOpenapiPrivateV1MmpReset: (params:{}, context?:{}) => Promise<any>;
	privatePostPerpetualUsdcOpenapiPrivateV1PlaceOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostPerpetualUsdcOpenapiPrivateV1ReplaceOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostPerpetualUsdcOpenapiPrivateV1CancelOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostPerpetualUsdcOpenapiPrivateV1CancelAll: (params:{}, context?:{}) => Promise<any>;
	privatePostPerpetualUsdcOpenapiPrivateV1PositionLeverageSave: (params:{}, context?:{}) => Promise<any>;
	privatePostOptionUsdcOpenapiPrivateV1SessionSettlement: (params:{}, context?:{}) => Promise<any>;
	privatePostOptionUsdcPrivateAssetAccountSetMarginMode: (params:{}, context?:{}) => Promise<any>;
	privatePostPerpetualUsdcOpenapiPublicV1RiskLimitList: (params:{}, context?:{}) => Promise<any>;
	privatePostPerpetualUsdcOpenapiPrivateV1PositionSetRiskLimit: (params:{}, context?:{}) => Promise<any>;
	privatePostPerpetualUsdcOpenapiPrivateV1PredictedFunding: (params:{}, context?:{}) => Promise<any>;
	privatePostContractV3PrivateCopytradingOrderCreate: (params:{}, context?:{}) => Promise<any>;
	privatePostContractV3PrivateCopytradingOrderCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostContractV3PrivateCopytradingOrderClose: (params:{}, context?:{}) => Promise<any>;
	privatePostContractV3PrivateCopytradingPositionClose: (params:{}, context?:{}) => Promise<any>;
	privatePostContractV3PrivateCopytradingPositionSetLeverage: (params:{}, context?:{}) => Promise<any>;
	privatePostContractV3PrivateCopytradingWalletTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostContractV3PrivateCopytradingOrderTradingStop: (params:{}, context?:{}) => Promise<any>;
	privatePostContractV3PrivateOrderCreate: (params:{}, context?:{}) => Promise<any>;
	privatePostContractV3PrivateOrderCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostContractV3PrivateOrderCancelAll: (params:{}, context?:{}) => Promise<any>;
	privatePostContractV3PrivateOrderReplace: (params:{}, context?:{}) => Promise<any>;
	privatePostContractV3PrivatePositionSetAutoAddMargin: (params:{}, context?:{}) => Promise<any>;
	privatePostContractV3PrivatePositionSwitchIsolated: (params:{}, context?:{}) => Promise<any>;
	privatePostContractV3PrivatePositionSwitchMode: (params:{}, context?:{}) => Promise<any>;
	privatePostContractV3PrivatePositionSwitchTpslMode: (params:{}, context?:{}) => Promise<any>;
	privatePostContractV3PrivatePositionSetLeverage: (params:{}, context?:{}) => Promise<any>;
	privatePostContractV3PrivatePositionTradingStop: (params:{}, context?:{}) => Promise<any>;
	privatePostContractV3PrivatePositionSetRiskLimit: (params:{}, context?:{}) => Promise<any>;
	privatePostContractV3PrivateAccountSetMarginMode: (params:{}, context?:{}) => Promise<any>;
	privatePostUnifiedV3PrivateOrderCreate: (params:{}, context?:{}) => Promise<any>;
	privatePostUnifiedV3PrivateOrderReplace: (params:{}, context?:{}) => Promise<any>;
	privatePostUnifiedV3PrivateOrderCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostUnifiedV3PrivateOrderCreateBatch: (params:{}, context?:{}) => Promise<any>;
	privatePostUnifiedV3PrivateOrderReplaceBatch: (params:{}, context?:{}) => Promise<any>;
	privatePostUnifiedV3PrivateOrderCancelBatch: (params:{}, context?:{}) => Promise<any>;
	privatePostUnifiedV3PrivateOrderCancelAll: (params:{}, context?:{}) => Promise<any>;
	privatePostUnifiedV3PrivatePositionSetLeverage: (params:{}, context?:{}) => Promise<any>;
	privatePostUnifiedV3PrivatePositionTpslSwitchMode: (params:{}, context?:{}) => Promise<any>;
	privatePostUnifiedV3PrivatePositionSetRiskLimit: (params:{}, context?:{}) => Promise<any>;
	privatePostUnifiedV3PrivatePositionTradingStop: (params:{}, context?:{}) => Promise<any>;
	privatePostUnifiedV3PrivateAccountUpgradeUnifiedAccount: (params:{}, context?:{}) => Promise<any>;
	privatePostUnifiedV3PrivateAccountSetMarginMode: (params:{}, context?:{}) => Promise<any>;
	privatePostFhtComplianceTaxV3PrivateRegistertime: (params:{}, context?:{}) => Promise<any>;
	privatePostFhtComplianceTaxV3PrivateCreate: (params:{}, context?:{}) => Promise<any>;
	privatePostFhtComplianceTaxV3PrivateStatus: (params:{}, context?:{}) => Promise<any>;
	privatePostFhtComplianceTaxV3PrivateUrl: (params:{}, context?:{}) => Promise<any>;
	privatePostV5OrderCreate: (params:{}, context?:{}) => Promise<any>;
	privatePostV5OrderAmend: (params:{}, context?:{}) => Promise<any>;
	privatePostV5OrderCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostV5OrderCancelAll: (params:{}, context?:{}) => Promise<any>;
	privatePostV5OrderCreateBatch: (params:{}, context?:{}) => Promise<any>;
	privatePostV5OrderAmendBatch: (params:{}, context?:{}) => Promise<any>;
	privatePostV5OrderCancelBatch: (params:{}, context?:{}) => Promise<any>;
	privatePostV5OrderDisconnectedCancelAll: (params:{}, context?:{}) => Promise<any>;
	privatePostV5PositionSetLeverage: (params:{}, context?:{}) => Promise<any>;
	privatePostV5PositionSetTpslMode: (params:{}, context?:{}) => Promise<any>;
	privatePostV5PositionSetRiskLimit: (params:{}, context?:{}) => Promise<any>;
	privatePostV5PositionTradingStop: (params:{}, context?:{}) => Promise<any>;
	privatePostV5AccountUpgradeToUta: (params:{}, context?:{}) => Promise<any>;
	privatePostV5AccountSetMarginMode: (params:{}, context?:{}) => Promise<any>;
	privatePostV5AssetTransferInterTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostV5AssetTransferSaveTransferSubMember: (params:{}, context?:{}) => Promise<any>;
	privatePostV5AssetTransferUniversalTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostV5AssetDepositDepositToAccount: (params:{}, context?:{}) => Promise<any>;
	privatePostV5AssetWithdrawCreate: (params:{}, context?:{}) => Promise<any>;
	privatePostV5AssetWithdrawCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostV5SpotLeverTokenPurchase: (params:{}, context?:{}) => Promise<any>;
	privatePostV5SpotLeverTokenRedeem: (params:{}, context?:{}) => Promise<any>;
	privatePostV5SpotLeverTokenOrderRecord: (params:{}, context?:{}) => Promise<any>;
	privatePostV5SpotMarginTradeSwitchMode: (params:{}, context?:{}) => Promise<any>;
	privatePostV5SpotMarginTradeSetLeverage: (params:{}, context?:{}) => Promise<any>;
	privatePostV5UserCreateSubMember: (params:{}, context?:{}) => Promise<any>;
	privatePostV5UserCreateSubApi: (params:{}, context?:{}) => Promise<any>;
	privatePostV5UserFrozenSubMember: (params:{}, context?:{}) => Promise<any>;
	privatePostV5UserUpdateApi: (params:{}, context?:{}) => Promise<any>;
	privatePostV5UserUpdateSubApi: (params:{}, context?:{}) => Promise<any>;
	privatePostV5UserDeleteApi: (params:{}, context?:{}) => Promise<any>;
	privatePostV5UserDeleteSubApi: (params:{}, context?:{}) => Promise<any>;
	privateDeleteSpotV1Order: (params:{}, context?:{}) => Promise<any>;
	privateDeleteSpotV1OrderFast: (params:{}, context?:{}) => Promise<any>;
	privateDeleteSpotOrderBatchCancel: (params:{}, context?:{}) => Promise<any>;
	privateDeleteSpotOrderBatchFastCancel: (params:{}, context?:{}) => Promise<any>;
	privateDeleteSpotOrderBatchCancelByIds: (params:{}, context?:{}) => Promise<any>;
}