import {coincheck as Type} from 'ccxt';
export interface coincheckRestApiType extends Type {
	publicGetExchangeOrdersRate: (params:{}, context?:{}) => Promise<any>;
	publicGetOrderBooks: (params:{}, context?:{}) => Promise<any>;
	publicGetRatePair: (params:{}, context?:{}) => Promise<any>;
	publicGetTicker: (params:{}, context?:{}) => Promise<any>;
	publicGetTrades: (params:{}, context?:{}) => Promise<any>;
	privateGetAccounts: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountsBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountsLeverageBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetBankAccounts: (params:{}, context?:{}) => Promise<any>;
	privateGetDepositMoney: (params:{}, context?:{}) => Promise<any>;
	privateGetExchangeOrdersOpens: (params:{}, context?:{}) => Promise<any>;
	privateGetExchangeOrdersTransactions: (params:{}, context?:{}) => Promise<any>;
	privateGetExchangeOrdersTransactionsPagination: (params:{}, context?:{}) => Promise<any>;
	privateGetExchangeLeveragePositions: (params:{}, context?:{}) => Promise<any>;
	privateGetLendingBorrowsMatches: (params:{}, context?:{}) => Promise<any>;
	privateGetSendMoney: (params:{}, context?:{}) => Promise<any>;
	privateGetWithdraws: (params:{}, context?:{}) => Promise<any>;
	privatePostBankAccounts: (params:{}, context?:{}) => Promise<any>;
	privatePostDepositMoneyIdFast: (params:{}, context?:{}) => Promise<any>;
	privatePostExchangeOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostExchangeTransfersToLeverage: (params:{}, context?:{}) => Promise<any>;
	privatePostExchangeTransfersFromLeverage: (params:{}, context?:{}) => Promise<any>;
	privatePostLendingBorrows: (params:{}, context?:{}) => Promise<any>;
	privatePostLendingBorrowsIdRepay: (params:{}, context?:{}) => Promise<any>;
	privatePostSendMoney: (params:{}, context?:{}) => Promise<any>;
	privatePostWithdraws: (params:{}, context?:{}) => Promise<any>;
	privateDeleteBankAccountsId: (params:{}, context?:{}) => Promise<any>;
	privateDeleteExchangeOrdersId: (params:{}, context?:{}) => Promise<any>;
	privateDeleteWithdrawsId: (params:{}, context?:{}) => Promise<any>;
}