import {cryptocom as Type} from 'ccxt';
export interface cryptocomRestApiType extends Type {
	v1PublicGetPublicAuth: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetPublicGetInstruments: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetPublicGetBook: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetPublicGetCandlestick: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetPublicGetTrades: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetPublicGetTickers: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetPublicGetValuations: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetPublicGetExpiredSettlementPrice: (params:{}, context?:{}) => Promise<any>;
	v1PublicGetPublicGetInsurance: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostPrivateSetCancelOnDisconnect: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostPrivateGetCancelOnDisconnect: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostPrivateUserBalance: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostPrivateUserBalanceHistory: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostPrivateGetPositions: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostPrivateCreateOrder: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostPrivateCreateOrderList: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostPrivateCancelOrder: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostPrivateCancelOrderList: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostPrivateCancelAllOrders: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostPrivateClosePosition: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostPrivateGetOrderHistory: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostPrivateGetOpenOrders: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostPrivateGetOrderDetail: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostPrivateGetTrades: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostPrivateChangeAccountLeverage: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostPrivateGetTransactions: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostPrivateCreateSubaccountTransfer: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostPrivateGetSubaccountBalances: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostPrivateGetOrderList: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostPrivateCreateWithdrawal: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostPrivateGetCurrencyNetworks: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostPrivateGetDepositAddress: (params:{}, context?:{}) => Promise<any>;
	v1PrivatePostPrivateGetAccounts: (params:{}, context?:{}) => Promise<any>;
	v2PublicGetPublicAuth: (params:{}, context?:{}) => Promise<any>;
	v2PublicGetPublicGetInstruments: (params:{}, context?:{}) => Promise<any>;
	v2PublicGetPublicGetBook: (params:{}, context?:{}) => Promise<any>;
	v2PublicGetPublicGetCandlestick: (params:{}, context?:{}) => Promise<any>;
	v2PublicGetPublicGetTicker: (params:{}, context?:{}) => Promise<any>;
	v2PublicGetPublicGetTrades: (params:{}, context?:{}) => Promise<any>;
	v2PublicGetPublicMarginGetTransferCurrencies: (params:{}, context?:{}) => Promise<any>;
	v2PublicGetPublicMarginGetLoadCurrenices: (params:{}, context?:{}) => Promise<any>;
	v2PublicGetPublicRespondHeartbeat: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateSetCancelOnDisconnect: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateGetCancelOnDisconnect: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateCreateWithdrawal: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateGetWithdrawalHistory: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateGetCurrencyNetworks: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateGetDepositHistory: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateGetDepositAddress: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateGetAccountSummary: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateCreateOrder: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateCancelOrder: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateCancelAllOrders: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateCreateOrderList: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateGetOrderHistory: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateGetOpenOrders: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateGetOrderDetail: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateGetTrades: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateMarginGetUserConfig: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateMarginGetAccountSummary: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateMarginTransfer: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateMarginBorrow: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateMarginRepay: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateMarginGetTransferHistory: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateMarginGetBorrowHistory: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateMarginGetInterestHistory: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateMarginGetRepayHistory: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateMarginGetLiquidationHistory: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateMarginGetLiquidationOrders: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateMarginCreateOrder: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateMarginCancelOrder: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateMarginCancelAllOrders: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateMarginGetOrderHistory: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateMarginGetOpenOrders: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateMarginGetOrderDetail: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateMarginGetTrades: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateDerivTransfer: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateDerivGetTransferHistory: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateGetAccounts: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateGetSubaccountBalances: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateCreateSubaccountTransfer: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateOtcGetOtcUser: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateOtcGetInstruments: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateOtcRequestQuote: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateOtcAcceptQuote: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateOtcGetQuoteHistory: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPrivateOtcGetTradeHistory: (params:{}, context?:{}) => Promise<any>;
	derivativesPublicGetPublicAuth: (params:{}, context?:{}) => Promise<any>;
	derivativesPublicGetPublicGetInstruments: (params:{}, context?:{}) => Promise<any>;
	derivativesPublicGetPublicGetBook: (params:{}, context?:{}) => Promise<any>;
	derivativesPublicGetPublicGetCandlestick: (params:{}, context?:{}) => Promise<any>;
	derivativesPublicGetPublicGetTrades: (params:{}, context?:{}) => Promise<any>;
	derivativesPublicGetPublicGetTickers: (params:{}, context?:{}) => Promise<any>;
	derivativesPublicGetPublicGetValuations: (params:{}, context?:{}) => Promise<any>;
	derivativesPublicGetPublicGetExpiredSettlementPrice: (params:{}, context?:{}) => Promise<any>;
	derivativesPublicGetPublicGetInsurance: (params:{}, context?:{}) => Promise<any>;
	derivativesPrivatePostPrivateSetCancelOnDisconnect: (params:{}, context?:{}) => Promise<any>;
	derivativesPrivatePostPrivateGetCancelOnDisconnect: (params:{}, context?:{}) => Promise<any>;
	derivativesPrivatePostPrivateUserBalance: (params:{}, context?:{}) => Promise<any>;
	derivativesPrivatePostPrivateUserBalanceHistory: (params:{}, context?:{}) => Promise<any>;
	derivativesPrivatePostPrivateGetPositions: (params:{}, context?:{}) => Promise<any>;
	derivativesPrivatePostPrivateCreateOrder: (params:{}, context?:{}) => Promise<any>;
	derivativesPrivatePostPrivateCreateOrderList: (params:{}, context?:{}) => Promise<any>;
	derivativesPrivatePostPrivateCancelOrder: (params:{}, context?:{}) => Promise<any>;
	derivativesPrivatePostPrivateCancelOrderList: (params:{}, context?:{}) => Promise<any>;
	derivativesPrivatePostPrivateCancelAllOrders: (params:{}, context?:{}) => Promise<any>;
	derivativesPrivatePostPrivateClosePosition: (params:{}, context?:{}) => Promise<any>;
	derivativesPrivatePostPrivateConvertCollateral: (params:{}, context?:{}) => Promise<any>;
	derivativesPrivatePostPrivateGetOrderHistory: (params:{}, context?:{}) => Promise<any>;
	derivativesPrivatePostPrivateGetOpenOrders: (params:{}, context?:{}) => Promise<any>;
	derivativesPrivatePostPrivateGetOrderDetail: (params:{}, context?:{}) => Promise<any>;
	derivativesPrivatePostPrivateGetTrades: (params:{}, context?:{}) => Promise<any>;
	derivativesPrivatePostPrivateChangeAccountLeverage: (params:{}, context?:{}) => Promise<any>;
	derivativesPrivatePostPrivateGetTransactions: (params:{}, context?:{}) => Promise<any>;
	derivativesPrivatePostPrivateCreateSubaccountTransfer: (params:{}, context?:{}) => Promise<any>;
	derivativesPrivatePostPrivateGetSubaccountBalances: (params:{}, context?:{}) => Promise<any>;
	derivativesPrivatePostPrivateGetOrderList: (params:{}, context?:{}) => Promise<any>;
}