import {delta as Type} from 'ccxt';
export interface deltaRestApiType extends Type {
	publicGetAssets: (params:{}, context?:{}) => Promise<any>;
	publicGetSettings: (params:{}, context?:{}) => Promise<any>;
	publicGetIndices: (params:{}, context?:{}) => Promise<any>;
	publicGetProducts: (params:{}, context?:{}) => Promise<any>;
	publicGetTickers: (params:{}, context?:{}) => Promise<any>;
	publicGetTickersSymbol: (params:{}, context?:{}) => Promise<any>;
	publicGetL2orderbookSymbol: (params:{}, context?:{}) => Promise<any>;
	publicGetTradesSymbol: (params:{}, context?:{}) => Promise<any>;
	publicGetHistoryCandles: (params:{}, context?:{}) => Promise<any>;
	publicGetHistorySparklines: (params:{}, context?:{}) => Promise<any>;
	privateGetOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetOrdersLeverage: (params:{}, context?:{}) => Promise<any>;
	privateGetPositions: (params:{}, context?:{}) => Promise<any>;
	privateGetPositionsMargined: (params:{}, context?:{}) => Promise<any>;
	privateGetOrdersHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetFills: (params:{}, context?:{}) => Promise<any>;
	privateGetFillsHistoryDownloadCsv: (params:{}, context?:{}) => Promise<any>;
	privateGetWalletBalances: (params:{}, context?:{}) => Promise<any>;
	privateGetWalletTransactions: (params:{}, context?:{}) => Promise<any>;
	privateGetWalletTransactionsDownload: (params:{}, context?:{}) => Promise<any>;
	privateGetDepositsAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostOrdersBatch: (params:{}, context?:{}) => Promise<any>;
	privatePostOrdersLeverage: (params:{}, context?:{}) => Promise<any>;
	privatePostPositionsChangeMargin: (params:{}, context?:{}) => Promise<any>;
	privatePutOrders: (params:{}, context?:{}) => Promise<any>;
	privatePutOrdersBatch: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrders: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrdersAll: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrdersBatch: (params:{}, context?:{}) => Promise<any>;
}