import {digifinex as Type} from 'ccxt';
export interface digifinexRestApiType extends Type {
	publicSpotGetMarketSymbols: (params:{}, context?:{}) => Promise<any>;
	publicSpotGetKline: (params:{}, context?:{}) => Promise<any>;
	publicSpotGetMarginCurrencies: (params:{}, context?:{}) => Promise<any>;
	publicSpotGetMarginSymbols: (params:{}, context?:{}) => Promise<any>;
	publicSpotGetMarkets: (params:{}, context?:{}) => Promise<any>;
	publicSpotGetOrderBook: (params:{}, context?:{}) => Promise<any>;
	publicSpotGetPing: (params:{}, context?:{}) => Promise<any>;
	publicSpotGetSpotSymbols: (params:{}, context?:{}) => Promise<any>;
	publicSpotGetTime: (params:{}, context?:{}) => Promise<any>;
	publicSpotGetTrades: (params:{}, context?:{}) => Promise<any>;
	publicSpotGetTradesSymbols: (params:{}, context?:{}) => Promise<any>;
	publicSpotGetTicker: (params:{}, context?:{}) => Promise<any>;
	publicSpotGetCurrencies: (params:{}, context?:{}) => Promise<any>;
	publicSwapGetPublicApiWeight: (params:{}, context?:{}) => Promise<any>;
	publicSwapGetPublicCandles: (params:{}, context?:{}) => Promise<any>;
	publicSwapGetPublicCandlesHistory: (params:{}, context?:{}) => Promise<any>;
	publicSwapGetPublicDepth: (params:{}, context?:{}) => Promise<any>;
	publicSwapGetPublicFundingRate: (params:{}, context?:{}) => Promise<any>;
	publicSwapGetPublicFundingRateHistory: (params:{}, context?:{}) => Promise<any>;
	publicSwapGetPublicInstrument: (params:{}, context?:{}) => Promise<any>;
	publicSwapGetPublicInstruments: (params:{}, context?:{}) => Promise<any>;
	publicSwapGetPublicTicker: (params:{}, context?:{}) => Promise<any>;
	publicSwapGetPublicTickers: (params:{}, context?:{}) => Promise<any>;
	publicSwapGetPublicTime: (params:{}, context?:{}) => Promise<any>;
	publicSwapGetPublicTrades: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetMarketFinancelog: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetMarketMytrades: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetMarketOrder: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetMarketOrderDetail: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetMarketOrderCurrent: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetMarketOrderHistory: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetMarginAssets: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetMarginFinancelog: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetMarginMytrades: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetMarginOrder: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetMarginOrderCurrent: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetMarginOrderHistory: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetMarginPositions: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetOtcFinancelog: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetSpotAssets: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetSpotFinancelog: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetSpotMytrades: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetSpotOrder: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetSpotOrderCurrent: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetSpotOrderHistory: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetDepositAddress: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetDepositHistory: (params:{}, context?:{}) => Promise<any>;
	privateSpotGetWithdrawHistory: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostMarketOrderCancel: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostMarketOrderNew: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostMarketOrderBatchNew: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostMarginOrderCancel: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostMarginOrderNew: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostMarginPositionClose: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostSpotOrderCancel: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostSpotOrderNew: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostTransfer: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostWithdrawNew: (params:{}, context?:{}) => Promise<any>;
	privateSpotPostWithdrawCancel: (params:{}, context?:{}) => Promise<any>;
	privateSwapGetAccountBalance: (params:{}, context?:{}) => Promise<any>;
	privateSwapGetAccountPositions: (params:{}, context?:{}) => Promise<any>;
	privateSwapGetAccountFinanceRecord: (params:{}, context?:{}) => Promise<any>;
	privateSwapGetAccountTradingFeeRate: (params:{}, context?:{}) => Promise<any>;
	privateSwapGetAccountTransferRecord: (params:{}, context?:{}) => Promise<any>;
	privateSwapGetTradeHistoryOrders: (params:{}, context?:{}) => Promise<any>;
	privateSwapGetTradeHistoryTrades: (params:{}, context?:{}) => Promise<any>;
	privateSwapGetTradeOpenOrders: (params:{}, context?:{}) => Promise<any>;
	privateSwapGetTradeOrderInfo: (params:{}, context?:{}) => Promise<any>;
	privateSwapPostAccountLeverage: (params:{}, context?:{}) => Promise<any>;
	privateSwapPostTradeBatchCancelOrder: (params:{}, context?:{}) => Promise<any>;
	privateSwapPostTradeBatchOrder: (params:{}, context?:{}) => Promise<any>;
	privateSwapPostTradeCancelOrder: (params:{}, context?:{}) => Promise<any>;
	privateSwapPostTradeOrderPlace: (params:{}, context?:{}) => Promise<any>;
}