import {gemini as Type} from 'ccxt';
export interface geminiRestApiType extends Type {
	webGetRestApi: (params:{}, context?:{}) => Promise<any>;
	publicGetV1Symbols: (params:{}, context?:{}) => Promise<any>;
	publicGetV1SymbolsDetailsSymbol: (params:{}, context?:{}) => Promise<any>;
	publicGetV1StakingRates: (params:{}, context?:{}) => Promise<any>;
	publicGetV1PubtickerSymbol: (params:{}, context?:{}) => Promise<any>;
	publicGetV2TickerSymbol: (params:{}, context?:{}) => Promise<any>;
	publicGetV2CandlesSymbolTimeframe: (params:{}, context?:{}) => Promise<any>;
	publicGetV1TradesSymbol: (params:{}, context?:{}) => Promise<any>;
	publicGetV1AuctionSymbol: (params:{}, context?:{}) => Promise<any>;
	publicGetV1AuctionSymbolHistory: (params:{}, context?:{}) => Promise<any>;
	publicGetV1Pricefeed: (params:{}, context?:{}) => Promise<any>;
	publicGetV1BookSymbol: (params:{}, context?:{}) => Promise<any>;
	publicGetV1EarnRates: (params:{}, context?:{}) => Promise<any>;
	privatePostV1StakingUnstake: (params:{}, context?:{}) => Promise<any>;
	privatePostV1StakingStake: (params:{}, context?:{}) => Promise<any>;
	privatePostV1StakingRewards: (params:{}, context?:{}) => Promise<any>;
	privatePostV1StakingHistory: (params:{}, context?:{}) => Promise<any>;
	privatePostV1OrderNew: (params:{}, context?:{}) => Promise<any>;
	privatePostV1OrderCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostV1WrapSymbol: (params:{}, context?:{}) => Promise<any>;
	privatePostV1OrderCancelSession: (params:{}, context?:{}) => Promise<any>;
	privatePostV1OrderCancelAll: (params:{}, context?:{}) => Promise<any>;
	privatePostV1OrderStatus: (params:{}, context?:{}) => Promise<any>;
	privatePostV1Orders: (params:{}, context?:{}) => Promise<any>;
	privatePostV1Mytrades: (params:{}, context?:{}) => Promise<any>;
	privatePostV1Notionalvolume: (params:{}, context?:{}) => Promise<any>;
	privatePostV1Tradevolume: (params:{}, context?:{}) => Promise<any>;
	privatePostV1ClearingNew: (params:{}, context?:{}) => Promise<any>;
	privatePostV1ClearingStatus: (params:{}, context?:{}) => Promise<any>;
	privatePostV1ClearingCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostV1ClearingConfirm: (params:{}, context?:{}) => Promise<any>;
	privatePostV1Balances: (params:{}, context?:{}) => Promise<any>;
	privatePostV1BalancesStaking: (params:{}, context?:{}) => Promise<any>;
	privatePostV1NotionalbalancesCurrency: (params:{}, context?:{}) => Promise<any>;
	privatePostV1Transfers: (params:{}, context?:{}) => Promise<any>;
	privatePostV1AddressesNetwork: (params:{}, context?:{}) => Promise<any>;
	privatePostV1DepositNetworkNewAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostV1DepositCurrencyNewAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostV1WithdrawCurrency: (params:{}, context?:{}) => Promise<any>;
	privatePostV1AccountTransferCurrency: (params:{}, context?:{}) => Promise<any>;
	privatePostV1PaymentsAddbank: (params:{}, context?:{}) => Promise<any>;
	privatePostV1PaymentsMethods: (params:{}, context?:{}) => Promise<any>;
	privatePostV1PaymentsSenWithdraw: (params:{}, context?:{}) => Promise<any>;
	privatePostV1BalancesEarn: (params:{}, context?:{}) => Promise<any>;
	privatePostV1EarnInterest: (params:{}, context?:{}) => Promise<any>;
	privatePostV1EarnHistory: (params:{}, context?:{}) => Promise<any>;
	privatePostV1ApprovedAddressesNetworkRequest: (params:{}, context?:{}) => Promise<any>;
	privatePostV1ApprovedAddressesAccountNetwork: (params:{}, context?:{}) => Promise<any>;
	privatePostV1ApprovedAddressesNetworkRemove: (params:{}, context?:{}) => Promise<any>;
	privatePostV1Account: (params:{}, context?:{}) => Promise<any>;
	privatePostV1AccountCreate: (params:{}, context?:{}) => Promise<any>;
	privatePostV1AccountList: (params:{}, context?:{}) => Promise<any>;
	privatePostV1Heartbeat: (params:{}, context?:{}) => Promise<any>;
}