import {huobi as Type} from 'ccxt';
export interface huobiRestApiType extends Type {
	v2PublicGetReferenceCurrencies: (params:{}, context?:{}) => Promise<any>;
	v2PublicGetMarketStatus: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAccountLedger: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAccountWithdrawQuota: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAccountWithdrawAddress: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAccountDepositAddress: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAccountRepayment: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetReferenceTransactFeeRate: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAccountAssetValuation: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetPointAccount: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetSubUserUserList: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetSubUserUserState: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetSubUserAccountList: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetSubUserDepositAddress: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetSubUserQueryDeposit: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetUserApiKey: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetUserUid: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAlgoOrdersOpening: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAlgoOrdersHistory: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAlgoOrdersSpecific: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetC2cOffers: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetC2cOffer: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetC2cTransactions: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetC2cRepayment: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetC2cAccount: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetEtpReference: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetEtpTransactions: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetEtpTransaction: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetEtpRebalance: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetEtpLimit: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostAccountTransfer: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostAccountRepayment: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPointTransfer: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostSubUserManagement: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostSubUserCreation: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostSubUserTradableMarket: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostSubUserTransferability: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostSubUserApiKeyGeneration: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostSubUserApiKeyModification: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostSubUserApiKeyDeletion: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostSubUserDeductMode: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostAlgoOrders: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostAlgoOrdersCancelAllAfter: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostAlgoOrdersCancellation: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostC2cOffer: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostC2cCancellation: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostC2cCancelAll: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostC2cRepayment: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostC2cTransfer: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostEtpCreation: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostEtpRedemption: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostEtpTransactIdCancel: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostEtpBatchCancel: (params:{}, context?:{}) => Promise<any>;
	publicGetCommonSymbols: (params:{}, context?:{}) => Promise<any>;
	publicGetCommonCurrencys: (params:{}, context?:{}) => Promise<any>;
	publicGetCommonTimestamp: (params:{}, context?:{}) => Promise<any>;
	publicGetCommonExchange: (params:{}, context?:{}) => Promise<any>;
	publicGetSettingsCurrencys: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountAccounts: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountAccountsIdBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountAccountsSubUid: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetCrossMarginLoanInfo: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginLoanInfo: (params:{}, context?:{}) => Promise<any>;
	privateGetFeeFeeRateGet: (params:{}, context?:{}) => Promise<any>;
	privateGetOrderOpenOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetOrderOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetOrderOrdersId: (params:{}, context?:{}) => Promise<any>;
	privateGetOrderOrdersIdMatchresults: (params:{}, context?:{}) => Promise<any>;
	privateGetOrderOrdersGetClientOrder: (params:{}, context?:{}) => Promise<any>;
	privateGetOrderHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetOrderMatchresults: (params:{}, context?:{}) => Promise<any>;
	privateGetQueryDepositWithdraw: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginLoanOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginAccountsBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetCrossMarginLoanOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetCrossMarginAccountsBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetPointsActions: (params:{}, context?:{}) => Promise<any>;
	privateGetPointsOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetSubuserAggregateBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetStableCoinExchangeRate: (params:{}, context?:{}) => Promise<any>;
	privateGetStableCoinQuote: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostFuturesTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderBatchOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderOrdersPlace: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderOrdersSubmitCancelClientOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderOrdersBatchCancelOpenOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderOrdersIdSubmitcancel: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderOrdersBatchcancel: (params:{}, context?:{}) => Promise<any>;
	privatePostDwWithdrawApiCreate: (params:{}, context?:{}) => Promise<any>;
	privatePostDwWithdrawVirtualIdCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostDwTransferInMargin: (params:{}, context?:{}) => Promise<any>;
	privatePostDwTransferOutMargin: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginOrdersIdRepay: (params:{}, context?:{}) => Promise<any>;
	privatePostCrossMarginTransferIn: (params:{}, context?:{}) => Promise<any>;
	privatePostCrossMarginTransferOut: (params:{}, context?:{}) => Promise<any>;
	privatePostCrossMarginOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostCrossMarginOrdersIdRepay: (params:{}, context?:{}) => Promise<any>;
	privatePostStableCoinExchange: (params:{}, context?:{}) => Promise<any>;
	privatePostSubuserTransfer: (params:{}, context?:{}) => Promise<any>;
	statusPublicSpotGetApiV2SummaryJson: (params:{}, context?:{}) => Promise<any>;
	statusPublicFutureInverseGetApiV2SummaryJson: (params:{}, context?:{}) => Promise<any>;
	statusPublicFutureLinearGetApiV2SummaryJson: (params:{}, context?:{}) => Promise<any>;
	statusPublicSwapInverseGetApiV2SummaryJson: (params:{}, context?:{}) => Promise<any>;
	statusPublicSwapLinearGetApiV2SummaryJson: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetV2MarketStatus: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetV1CommonSymbols: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetV1CommonCurrencys: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetV2SettingsCommonCurrencies: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetV2ReferenceCurrencies: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetV1CommonTimestamp: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetV1CommonExchange: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetV1SettingsCommonChains: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetV1SettingsCommonCurrencys: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetV1SettingsCommonSymbols: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetV2SettingsCommonSymbols: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetV1SettingsCommonMarketSymbols: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetMarketHistoryCandles: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetMarketHistoryKline: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetMarketDetailMerged: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetMarketTickers: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetMarketDetail: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetMarketDepth: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetMarketTrade: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetMarketHistoryTrade: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetMarketEtp: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetV2EtpReference: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetV2EtpRebalance: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV1AccountAccounts: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV1AccountAccountsAccountIdBalance: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV2AccountValuation: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV2AccountAssetValuation: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV1AccountHistory: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV2AccountLedger: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV2PointAccount: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV2AccountDepositAddress: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV2AccountWithdrawQuota: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV2AccountWithdrawAddress: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV2ReferenceCurrencies: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV1QueryDepositWithdraw: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV1QueryWithdrawClientOrderId: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV2UserApiKey: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV2UserUid: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV2SubUserUserList: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV2SubUserUserState: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV2SubUserAccountList: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV2SubUserDepositAddress: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV2SubUserQueryDeposit: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV1SubuserAggregateBalance: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV1AccountAccountsSubUid: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV1OrderOpenOrders: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV1OrderOrdersOrderId: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV1OrderOrdersGetClientOrder: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV1OrderOrdersOrderIdMatchresult: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV1OrderOrdersOrderIdMatchresults: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV1OrderOrders: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV1OrderHistory: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV1OrderMatchresults: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV2ReferenceTransactFeeRate: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV2AlgoOrdersOpening: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV2AlgoOrdersHistory: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV2AlgoOrdersSpecific: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV1MarginLoanInfo: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV1MarginLoanOrders: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV1MarginAccountsBalance: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV1CrossMarginLoanInfo: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV1CrossMarginLoanOrders: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV1CrossMarginAccountsBalance: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV2AccountRepayment: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV1StableCoinQuote: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV1StableCoinExchangeRate: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV2EtpTransactions: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV2EtpTransaction: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetV2EtpLimit: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV1AccountTransfer: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV1FuturesTransfer: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV2PointTransfer: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV2AccountTransfer: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV1DwWithdrawApiCreate: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV1DwWithdrawVirtualWithdrawIdCancel: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV2SubUserDeductMode: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV2SubUserCreation: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV2SubUserManagement: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV2SubUserTradableMarket: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV2SubUserTransferability: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV2SubUserApiKeyGeneration: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV2SubUserApiKeyModification: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV2SubUserApiKeyDeletion: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV1SubuserTransfer: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV1OrderOrdersPlace: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV1OrderBatchOrders: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV1OrderOrdersOrderIdSubmitcancel: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV1OrderOrdersSubmitCancelClientOrder: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV1OrderOrdersBatchCancelOpenOrders: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV1OrderOrdersBatchcancel: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV2AlgoOrdersCancelAllAfter: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV2AlgoOrders: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV2AlgoOrdersCancellation: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV2AccountRepayment: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV1DwTransferInMargin: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV1DwTransferOutMargin: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV1MarginOrders: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV1MarginOrdersOrderIdRepay: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV1CrossMarginTransferIn: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV1CrossMarginTransferOut: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV1CrossMarginOrders: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV1CrossMarginOrdersOrderIdRepay: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV1StableCoinExchange: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV2EtpCreation: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV2EtpRedemption: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV2EtpTransactIdCancel: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostV2EtpBatchCancel: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetApiV1Timestamp: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetHeartbeat: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetApiV1ContractContractInfo: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetApiV1ContractIndex: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetApiV1ContractPriceLimit: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetApiV1ContractOpenInterest: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetApiV1ContractDeliveryPrice: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetMarketDepth: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetMarketBbo: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetMarketHistoryKline: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetIndexMarketHistoryMarkPriceKline: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetMarketDetailMerged: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetMarketDetailBatchMerged: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetV2MarketDetailBatchMerged: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetMarketTrade: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetMarketHistoryTrade: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetApiV1ContractRiskInfo: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetApiV1ContractInsuranceFund: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetApiV1ContractAdjustfactor: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetApiV1ContractHisOpenInterest: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetApiV1ContractLadderMargin: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetApiV1ContractApiState: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetApiV1ContractEliteAccountRatio: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetApiV1ContractElitePositionRatio: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetApiV1ContractLiquidationOrders: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetApiV1ContractSettlementRecords: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetIndexMarketHistoryIndex: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetIndexMarketHistoryBasis: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetApiV1ContractEstimatedSettlementPrice: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetApiV3ContractLiquidationOrders: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetSwapApiV1SwapContractInfo: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetSwapApiV1SwapIndex: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetSwapApiV1SwapPriceLimit: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetSwapApiV1SwapOpenInterest: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetSwapExMarketDepth: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetSwapExMarketBbo: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetSwapExMarketHistoryKline: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetIndexMarketHistorySwapMarkPriceKline: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetSwapExMarketDetailMerged: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetV2SwapExMarketDetailBatchMerged: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetIndexMarketHistorySwapPremiumIndexKline: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetSwapExMarketDetailBatchMerged: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetSwapExMarketTrade: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetSwapExMarketHistoryTrade: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetSwapApiV1SwapRiskInfo: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetSwapApiV1SwapInsuranceFund: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetSwapApiV1SwapAdjustfactor: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetSwapApiV1SwapHisOpenInterest: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetSwapApiV1SwapLadderMargin: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetSwapApiV1SwapApiState: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetSwapApiV1SwapEliteAccountRatio: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetSwapApiV1SwapElitePositionRatio: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetSwapApiV1SwapEstimatedSettlementPrice: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetSwapApiV1SwapLiquidationOrders: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetSwapApiV1SwapSettlementRecords: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetSwapApiV1SwapFundingRate: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetSwapApiV1SwapBatchFundingRate: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetSwapApiV1SwapHistoricalFundingRate: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetSwapApiV3SwapLiquidationOrders: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetIndexMarketHistorySwapEstimatedRateKline: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetIndexMarketHistorySwapBasis: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetLinearSwapApiV1SwapContractInfo: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetLinearSwapApiV1SwapIndex: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetLinearSwapApiV1SwapPriceLimit: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetLinearSwapApiV1SwapOpenInterest: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetLinearSwapExMarketDepth: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetLinearSwapExMarketBbo: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetLinearSwapExMarketHistoryKline: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetIndexMarketHistoryLinearSwapMarkPriceKline: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetLinearSwapExMarketDetailMerged: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetLinearSwapExMarketDetailBatchMerged: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetV2LinearSwapExMarketDetailBatchMerged: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetLinearSwapExMarketTrade: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetLinearSwapExMarketHistoryTrade: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetLinearSwapApiV1SwapRiskInfo: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetSwapApiV1LinearSwapApiV1SwapInsuranceFund: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetLinearSwapApiV1SwapAdjustfactor: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetLinearSwapApiV1SwapCrossAdjustfactor: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetLinearSwapApiV1SwapHisOpenInterest: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetLinearSwapApiV1SwapLadderMargin: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetLinearSwapApiV1SwapCrossLadderMargin: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetLinearSwapApiV1SwapApiState: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetLinearSwapApiV1SwapCrossTransferState: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetLinearSwapApiV1SwapCrossTradeState: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetLinearSwapApiV1SwapEliteAccountRatio: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetLinearSwapApiV1SwapElitePositionRatio: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetLinearSwapApiV1SwapLiquidationOrders: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetLinearSwapApiV1SwapSettlementRecords: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetLinearSwapApiV1SwapFundingRate: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetLinearSwapApiV1SwapBatchFundingRate: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetLinearSwapApiV1SwapHistoricalFundingRate: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetLinearSwapApiV3SwapLiquidationOrders: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetIndexMarketHistoryLinearSwapPremiumIndexKline: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetIndexMarketHistoryLinearSwapEstimatedRateKline: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetIndexMarketHistoryLinearSwapBasis: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetLinearSwapApiV1SwapEstimatedSettlementPrice: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetApiV1ContractApiTradingStatus: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetSwapApiV1SwapApiTradingStatus: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetLinearSwapApiV1SwapApiTradingStatus: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetLinearSwapApiV3UnifiedAccountInfo: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetLinearSwapApiV3SwapUnifiedAccountType: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractBalanceValuation: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractAccountInfo: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractPositionInfo: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractSubAuth: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractSubAccountList: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractSubAccountInfoList: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractSubAccountInfo: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractSubPositionInfo: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractFinancialRecord: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractFinancialRecordExact: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractUserSettlementRecords: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractOrderLimit: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractFee: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractTransferLimit: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractPositionLimit: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractAccountPositionInfo: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractMasterSubTransfer: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractMasterSubTransferRecord: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractAvailableLevelRate: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV3ContractFinancialRecord: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV3ContractFinancialRecordExact: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractOrder: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostV1ContractBatchorder: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractCancel: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractCancelall: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractSwitchLeverRate: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1LightningClosePosition: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractOrderInfo: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractOrderDetail: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractOpenorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractHisorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractHisordersExact: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractMatchresults: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractMatchresultsExact: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV3ContractHisorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV3ContractHisordersExact: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV3ContractMatchresults: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV3ContractMatchresultsExact: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractTriggerOrder: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractTriggerCancel: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractTriggerCancelall: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractTriggerOpenorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractTriggerHisorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractTpslOrder: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractTpslCancel: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractTpslCancelall: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractTpslOpenorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractTpslHisorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractRelationTpslOrder: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractTrackOrder: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractTrackCancel: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractTrackCancelall: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractTrackOpenorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostApiV1ContractTrackHisorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapBalanceValuation: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapAccountInfo: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapPositionInfo: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapAccountPositionInfo: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapSubAuth: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapSubAccountList: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapSubAccountInfoList: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapSubAccountInfo: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapSubPositionInfo: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapFinancialRecord: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapFinancialRecordExact: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapUserSettlementRecords: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapAvailableLevelRate: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapOrderLimit: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapFee: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapTransferLimit: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapPositionLimit: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapMasterSubTransfer: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapMasterSubTransferRecord: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV3SwapFinancialRecord: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV3SwapFinancialRecordExact: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapOrder: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapBatchorder: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapCancel: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapCancelall: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapLightningClosePosition: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapSwitchLeverRate: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapOrderInfo: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapOrderDetail: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapOpenorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapHisorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapHisordersExact: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapMatchresults: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapMatchresultsExact: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV3SwapMatchresults: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV3SwapMatchresultsExact: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV3SwapHisorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV3SwapHisordersExact: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapTriggerOrder: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapTriggerCancel: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapTriggerCancelall: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapTriggerOpenorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapTriggerHisorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapTpslOrder: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapTpslCancel: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapTpslCancelall: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapTpslOpenorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapTpslHisorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapRelationTpslOrder: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapTrackOrder: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapTrackCancel: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapTrackCancelall: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapTrackOpenorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostSwapApiV1SwapTrackHisorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapLeverPositionLimit: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossLeverPositionLimit: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapBalanceValuation: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapAccountInfo: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossAccountInfo: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapPositionInfo: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossPositionInfo: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapAccountPositionInfo: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossAccountPositionInfo: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapSubAuth: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapSubAccountList: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossSubAccountList: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapSubAccountInfoList: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossSubAccountInfoList: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapSubAccountInfo: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossSubAccountInfo: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapSubPositionInfo: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossSubPositionInfo: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapFinancialRecord: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapFinancialRecordExact: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapUserSettlementRecords: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossUserSettlementRecords: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapAvailableLevelRate: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossAvailableLevelRate: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapOrderLimit: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapFee: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapTransferLimit: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossTransferLimit: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapPositionLimit: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossPositionLimit: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapMasterSubTransfer: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapMasterSubTransferRecord: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapTransferInner: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV3SwapFinancialRecord: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV3SwapFinancialRecordExact: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapOrder: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossOrder: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapBatchorder: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossBatchorder: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCancel: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossCancel: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCancelall: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossCancelall: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapSwitchLeverRate: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossSwitchLeverRate: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapLightningClosePosition: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossLightningClosePosition: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapOrderInfo: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossOrderInfo: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapOrderDetail: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossOrderDetail: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapOpenorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossOpenorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapHisorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossHisorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapHisordersExact: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossHisordersExact: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapMatchresults: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossMatchresults: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapMatchresultsExact: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossMatchresultsExact: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapSwitchPositionMode: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossSwitchPositionMode: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV3SwapMatchresults: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV3SwapCrossMatchresults: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV3SwapMatchresultsExact: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV3SwapCrossMatchresultsExact: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV3SwapHisorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV3SwapCrossHisorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV3SwapHisordersExact: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV3SwapCrossHisordersExact: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV3SwapSwitchAccountType: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapTriggerOrder: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossTriggerOrder: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapTriggerCancel: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossTriggerCancel: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapTriggerCancelall: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossTriggerCancelall: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapTriggerOpenorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossTriggerOpenorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapTriggerHisorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossTriggerHisorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapTpslOrder: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossTpslOrder: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapTpslCancel: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossTpslCancel: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapTpslCancelall: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossTpslCancelall: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapTpslOpenorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossTpslOpenorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapTpslHisorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossTpslHisorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapRelationTpslOrder: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossRelationTpslOrder: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapTrackOrder: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossTrackOrder: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapTrackCancel: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossTrackCancel: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapTrackCancelall: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossTrackCancelall: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapTrackOpenorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossTrackOpenorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapTrackHisorders: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostLinearSwapApiV1SwapCrossTrackHisorders: (params:{}, context?:{}) => Promise<any>;
}