import {huobijp as Type} from 'ccxt';
export interface huobijpRestApiType extends Type {
	v2PublicGetReferenceCurrencies: (params:{}, context?:{}) => Promise<any>;
	v2PublicGetMarketStatus: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAccountLedger: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAccountWithdrawQuota: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAccountWithdrawAddress: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAccountDepositAddress: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAccountRepayment: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetReferenceTransactFeeRate: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAccountAssetValuation: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetPointAccount: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetSubUserUserList: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetSubUserUserState: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetSubUserAccountList: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetSubUserDepositAddress: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetSubUserQueryDeposit: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetUserApiKey: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetUserUid: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAlgoOrdersOpening: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAlgoOrdersHistory: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetAlgoOrdersSpecific: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetC2cOffers: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetC2cOffer: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetC2cTransactions: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetC2cRepayment: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetC2cAccount: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetEtpReference: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetEtpTransactions: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetEtpTransaction: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetEtpRebalance: (params:{}, context?:{}) => Promise<any>;
	v2PrivateGetEtpLimit: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostAccountTransfer: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostAccountRepayment: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostPointTransfer: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostSubUserManagement: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostSubUserCreation: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostSubUserTradableMarket: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostSubUserTransferability: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostSubUserApiKeyGeneration: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostSubUserApiKeyModification: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostSubUserApiKeyDeletion: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostSubUserDeductMode: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostAlgoOrders: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostAlgoOrdersCancelAllAfter: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostAlgoOrdersCancellation: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostC2cOffer: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostC2cCancellation: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostC2cCancelAll: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostC2cRepayment: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostC2cTransfer: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostEtpCreation: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostEtpRedemption: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostEtpTransactIdCancel: (params:{}, context?:{}) => Promise<any>;
	v2PrivatePostEtpBatchCancel: (params:{}, context?:{}) => Promise<any>;
	marketGetHistoryKline: (params:{}, context?:{}) => Promise<any>;
	marketGetDetailMerged: (params:{}, context?:{}) => Promise<any>;
	marketGetDepth: (params:{}, context?:{}) => Promise<any>;
	marketGetTrade: (params:{}, context?:{}) => Promise<any>;
	marketGetHistoryTrade: (params:{}, context?:{}) => Promise<any>;
	marketGetDetail: (params:{}, context?:{}) => Promise<any>;
	marketGetTickers: (params:{}, context?:{}) => Promise<any>;
	marketGetEtp: (params:{}, context?:{}) => Promise<any>;
	publicGetCommonSymbols: (params:{}, context?:{}) => Promise<any>;
	publicGetCommonCurrencys: (params:{}, context?:{}) => Promise<any>;
	publicGetCommonTimestamp: (params:{}, context?:{}) => Promise<any>;
	publicGetCommonExchange: (params:{}, context?:{}) => Promise<any>;
	publicGetSettingsCurrencys: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountAccounts: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountAccountsIdBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountAccountsSubUid: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetCrossMarginLoanInfo: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginLoanInfo: (params:{}, context?:{}) => Promise<any>;
	privateGetFeeFeeRateGet: (params:{}, context?:{}) => Promise<any>;
	privateGetOrderOpenOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetOrderOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetOrderOrdersId: (params:{}, context?:{}) => Promise<any>;
	privateGetOrderOrdersIdMatchresults: (params:{}, context?:{}) => Promise<any>;
	privateGetOrderOrdersGetClientOrder: (params:{}, context?:{}) => Promise<any>;
	privateGetOrderHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetOrderMatchresults: (params:{}, context?:{}) => Promise<any>;
	privateGetQueryDepositWithdraw: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginLoanOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetMarginAccountsBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetCrossMarginLoanOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetCrossMarginAccountsBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetPointsActions: (params:{}, context?:{}) => Promise<any>;
	privateGetPointsOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetSubuserAggregateBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetStableCoinExchangeRate: (params:{}, context?:{}) => Promise<any>;
	privateGetStableCoinQuote: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostFuturesTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderBatchOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderOrdersPlace: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderOrdersSubmitCancelClientOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderOrdersBatchCancelOpenOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderOrdersIdSubmitcancel: (params:{}, context?:{}) => Promise<any>;
	privatePostOrderOrdersBatchcancel: (params:{}, context?:{}) => Promise<any>;
	privatePostDwWithdrawApiCreate: (params:{}, context?:{}) => Promise<any>;
	privatePostDwWithdrawVirtualIdCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostDwTransferInMargin: (params:{}, context?:{}) => Promise<any>;
	privatePostDwTransferOutMargin: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostMarginOrdersIdRepay: (params:{}, context?:{}) => Promise<any>;
	privatePostCrossMarginTransferIn: (params:{}, context?:{}) => Promise<any>;
	privatePostCrossMarginTransferOut: (params:{}, context?:{}) => Promise<any>;
	privatePostCrossMarginOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostCrossMarginOrdersIdRepay: (params:{}, context?:{}) => Promise<any>;
	privatePostStableCoinExchange: (params:{}, context?:{}) => Promise<any>;
	privatePostSubuserTransfer: (params:{}, context?:{}) => Promise<any>;
}