import {latoken as Type} from 'ccxt';
export interface latokenRestApiType extends Type {
	publicGetBookCurrencyQuote: (params:{}, context?:{}) => Promise<any>;
	publicGetChartWeek: (params:{}, context?:{}) => Promise<any>;
	publicGetChartWeekCurrencyQuote: (params:{}, context?:{}) => Promise<any>;
	publicGetCurrency: (params:{}, context?:{}) => Promise<any>;
	publicGetCurrencyAvailable: (params:{}, context?:{}) => Promise<any>;
	publicGetCurrencyQuotes: (params:{}, context?:{}) => Promise<any>;
	publicGetCurrencyCurrency: (params:{}, context?:{}) => Promise<any>;
	publicGetPair: (params:{}, context?:{}) => Promise<any>;
	publicGetPairAvailable: (params:{}, context?:{}) => Promise<any>;
	publicGetTicker: (params:{}, context?:{}) => Promise<any>;
	publicGetTickerBaseQuote: (params:{}, context?:{}) => Promise<any>;
	publicGetTime: (params:{}, context?:{}) => Promise<any>;
	publicGetTradeHistoryCurrencyQuote: (params:{}, context?:{}) => Promise<any>;
	publicGetTradeFeeCurrencyQuote: (params:{}, context?:{}) => Promise<any>;
	publicGetTradeFeeLevels: (params:{}, context?:{}) => Promise<any>;
	publicGetTransactionBindings: (params:{}, context?:{}) => Promise<any>;
	privateGetAuthAccount: (params:{}, context?:{}) => Promise<any>;
	privateGetAuthAccountCurrencyCurrencyType: (params:{}, context?:{}) => Promise<any>;
	privateGetAuthOrder: (params:{}, context?:{}) => Promise<any>;
	privateGetAuthOrderGetOrderId: (params:{}, context?:{}) => Promise<any>;
	privateGetAuthOrderPairCurrencyQuote: (params:{}, context?:{}) => Promise<any>;
	privateGetAuthOrderPairCurrencyQuoteActive: (params:{}, context?:{}) => Promise<any>;
	privateGetAuthStopOrder: (params:{}, context?:{}) => Promise<any>;
	privateGetAuthStopOrderGetOrderId: (params:{}, context?:{}) => Promise<any>;
	privateGetAuthStopOrderPairCurrencyQuote: (params:{}, context?:{}) => Promise<any>;
	privateGetAuthStopOrderPairCurrencyQuoteActive: (params:{}, context?:{}) => Promise<any>;
	privateGetAuthTrade: (params:{}, context?:{}) => Promise<any>;
	privateGetAuthTradePairCurrencyQuote: (params:{}, context?:{}) => Promise<any>;
	privateGetAuthTradeFeeCurrencyQuote: (params:{}, context?:{}) => Promise<any>;
	privateGetAuthTransaction: (params:{}, context?:{}) => Promise<any>;
	privateGetAuthTransactionBindings: (params:{}, context?:{}) => Promise<any>;
	privateGetAuthTransactionBindingsCurrency: (params:{}, context?:{}) => Promise<any>;
	privateGetAuthTransactionId: (params:{}, context?:{}) => Promise<any>;
	privateGetAuthTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthOrderCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthOrderCancelAll: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthOrderCancelAllCurrencyQuote: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthOrderPlace: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthSpotDeposit: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthSpotWithdraw: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthStopOrderCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthStopOrderCancelAll: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthStopOrderCancelAllCurrencyQuote: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthStopOrderPlace: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthTransactionDepositAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthTransactionWithdraw: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthTransactionWithdrawCancel: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthTransactionWithdrawConfirm: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthTransactionWithdrawResendCode: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthTransferEmail: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthTransferId: (params:{}, context?:{}) => Promise<any>;
	privatePostAuthTransferPhone: (params:{}, context?:{}) => Promise<any>;
}