import {luno as Type} from 'ccxt';
export interface lunoRestApiType extends Type {
	exchangeGetMarkets: (params:{}, context?:{}) => Promise<any>;
	publicGetOrderbook: (params:{}, context?:{}) => Promise<any>;
	publicGetOrderbookTop: (params:{}, context?:{}) => Promise<any>;
	publicGetTicker: (params:{}, context?:{}) => Promise<any>;
	publicGetTickers: (params:{}, context?:{}) => Promise<any>;
	publicGetTrades: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountsIdPending: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountsIdTransactions: (params:{}, context?:{}) => Promise<any>;
	privateGetBalance: (params:{}, context?:{}) => Promise<any>;
	privateGetBeneficiaries: (params:{}, context?:{}) => Promise<any>;
	privateGetFeeInfo: (params:{}, context?:{}) => Promise<any>;
	privateGetFundingAddress: (params:{}, context?:{}) => Promise<any>;
	privateGetListorders: (params:{}, context?:{}) => Promise<any>;
	privateGetListtrades: (params:{}, context?:{}) => Promise<any>;
	privateGetOrdersId: (params:{}, context?:{}) => Promise<any>;
	privateGetQuotesId: (params:{}, context?:{}) => Promise<any>;
	privateGetWithdrawals: (params:{}, context?:{}) => Promise<any>;
	privateGetWithdrawalsId: (params:{}, context?:{}) => Promise<any>;
	privateGetTransfers: (params:{}, context?:{}) => Promise<any>;
	privatePostAccounts: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountsIdName: (params:{}, context?:{}) => Promise<any>;
	privatePostPostorder: (params:{}, context?:{}) => Promise<any>;
	privatePostMarketorder: (params:{}, context?:{}) => Promise<any>;
	privatePostStoporder: (params:{}, context?:{}) => Promise<any>;
	privatePostFundingAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostWithdrawals: (params:{}, context?:{}) => Promise<any>;
	privatePostSend: (params:{}, context?:{}) => Promise<any>;
	privatePostQuotes: (params:{}, context?:{}) => Promise<any>;
	privatePostOauth2Grant: (params:{}, context?:{}) => Promise<any>;
	privatePutAccountsIdName: (params:{}, context?:{}) => Promise<any>;
	privatePutQuotesId: (params:{}, context?:{}) => Promise<any>;
	privateDeleteQuotesId: (params:{}, context?:{}) => Promise<any>;
	privateDeleteWithdrawalsId: (params:{}, context?:{}) => Promise<any>;
}