import {mexc3 as Type} from 'ccxt';
export interface mexc3RestApiType extends Type {
	spotPublicGetPing: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetTime: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetExchangeInfo: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetDepth: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetTrades: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetHistoricalTrades: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetAggTrades: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetKlines: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetAvgPrice: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetTicker24hr: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetTickerPrice: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetTickerBookTicker: (params:{}, context?:{}) => Promise<any>;
	spotPublicGetEtfInfo: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetOrder: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetOpenOrders: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetAllOrders: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetAccount: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetMyTrades: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetSubAccountList: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetSubAccountApiKey: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetCapitalConfigGetall: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetCapitalDepositHisrec: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetCapitalWithdrawHistory: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetCapitalDepositAddress: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetCapitalTransfer: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetCapitalSubAccountUniversalTransfer: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetCapitalConvert: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetCapitalConvertList: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetMarginLoan: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetMarginAllOrders: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetMarginMyTrades: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetMarginOpenOrders: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetMarginMaxTransferable: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetMarginPriceIndex: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetMarginOrder: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetMarginIsolatedAccount: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetMarginMaxBorrowable: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetMarginRepay: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetMarginIsolatedPair: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetMarginForceLiquidationRec: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetMarginIsolatedMarginData: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetMarginIsolatedMarginTier: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetRebateTaxQuery: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetRebateDetail: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetRebateDetailKickback: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetRebateReferCode: (params:{}, context?:{}) => Promise<any>;
	spotPrivateGetMxDeductEnable: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostOrder: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostOrderTest: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostSubAccountVirtualSubAccount: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostSubAccountApiKey: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostSubAccountFutures: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostSubAccountMargin: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostBatchOrders: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostCapitalWithdrawApply: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostCapitalTransfer: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostCapitalDepositAddress: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostCapitalSubAccountUniversalTransfer: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostCapitalConvert: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostMarginTradeMode: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostMarginOrder: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostMarginLoan: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostMarginRepay: (params:{}, context?:{}) => Promise<any>;
	spotPrivatePostMxDeductEnable: (params:{}, context?:{}) => Promise<any>;
	spotPrivateDeleteOrder: (params:{}, context?:{}) => Promise<any>;
	spotPrivateDeleteOpenOrders: (params:{}, context?:{}) => Promise<any>;
	spotPrivateDeleteSubAccountApiKey: (params:{}, context?:{}) => Promise<any>;
	spotPrivateDeleteMarginOrder: (params:{}, context?:{}) => Promise<any>;
	spotPrivateDeleteMarginOpenOrders: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetPing: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetDetail: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetSupportCurrencies: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetDepthSymbol: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetDepthCommitsSymbolLimit: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetIndexPriceSymbol: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetFairPriceSymbol: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetFundingRateSymbol: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetKlineSymbol: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetKlineIndexPriceSymbol: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetKlineFairPriceSymbol: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetDealsSymbol: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetTicker: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetRiskReverse: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetRiskReverseHistory: (params:{}, context?:{}) => Promise<any>;
	contractPublicGetFundingRateHistory: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetAccountAssets: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetAccountAssetCurrency: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetAccountTransferRecord: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetPositionListHistoryPositions: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetPositionOpenPositions: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetPositionFundingRecords: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetPositionPositionMode: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetOrderListOpenOrdersSymbol: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetOrderListHistoryOrders: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetOrderExternalSymbolExternalOid: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetOrderGetOrderId: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetOrderBatchQuery: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetOrderDealDetailsOrderId: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetOrderListOrderDeals: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetPlanorderListOrders: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetStoporderListOrders: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetStoporderOrderDetailsStopOrderId: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetAccountRiskLimit: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetAccountTieredFeeRate: (params:{}, context?:{}) => Promise<any>;
	contractPrivateGetPositionLeverage: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostPositionChangeMargin: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostPositionChangeLeverage: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostPositionChangePositionMode: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostOrderSubmit: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostOrderSubmitBatch: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostOrderCancel: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostOrderCancelWithExternal: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostOrderCancelAll: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostAccountChangeRiskLevel: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostPlanorderPlace: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostPlanorderCancel: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostPlanorderCancelAll: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostStoporderCancel: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostStoporderCancelAll: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostStoporderChangePrice: (params:{}, context?:{}) => Promise<any>;
	contractPrivatePostStoporderChangePlanPrice: (params:{}, context?:{}) => Promise<any>;
	spot2PublicGetMarketSymbols: (params:{}, context?:{}) => Promise<any>;
	spot2PublicGetMarketCoinList: (params:{}, context?:{}) => Promise<any>;
	spot2PublicGetCommonTimestamp: (params:{}, context?:{}) => Promise<any>;
	spot2PublicGetCommonPing: (params:{}, context?:{}) => Promise<any>;
	spot2PublicGetMarketTicker: (params:{}, context?:{}) => Promise<any>;
	spot2PublicGetMarketDepth: (params:{}, context?:{}) => Promise<any>;
	spot2PublicGetMarketDeals: (params:{}, context?:{}) => Promise<any>;
	spot2PublicGetMarketKline: (params:{}, context?:{}) => Promise<any>;
	spot2PublicGetMarketApiDefaultSymbols: (params:{}, context?:{}) => Promise<any>;
	spot2PrivateGetAccountInfo: (params:{}, context?:{}) => Promise<any>;
	spot2PrivateGetOrderOpenOrders: (params:{}, context?:{}) => Promise<any>;
	spot2PrivateGetOrderList: (params:{}, context?:{}) => Promise<any>;
	spot2PrivateGetOrderQuery: (params:{}, context?:{}) => Promise<any>;
	spot2PrivateGetOrderDeals: (params:{}, context?:{}) => Promise<any>;
	spot2PrivateGetOrderDealDetail: (params:{}, context?:{}) => Promise<any>;
	spot2PrivateGetAssetDepositAddressList: (params:{}, context?:{}) => Promise<any>;
	spot2PrivateGetAssetDepositList: (params:{}, context?:{}) => Promise<any>;
	spot2PrivateGetAssetAddressList: (params:{}, context?:{}) => Promise<any>;
	spot2PrivateGetAssetWithdrawList: (params:{}, context?:{}) => Promise<any>;
	spot2PrivateGetAssetInternalTransferRecord: (params:{}, context?:{}) => Promise<any>;
	spot2PrivateGetAccountBalance: (params:{}, context?:{}) => Promise<any>;
	spot2PrivateGetAssetInternalTransferInfo: (params:{}, context?:{}) => Promise<any>;
	spot2PrivateGetMarketApiSymbols: (params:{}, context?:{}) => Promise<any>;
	spot2PrivatePostOrderPlace: (params:{}, context?:{}) => Promise<any>;
	spot2PrivatePostOrderPlaceBatch: (params:{}, context?:{}) => Promise<any>;
	spot2PrivatePostOrderAdvancedPlaceBatch: (params:{}, context?:{}) => Promise<any>;
	spot2PrivatePostAssetWithdraw: (params:{}, context?:{}) => Promise<any>;
	spot2PrivatePostAssetInternalTransfer: (params:{}, context?:{}) => Promise<any>;
	spot2PrivateDeleteOrderCancel: (params:{}, context?:{}) => Promise<any>;
	spot2PrivateDeleteOrderCancelBySymbol: (params:{}, context?:{}) => Promise<any>;
	spot2PrivateDeleteAssetWithdraw: (params:{}, context?:{}) => Promise<any>;
}