import {ndax as Type} from 'ccxt';
export interface ndaxRestApiType extends Type {
	publicGetActivate2FA: (params:{}, context?:{}) => Promise<any>;
	publicGetAuthenticate2FA: (params:{}, context?:{}) => Promise<any>;
	publicGetAuthenticateUser: (params:{}, context?:{}) => Promise<any>;
	publicGetGetL2Snapshot: (params:{}, context?:{}) => Promise<any>;
	publicGetGetLevel1: (params:{}, context?:{}) => Promise<any>;
	publicGetGetValidate2FARequiredEndpoints: (params:{}, context?:{}) => Promise<any>;
	publicGetLogOut: (params:{}, context?:{}) => Promise<any>;
	publicGetGetTickerHistory: (params:{}, context?:{}) => Promise<any>;
	publicGetGetProduct: (params:{}, context?:{}) => Promise<any>;
	publicGetGetProducts: (params:{}, context?:{}) => Promise<any>;
	publicGetGetInstrument: (params:{}, context?:{}) => Promise<any>;
	publicGetGetInstruments: (params:{}, context?:{}) => Promise<any>;
	publicGetPing: (params:{}, context?:{}) => Promise<any>;
	publicGetTrades: (params:{}, context?:{}) => Promise<any>;
	publicGetGetLastTrades: (params:{}, context?:{}) => Promise<any>;
	publicGetSubscribeLevel1: (params:{}, context?:{}) => Promise<any>;
	publicGetSubscribeLevel2: (params:{}, context?:{}) => Promise<any>;
	publicGetSubscribeTicker: (params:{}, context?:{}) => Promise<any>;
	publicGetSubscribeTrades: (params:{}, context?:{}) => Promise<any>;
	publicGetSubscribeBlockTrades: (params:{}, context?:{}) => Promise<any>;
	publicGetUnsubscribeBlockTrades: (params:{}, context?:{}) => Promise<any>;
	publicGetUnsubscribeLevel1: (params:{}, context?:{}) => Promise<any>;
	publicGetUnsubscribeLevel2: (params:{}, context?:{}) => Promise<any>;
	publicGetUnsubscribeTicker: (params:{}, context?:{}) => Promise<any>;
	publicGetUnsubscribeTrades: (params:{}, context?:{}) => Promise<any>;
	publicGetAuthenticate: (params:{}, context?:{}) => Promise<any>;
	privateGetGetUserAccountInfos: (params:{}, context?:{}) => Promise<any>;
	privateGetGetUserAccounts: (params:{}, context?:{}) => Promise<any>;
	privateGetGetUserAffiliateCount: (params:{}, context?:{}) => Promise<any>;
	privateGetGetUserAffiliateTag: (params:{}, context?:{}) => Promise<any>;
	privateGetGetUserConfig: (params:{}, context?:{}) => Promise<any>;
	privateGetGetAllUnredactedUserConfigsForUser: (params:{}, context?:{}) => Promise<any>;
	privateGetGetUnredactedUserConfigByKey: (params:{}, context?:{}) => Promise<any>;
	privateGetGetUserDevices: (params:{}, context?:{}) => Promise<any>;
	privateGetGetUserReportTickets: (params:{}, context?:{}) => Promise<any>;
	privateGetGetUserReportWriterResultRecords: (params:{}, context?:{}) => Promise<any>;
	privateGetGetAccountInfo: (params:{}, context?:{}) => Promise<any>;
	privateGetGetAccountPositions: (params:{}, context?:{}) => Promise<any>;
	privateGetGetAllAccountConfigs: (params:{}, context?:{}) => Promise<any>;
	privateGetGetTreasuryProductsForAccount: (params:{}, context?:{}) => Promise<any>;
	privateGetGetAccountTrades: (params:{}, context?:{}) => Promise<any>;
	privateGetGetAccountTransactions: (params:{}, context?:{}) => Promise<any>;
	privateGetGetOpenTradeReports: (params:{}, context?:{}) => Promise<any>;
	privateGetGetAllOpenTradeReports: (params:{}, context?:{}) => Promise<any>;
	privateGetGetTradesHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetGetOpenOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetGetOpenQuotes: (params:{}, context?:{}) => Promise<any>;
	privateGetGetOrderFee: (params:{}, context?:{}) => Promise<any>;
	privateGetGetOrderHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetGetOrdersHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetGetOrderStatus: (params:{}, context?:{}) => Promise<any>;
	privateGetGetOmsFeeTiers: (params:{}, context?:{}) => Promise<any>;
	privateGetGetAccountDepositTransactions: (params:{}, context?:{}) => Promise<any>;
	privateGetGetAccountWithdrawTransactions: (params:{}, context?:{}) => Promise<any>;
	privateGetGetAllDepositRequestInfoTemplates: (params:{}, context?:{}) => Promise<any>;
	privateGetGetDepositInfo: (params:{}, context?:{}) => Promise<any>;
	privateGetGetDepositRequestInfoTemplate: (params:{}, context?:{}) => Promise<any>;
	privateGetGetDeposits: (params:{}, context?:{}) => Promise<any>;
	privateGetGetDepositTicket: (params:{}, context?:{}) => Promise<any>;
	privateGetGetDepositTickets: (params:{}, context?:{}) => Promise<any>;
	privateGetGetOMSWithdrawFees: (params:{}, context?:{}) => Promise<any>;
	privateGetGetWithdrawFee: (params:{}, context?:{}) => Promise<any>;
	privateGetGetWithdraws: (params:{}, context?:{}) => Promise<any>;
	privateGetGetWithdrawTemplate: (params:{}, context?:{}) => Promise<any>;
	privateGetGetWithdrawTemplateTypes: (params:{}, context?:{}) => Promise<any>;
	privateGetGetWithdrawTicket: (params:{}, context?:{}) => Promise<any>;
	privateGetGetWithdrawTickets: (params:{}, context?:{}) => Promise<any>;
	privatePostAddUserAffiliateTag: (params:{}, context?:{}) => Promise<any>;
	privatePostCancelUserReport: (params:{}, context?:{}) => Promise<any>;
	privatePostRegisterNewDevice: (params:{}, context?:{}) => Promise<any>;
	privatePostSubscribeAccountEvents: (params:{}, context?:{}) => Promise<any>;
	privatePostUpdateUserAffiliateTag: (params:{}, context?:{}) => Promise<any>;
	privatePostGenerateTradeActivityReport: (params:{}, context?:{}) => Promise<any>;
	privatePostGenerateTransactionActivityReport: (params:{}, context?:{}) => Promise<any>;
	privatePostGenerateTreasuryActivityReport: (params:{}, context?:{}) => Promise<any>;
	privatePostScheduleTradeActivityReport: (params:{}, context?:{}) => Promise<any>;
	privatePostScheduleTransactionActivityReport: (params:{}, context?:{}) => Promise<any>;
	privatePostScheduleTreasuryActivityReport: (params:{}, context?:{}) => Promise<any>;
	privatePostCancelAllOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostCancelOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostCancelQuote: (params:{}, context?:{}) => Promise<any>;
	privatePostCancelReplaceOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostCreateQuote: (params:{}, context?:{}) => Promise<any>;
	privatePostModifyOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostSendOrder: (params:{}, context?:{}) => Promise<any>;
	privatePostSubmitBlockTrade: (params:{}, context?:{}) => Promise<any>;
	privatePostUpdateQuote: (params:{}, context?:{}) => Promise<any>;
	privatePostCancelWithdraw: (params:{}, context?:{}) => Promise<any>;
	privatePostCreateDepositTicket: (params:{}, context?:{}) => Promise<any>;
	privatePostCreateWithdrawTicket: (params:{}, context?:{}) => Promise<any>;
	privatePostSubmitDepositTicketComment: (params:{}, context?:{}) => Promise<any>;
	privatePostSubmitWithdrawTicketComment: (params:{}, context?:{}) => Promise<any>;
	privatePostGetOrderHistoryByOrderId: (params:{}, context?:{}) => Promise<any>;
}