import {phemex as Type} from 'ccxt';
export interface phemexRestApiType extends Type {
	publicGetCfgV2Products: (params:{}, context?:{}) => Promise<any>;
	publicGetCfgFundingRates: (params:{}, context?:{}) => Promise<any>;
	publicGetProducts: (params:{}, context?:{}) => Promise<any>;
	publicGetNomicsTrades: (params:{}, context?:{}) => Promise<any>;
	publicGetMdKline: (params:{}, context?:{}) => Promise<any>;
	publicGetMdV2KlineList: (params:{}, context?:{}) => Promise<any>;
	publicGetMdV2Kline: (params:{}, context?:{}) => Promise<any>;
	publicGetMdV2KlineLast: (params:{}, context?:{}) => Promise<any>;
	v1GetMdOrderbook: (params:{}, context?:{}) => Promise<any>;
	v1GetMdTrade: (params:{}, context?:{}) => Promise<any>;
	v1GetMdTicker24hr: (params:{}, context?:{}) => Promise<any>;
	v1GetMdTicker24hrAll: (params:{}, context?:{}) => Promise<any>;
	v1GetMdSpotTicker24hr: (params:{}, context?:{}) => Promise<any>;
	v1GetMdSpotTicker24hrAll: (params:{}, context?:{}) => Promise<any>;
	v1GetExchangePublicProducts: (params:{}, context?:{}) => Promise<any>;
	v2GetMdV2Orderbook: (params:{}, context?:{}) => Promise<any>;
	v2GetMdV2Trade: (params:{}, context?:{}) => Promise<any>;
	v2GetMdV2Ticker24hr: (params:{}, context?:{}) => Promise<any>;
	v2GetMdV2Ticker24hrAll: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotOrdersActive: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetSpotWallets: (params:{}, context?:{}) => Promise<any>;
	privateGetExchangeSpotOrder: (params:{}, context?:{}) => Promise<any>;
	privateGetExchangeSpotOrderTrades: (params:{}, context?:{}) => Promise<any>;
	privateGetExchangeOrderV2OrderList: (params:{}, context?:{}) => Promise<any>;
	privateGetExchangeOrderV2TradingList: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountsAccountPositions: (params:{}, context?:{}) => Promise<any>;
	privateGetGAccountsAccountPositions: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountsPositions: (params:{}, context?:{}) => Promise<any>;
	privateGetApiDataFuturesFundingFees: (params:{}, context?:{}) => Promise<any>;
	privateGetApiDataGFuturesFundingFees: (params:{}, context?:{}) => Promise<any>;
	privateGetApiDataFuturesOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetApiDataGFuturesOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetApiDataFuturesOrdersByOrderId: (params:{}, context?:{}) => Promise<any>;
	privateGetApiDataGFuturesOrdersByOrderId: (params:{}, context?:{}) => Promise<any>;
	privateGetApiDataFuturesTrades: (params:{}, context?:{}) => Promise<any>;
	privateGetApiDataGFuturesTrades: (params:{}, context?:{}) => Promise<any>;
	privateGetApiDataFuturesTradingFees: (params:{}, context?:{}) => Promise<any>;
	privateGetApiDataGFuturesTradingFees: (params:{}, context?:{}) => Promise<any>;
	privateGetGOrdersActiveList: (params:{}, context?:{}) => Promise<any>;
	privateGetOrdersActiveList: (params:{}, context?:{}) => Promise<any>;
	privateGetExchangeOrderList: (params:{}, context?:{}) => Promise<any>;
	privateGetExchangeOrder: (params:{}, context?:{}) => Promise<any>;
	privateGetExchangeOrderTrade: (params:{}, context?:{}) => Promise<any>;
	privateGetPhemexUserUsersChildren: (params:{}, context?:{}) => Promise<any>;
	privateGetPhemexUserWalletsV2DepositAddress: (params:{}, context?:{}) => Promise<any>;
	privateGetPhemexUserWalletsTradeAccountDetail: (params:{}, context?:{}) => Promise<any>;
	privateGetPhemexUserOrderClosedPositionList: (params:{}, context?:{}) => Promise<any>;
	privateGetExchangeMarginsTransfer: (params:{}, context?:{}) => Promise<any>;
	privateGetExchangeWalletsConfirmWithdraw: (params:{}, context?:{}) => Promise<any>;
	privateGetExchangeWalletsWithdrawList: (params:{}, context?:{}) => Promise<any>;
	privateGetExchangeWalletsDepositList: (params:{}, context?:{}) => Promise<any>;
	privateGetExchangeWalletsV2DepositAddress: (params:{}, context?:{}) => Promise<any>;
	privateGetApiDataSpotsFunds: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetsConvert: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetsTransfer: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetsSpotsSubAccountsTransfer: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetsFuturesSubAccountsTransfer: (params:{}, context?:{}) => Promise<any>;
	privateGetAssetsQuote: (params:{}, context?:{}) => Promise<any>;
	privatePostSpotOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostGOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostPositionsAssign: (params:{}, context?:{}) => Promise<any>;
	privatePostExchangeWalletsTransferOut: (params:{}, context?:{}) => Promise<any>;
	privatePostExchangeWalletsTransferIn: (params:{}, context?:{}) => Promise<any>;
	privatePostExchangeMargins: (params:{}, context?:{}) => Promise<any>;
	privatePostExchangeWalletsCreateWithdraw: (params:{}, context?:{}) => Promise<any>;
	privatePostExchangeWalletsCancelWithdraw: (params:{}, context?:{}) => Promise<any>;
	privatePostExchangeWalletsCreateWithdrawAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostAssetsTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostAssetsSpotsSubAccountsTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostAssetsFuturesSubAccountsTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostAssetsUniversalTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostAssetsConvert: (params:{}, context?:{}) => Promise<any>;
	privatePutSpotOrders: (params:{}, context?:{}) => Promise<any>;
	privatePutOrdersReplace: (params:{}, context?:{}) => Promise<any>;
	privatePutGOrdersReplace: (params:{}, context?:{}) => Promise<any>;
	privatePutPositionsLeverage: (params:{}, context?:{}) => Promise<any>;
	privatePutGPositionsLeverage: (params:{}, context?:{}) => Promise<any>;
	privatePutGPositionsSwitchPosModeSync: (params:{}, context?:{}) => Promise<any>;
	privatePutPositionsRiskLimit: (params:{}, context?:{}) => Promise<any>;
	privateDeleteSpotOrders: (params:{}, context?:{}) => Promise<any>;
	privateDeleteSpotOrdersAll: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrdersCancel: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrders: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrdersAll: (params:{}, context?:{}) => Promise<any>;
	privateDeleteGOrdersCancel: (params:{}, context?:{}) => Promise<any>;
	privateDeleteGOrders: (params:{}, context?:{}) => Promise<any>;
	privateDeleteGOrdersAll: (params:{}, context?:{}) => Promise<any>;
}