import {poloniex as Type} from 'ccxt';
export interface poloniexRestApiType extends Type {
	publicGetMarkets: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketsSymbol: (params:{}, context?:{}) => Promise<any>;
	publicGetCurrencies: (params:{}, context?:{}) => Promise<any>;
	publicGetCurrenciesCurrency: (params:{}, context?:{}) => Promise<any>;
	publicGetTimestamp: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketsPrice: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketsSymbolPrice: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketsSymbolOrderBook: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketsSymbolCandles: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketsSymbolTrades: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketsTicker24h: (params:{}, context?:{}) => Promise<any>;
	publicGetMarketsSymbolTicker24h: (params:{}, context?:{}) => Promise<any>;
	privateGetAccounts: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountsActivity: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountsBalances: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountsIdBalances: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountsTransfer: (params:{}, context?:{}) => Promise<any>;
	privateGetAccountsTransferId: (params:{}, context?:{}) => Promise<any>;
	privateGetSubaccounts: (params:{}, context?:{}) => Promise<any>;
	privateGetSubaccountsBalances: (params:{}, context?:{}) => Promise<any>;
	privateGetSubaccountsIdBalances: (params:{}, context?:{}) => Promise<any>;
	privateGetSubaccountsTransfer: (params:{}, context?:{}) => Promise<any>;
	privateGetSubaccountsTransferId: (params:{}, context?:{}) => Promise<any>;
	privateGetFeeinfo: (params:{}, context?:{}) => Promise<any>;
	privateGetWalletsAddresses: (params:{}, context?:{}) => Promise<any>;
	privateGetWalletsActivity: (params:{}, context?:{}) => Promise<any>;
	privateGetWalletsAddressesCurrency: (params:{}, context?:{}) => Promise<any>;
	privateGetOrders: (params:{}, context?:{}) => Promise<any>;
	privateGetOrdersId: (params:{}, context?:{}) => Promise<any>;
	privateGetOrdersHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetOrdersKillSwitchStatus: (params:{}, context?:{}) => Promise<any>;
	privateGetSmartorders: (params:{}, context?:{}) => Promise<any>;
	privateGetSmartordersId: (params:{}, context?:{}) => Promise<any>;
	privateGetSmartordersHistory: (params:{}, context?:{}) => Promise<any>;
	privateGetTrades: (params:{}, context?:{}) => Promise<any>;
	privateGetOrdersIdTrades: (params:{}, context?:{}) => Promise<any>;
	privatePostAccountsTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostSubaccountsTransfer: (params:{}, context?:{}) => Promise<any>;
	privatePostWalletsAddress: (params:{}, context?:{}) => Promise<any>;
	privatePostWalletsWithdraw: (params:{}, context?:{}) => Promise<any>;
	privatePostOrders: (params:{}, context?:{}) => Promise<any>;
	privatePostOrdersKillSwitch: (params:{}, context?:{}) => Promise<any>;
	privatePostOrdersBatch: (params:{}, context?:{}) => Promise<any>;
	privatePostSmartorders: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrdersId: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrdersCancelByIds: (params:{}, context?:{}) => Promise<any>;
	privateDeleteOrders: (params:{}, context?:{}) => Promise<any>;
	privateDeleteSmartordersId: (params:{}, context?:{}) => Promise<any>;
	privateDeleteSmartordersCancelByIds: (params:{}, context?:{}) => Promise<any>;
	privateDeleteSmartorders: (params:{}, context?:{}) => Promise<any>;
	privatePutOrdersId: (params:{}, context?:{}) => Promise<any>;
	privatePutSmartordersId: (params:{}, context?:{}) => Promise<any>;
}