import {timex as Type} from 'ccxt';
export interface timexRestApiType extends Type {
	addressbookGetMe: (params:{}, context?:{}) => Promise<any>;
	addressbookPost: (params:{}, context?:{}) => Promise<any>;
	addressbookPostIdId: (params:{}, context?:{}) => Promise<any>;
	addressbookPostIdIdRemove: (params:{}, context?:{}) => Promise<any>;
	custodyGetCredentials: (params:{}, context?:{}) => Promise<any>;
	custodyGetCredentialsHHash: (params:{}, context?:{}) => Promise<any>;
	custodyGetCredentialsKKey: (params:{}, context?:{}) => Promise<any>;
	custodyGetCredentialsMe: (params:{}, context?:{}) => Promise<any>;
	custodyGetCredentialsMeAddress: (params:{}, context?:{}) => Promise<any>;
	custodyGetDepositAddresses: (params:{}, context?:{}) => Promise<any>;
	custodyGetDepositAddressesHHash: (params:{}, context?:{}) => Promise<any>;
	historyGetOrders: (params:{}, context?:{}) => Promise<any>;
	historyGetOrdersDetails: (params:{}, context?:{}) => Promise<any>;
	historyGetOrdersExportCsv: (params:{}, context?:{}) => Promise<any>;
	historyGetTrades: (params:{}, context?:{}) => Promise<any>;
	historyGetTradesExportCsv: (params:{}, context?:{}) => Promise<any>;
	currenciesGetAAddress: (params:{}, context?:{}) => Promise<any>;
	currenciesGetIId: (params:{}, context?:{}) => Promise<any>;
	currenciesGetSSymbol: (params:{}, context?:{}) => Promise<any>;
	currenciesPostPerform: (params:{}, context?:{}) => Promise<any>;
	currenciesPostPrepare: (params:{}, context?:{}) => Promise<any>;
	currenciesPostRemovePerform: (params:{}, context?:{}) => Promise<any>;
	currenciesPostSSymbolRemovePrepare: (params:{}, context?:{}) => Promise<any>;
	currenciesPostSSymbolUpdatePerform: (params:{}, context?:{}) => Promise<any>;
	currenciesPostSSymbolUpdatePrepare: (params:{}, context?:{}) => Promise<any>;
	managerGetDeposits: (params:{}, context?:{}) => Promise<any>;
	managerGetTransfers: (params:{}, context?:{}) => Promise<any>;
	managerGetWithdrawals: (params:{}, context?:{}) => Promise<any>;
	marketsGetIId: (params:{}, context?:{}) => Promise<any>;
	marketsGetSSymbol: (params:{}, context?:{}) => Promise<any>;
	marketsPostPerform: (params:{}, context?:{}) => Promise<any>;
	marketsPostPrepare: (params:{}, context?:{}) => Promise<any>;
	marketsPostRemovePerform: (params:{}, context?:{}) => Promise<any>;
	marketsPostSSymbolRemovePrepare: (params:{}, context?:{}) => Promise<any>;
	marketsPostSSymbolUpdatePerform: (params:{}, context?:{}) => Promise<any>;
	marketsPostSSymbolUpdatePrepare: (params:{}, context?:{}) => Promise<any>;
	publicGetCandles: (params:{}, context?:{}) => Promise<any>;
	publicGetCurrencies: (params:{}, context?:{}) => Promise<any>;
	publicGetMarkets: (params:{}, context?:{}) => Promise<any>;
	publicGetOrderbook: (params:{}, context?:{}) => Promise<any>;
	publicGetOrderbookRaw: (params:{}, context?:{}) => Promise<any>;
	publicGetOrderbookV2: (params:{}, context?:{}) => Promise<any>;
	publicGetTickers: (params:{}, context?:{}) => Promise<any>;
	publicGetTrades: (params:{}, context?:{}) => Promise<any>;
	statisticsGetAddress: (params:{}, context?:{}) => Promise<any>;
	tradingGetBalances: (params:{}, context?:{}) => Promise<any>;
	tradingGetFees: (params:{}, context?:{}) => Promise<any>;
	tradingGetOrders: (params:{}, context?:{}) => Promise<any>;
	tradingPostOrders: (params:{}, context?:{}) => Promise<any>;
	tradingPostOrdersJson: (params:{}, context?:{}) => Promise<any>;
	tradingPutOrders: (params:{}, context?:{}) => Promise<any>;
	tradingPutOrdersJson: (params:{}, context?:{}) => Promise<any>;
	tradingDeleteOrders: (params:{}, context?:{}) => Promise<any>;
	tradingDeleteOrdersJson: (params:{}, context?:{}) => Promise<any>;
	tradingviewGetConfig: (params:{}, context?:{}) => Promise<any>;
	tradingviewGetHistory: (params:{}, context?:{}) => Promise<any>;
	tradingviewGetSymbolInfo: (params:{}, context?:{}) => Promise<any>;
	tradingviewGetTime: (params:{}, context?:{}) => Promise<any>;
}